# -*- coding: utf-8 -*-

##############################################################################
#                        2011 E2OpenPlugins                                  #
#                                                                            #
#  This file is open source software; you can redistribute it and/or modify  #
#     it under the terms of the GNU General Public License version 2 as      #
#               published by the Free Software Foundation.                   #
#                                                                            #
##############################################################################
from enigma import eConsoleAppContainer
from twisted.web import static, resource, http, server
import os
#Fixed by Seagen
GRAB_PATH = '/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/bin/owscreenshot screenshot -f /tmp/screenshot.jpg -m combined  -iw 1920 -ih 1080'

class grabScreenshot(resource.Resource):
	def __init__(self,session, path = ""):
		resource.Resource.__init__(self)
		self.session = session
		self.container = eConsoleAppContainer()
		self.appClosed_conn = self.container.appClosed.connect(self.grabFinished)
		#self.container.dataAvail.append(self.grabData)

	def render(self, request):
		self.request = request
		graboptions = [GRAB_PATH]

		if "format" in request.args.keys():
			self.fileformat = request.args["format"][0]
		else:
			self.fileformat = "jpg"

		try:
			ref = self.session.nav.getCurrentlyPlayingServiceReference().toString()
		except:
			ref = None 

		if ref is not None:
			self.sref = '_'.join(ref.split(':', 10)[:10])
		else:
			self.sref = 'screenshot'

		self.filepath = "/tmp/screenshot.jpg"
		graboptions.append(self.filepath)
		self.container.execute(GRAB_PATH)
		return server.NOT_DONE_YET

	def grabData(self, data):
		print "[W] grab:", data,

	def grabFinished(self, retval = None):
		fileformat = self.fileformat
		if fileformat == "jpg":
			fileformat = "jpeg"
		try:
			fd = open(self.filepath)
			data = fd.read()
			fd.close()
			self.request.setHeader('Content-Disposition', 'inline; filename=%s.%s;' % (self.sref,self.fileformat))
			self.request.setHeader('Content-Type','image/%s' % fileformat)
			self.request.setHeader('Content-Length', '%i' % len(data))
			self.request.write(data)
		except Exception, error:
			self.request.setResponseCode(http.OK)
			self.request.write("Error creating screenshot:\n %s" % error)
		try:
			os.unlink(self.filepath)
		except:
			print "Failed to remove:", self.filepath
		try:
			self.request.finish()
		except RuntimeError, error:
			print "[OpenWebif] grabFinished error: %s" % error
		del self.request
		del self.filepath
