#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.833086
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/about.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class about(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(about, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="col-xs-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">announcement</i>''')
        _v = VFFSL(SL,"tstrings",True)['about'] # u"$tstrings['about']" on line 7, col 76
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['about']")) # from line 7, col 76.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t<h2>OpenWebif</h2>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['openwebif_header'] # u"$tstrings['openwebif_header']" on line 15, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['openwebif_header']")) # from line 15, col 10.
        write(u'''</h3>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['version'] # u"$tstrings['version']" on line 16, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['version']")) # from line 16, col 10.
        write(u''': ''')
        _v = VFFSL(SL,"info.owiver",True) # u'$info.owiver' on line 16, col 32
        if _v is not None: write(_filter(_v, rawExpr=u'$info.owiver')) # from line 16, col 32.
        write(u'''</h3>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['site_source'] # u"$tstrings['site_source']" on line 17, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['site_source']")) # from line 17, col 10.
        write(u''': <a href=\'https://github.com/E2OpenPlugins/e2openplugin-OpenWebif\' target="_blank" >Github</a></h3>
\t\t\t\t\t<hr/>
\t\t\t\t\t\t<img class="img-responsive center-block" src="images/about.jpg" alt="about" style="display:none;" id="ajpg">
\t\t\t\t\t\t<img class="img-responsive center-block" src="themes/about.png" alt="about" onerror=\'$(this).hide();$("#ajpg").show();\'>
\t\t\t\t\t<hr/>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['authors'] # u"$tstrings['authors']" on line 22, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['authors']")) # from line 22, col 10.
        write(u'''</h3>
\t\t\t\t\t<div class="info">
\t\t\t\t\tmeo aka bacicciosat<br/>
\t\t\t\t\tskaman<br/>
\t\t\t\t\thomey-GER<br/>
\t\t\t\t\tnobody9<br/>
\t\t\t\t\trincewind<br/>
\t\t\t\t\tjbleyel<br/>
\t\t\t\t\tSpaceRat aka Schimmelreiter<br/>
\t\t\t\t\tplnick
\t\t\t\t\t</div>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['contributors'] # u"$tstrings['contributors']" on line 33, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['contributors']")) # from line 33, col 10.
        write(u'''</h3>
\t\t\t\t\t<div class="info">
\t\t\t\t\tArmy (Graphics)<br/>
\t\t\t\t\tMilo, Cimarast<br/>
\t\t\t\t\t\tHSA (''')
        _v = VFFSL(SL,"tstrings",True)['translation_spanish'] # u"$tstrings['translation_spanish']" on line 37, col 12
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['translation_spanish']")) # from line 37, col 12.
        write(u''')
\t\t\t\t\t</div>
\t\t\t\t\t<hr/>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['javalib'] # u"$tstrings['javalib']" on line 40, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['javalib']")) # from line 40, col 10.
        write(u'''</h3>
\t\t\t\t\t<div class="info">
\t\t\t\t\t\t<a href=\'http://jqueryui.com/\' target="_blank" >Jquery UI</a>
\t\t\t\t\t</div>
\t\t\t\t\t<hr/>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['template_engine'] # u"$tstrings['template_engine']" on line 45, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['template_engine']")) # from line 45, col 10.
        write(u'''</h3>
\t\t\t\t\t<div class="info">
\t\t\t\t\t\t<a href=\'http://www.cheetahtemplate.org/\' target="_blank" >Cheetah</a>
\t\t\t\t\t</div>
\t\t\t\t\t<hr/>
\t\t\t\t\t<h3>Responsive Design</h3>
\t\t\t\t\t<div class="info">
\t\t\t\t\t\t<a href=\'https://github.com/gurayyarar/AdminBSBMaterialDesign\' target="_blank" >AdminBSB - Material Design</a></br>
\t\t\t\t\t\t<a href=\'https://www.vuplus-support.org\' target="_blank" >plnick - VTi</a></br>
\t\t\t\t\t</div>
\t\t\t\t\t<hr/>
\t\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['license'] # u"$tstrings['license']" on line 56, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['license']")) # from line 56, col 10.
        write(u'''</h3>
\t\t\t\t\t<code class="info center-block" style="white-space: word-wrap; margin: 0 100px;">
\t\t\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['license_text'] # u"$tstrings['license_text']" on line 58, col 7
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['license_text']")) # from line 58, col 7.
        write(u'''</br>
\t\t\t\t\t\tFor full source code please download package vti-openwebif-src.ipk
\t\t\t\t\t</code>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_about= 'respond'

## END CLASS DEFINITION

if not hasattr(about, '_initCheetahAttributes'):
    templateAPIClass = getattr(about, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(about)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=about()).run()


