#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.513096
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/bouquets.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class bouquets(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(bouquets, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="form-group hidden-md hidden-lg hidden-xl">
\t<select class="form-control show-tick" id="bqselector">
''')
        for bouquet in VFFSL(SL,"bouquets",True): # generated from line 6, col 2
            write(u"""\t\t<option value='ajax/channels?id=""")
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bouquet",True)[0]) # u'$quote($bouquet[0])' on line 7, col 35
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($bouquet[0])')) # from line 7, col 35.
            write(u'''&stype=''')
            _v = VFFSL(SL,"stype",True) # u'$stype' on line 7, col 61
            if _v is not None: write(_filter(_v, rawExpr=u'$stype')) # from line 7, col 61.
            write(u"""'>""")
            _v = VFFSL(SL,"bouquet",True)[1] # u'$bouquet[1]' on line 7, col 69
            if _v is not None: write(_filter(_v, rawExpr=u'$bouquet[1]')) # from line 7, col 69.
            write(u'''</option>
''')
        write(u'''\t</select>
</div>
<div class="hidden-sm hidden-xs">
\t<ul class="nav nav-tabs tab-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 12, col 34
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 12, col 34.
        write(u'''">
''')
        f = "id='firstBq'"
        for bouquet in VFFSL(SL,"bouquets",True): # generated from line 14, col 2
            write(u'''\t\t<li><a data-toggle="tab" href=\'#tab\' ''')
            _v = VFFSL(SL,"f",True) # u'$f' on line 15, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$f')) # from line 15, col 40.
            write(u''' onclick="load_subcontent(\'ajax/channels?id=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bouquet",True)[0]) # u'$quote($bouquet[0])' on line 15, col 86
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($bouquet[0])')) # from line 15, col 86.
            write(u'''&stype=''')
            _v = VFFSL(SL,"stype",True) # u'$stype' on line 15, col 112
            if _v is not None: write(_filter(_v, rawExpr=u'$stype')) # from line 15, col 112.
            write(u'''\'); return false;" >
\t\t<i onclick="window.open(\'web/services.m3u?bRef=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bouquet",True)[0]) # u'$quote($bouquet[0])' on line 16, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($bouquet[0])')) # from line 16, col 50.
            write(u'''\',\'_blank\');return false;" class="material-icons material-icons-bouquets">tv</i>''')
            _v = VFFSL(SL,"bouquet",True)[1] # u'$bouquet[1]' on line 16, col 149
            if _v is not None: write(_filter(_v, rawExpr=u'$bouquet[1]')) # from line 16, col 149.
            write(u'''</a></li>
''')
            f = "class='align-middle'"
        write(u'''\t</ul>
</div>
<div class="tab-content">
\t<div class="tab-pane active" id="tab">
\t\t<div id=\'sub_content_container\'></div>
\t</div>
</div>
<script type="text/javascript">
var firstBq = document.getElementById("firstBq");
firstBq.click();
$.AdminBSB.select.activate();
$(function () {
\t$(\'#bqselector\').change(function() {
\t\tload_subcontent($(this).val())
\t});
});

</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_bouquets= 'respond'

## END CLASS DEFINITION

if not hasattr(bouquets, '_initCheetahAttributes'):
    templateAPIClass = getattr(bouquets, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(bouquets)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=bouquets()).run()


