#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.452007
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/boxinfo.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class boxinfo(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(boxinfo, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="col-xs-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">info</i>''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # u"$tstrings['box_info']" on line 8, col 68
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_info']")) # from line 8, col 68.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body" style="word-break: break-all">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<img src="images/boxes/''')
        _v = VFFSL(SL,"boximage",True) # u'${boximage}' on line 15, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'${boximage}')) # from line 15, col 29.
        write(u'''" id="box_image" class="img-responsive center-block" alt="box_info">
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 21, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 21, col 45.
        write(u'''">
\t\t\t\t\t\t\t<h2>''')
        _v = VFFSL(SL,"tstrings",True)['box'] # u"$tstrings['box']" on line 22, col 12
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box']")) # from line 22, col 12.
        write(u'''</h2>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['brand'] # u"$tstrings['brand']" on line 27, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['brand']")) # from line 27, col 13.
        write(u''' & ''')
        _v = VFFSL(SL,"tstrings",True)['model'] # u"$tstrings['model']" on line 27, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['model']")) # from line 27, col 34.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"brand",True) # u'$brand' on line 30, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$brand')) # from line 30, col 10.
        write(u''' ''')
        _v = VFFSL(SL,"model",True) # u'$model' on line 30, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$model')) # from line 30, col 17.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"friendlychipsetdescription",True) # u'$friendlychipsetdescription' on line 35, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlychipsetdescription')) # from line 35, col 13.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"friendlychipsettext",True) # u'$friendlychipsettext' on line 38, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlychipsettext')) # from line 38, col 10.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['main_memory'] # u"$tstrings['main_memory']" on line 43, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['main_memory']")) # from line 43, col 13.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"mem3",True) # u'$mem3' on line 46, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$mem3')) # from line 46, col 10.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['box_uptime'] # u"$tstrings['box_uptime']" on line 51, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_uptime']")) # from line 51, col 13.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"uptime",True) # u'$uptime' on line 54, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$uptime')) # from line 54, col 10.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 64, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 64, col 46.
        write(u'''">
\t\t\t\t\t\t\t<h2>''')
        _v = VFFSL(SL,"tstrings",True)['software'] # u"$tstrings['software']" on line 65, col 12
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['software']")) # from line 65, col 12.
        write(u'''</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['oe_version'] # u"$tstrings['oe_version']" on line 70, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['oe_version']")) # from line 70, col 13.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"oever",True) # u'$oever' on line 73, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$oever')) # from line 73, col 10.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['firmware_version'] # u"$tstrings['firmware_version']" on line 78, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['firmware_version']")) # from line 78, col 13.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"friendlyimagedistro",True) # u'$friendlyimagedistro' on line 81, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlyimagedistro')) # from line 81, col 10.
        write(u''' ''')
        _v = VFFSL(SL,"imagever",True) # u'$imagever' on line 81, col 31
        if _v is not None: write(_filter(_v, rawExpr=u'$imagever')) # from line 81, col 31.
        write(u''' (''')
        _v = VFFSL(SL,"enigmaver",True) # u'$enigmaver' on line 81, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$enigmaver')) # from line 81, col 42.
        write(u''')
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['kernel_version'] # u"$tstrings['kernel_version']" on line 86, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['kernel_version']")) # from line 86, col 13.
        write(u''' / ''')
        _v = VFFSL(SL,"tstrings",True)['driver_date'] # u"$tstrings['driver_date']" on line 86, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['driver_date']")) # from line 86, col 43.
        write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"kernelver",True) # u'$kernelver' on line 89, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$kernelver')) # from line 89, col 10.
        write(u''' / ''')
        _v = VFFSL(SL,"driverdate",True) # u'$driverdate' on line 89, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'$driverdate')) # from line 89, col 23.
        write(u'''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 99, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 99, col 46.
        write(u'''">
\t\t\t\t\t\t\t<h2>''')
        _v = VFFSL(SL,"tstrings",True)['tuners'] # u"$tstrings['tuners']" on line 100, col 12
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuners']")) # from line 100, col 12.
        write(u'''</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
''')
        for tuner in VFFSL(SL,"tuners",True): # generated from line 103, col 7
            write(u'''\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tuner.name",True) # u'$tuner.name' on line 106, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.name')) # from line 106, col 14.
            write(u'''</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"tuner.type",True) # u'$tuner.type' on line 109, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.type')) # from line 109, col 11.
            write(u'''
''')
            if VFFSL(SL,"tuner.live",True) != '': # generated from line 110, col 10
                write(u'''\t\t\t\t\t\t\t\t\t\t<p><i class="material-icons material-icons-centered">play_circle_outline</i>''')
                _v = VFFSL(SL,"tuner.live",True) # u'$tuner.live' on line 111, col 87
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.live')) # from line 111, col 87.
                write(u'''</p>
''')
            if VFFSL(SL,"tuner.rec",True) != '': # generated from line 113, col 10
                write(u'''\t\t\t\t\t\t\t\t\t\t\t<p><i class="material-icons material-icons-centered">videocam</i>''')
                _v = VFFSL(SL,"tuner.rec",True) # u'$tuner.rec' on line 114, col 77
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.rec')) # from line 114, col 77.
                write(u'''</p>
''')
            write(u'''\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
        write(u'''\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 126, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 126, col 46.
        write(u'''">
\t\t\t\t\t\t\t<h2>HDD</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
''')
        for hd in VFFSL(SL,"hdd",True): # generated from line 130, col 8
            write(u'''\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['hdd_model'] # u"$tstrings['hdd_model']" on line 133, col 14
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['hdd_model']")) # from line 133, col 14.
            write(u''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t ''')
            _v = VFFSL(SL,"hd.model",True) # u'$hd.model' on line 136, col 12
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.model')) # from line 136, col 12.
            write(u'''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['capacity'] # u"$tstrings['capacity']" on line 141, col 13
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['capacity']")) # from line 141, col 13.
            write(u''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"hd.friendlycapacity",True) # u'$hd.friendlycapacity' on line 144, col 10
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.friendlycapacity')) # from line 144, col 10.
            write(u''' (''')
            _v = VFFSL(SL,"hd.mount",True) # u'$hd.mount' on line 144, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.mount')) # from line 144, col 32.
            write(u''')
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
''')
        write(u'''\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
''')
        if VFFSL(SL,"shares",True): # generated from line 152, col 4
            write(u'''\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 156, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 156, col 47.
            write(u'''">
\t\t\t\t\t\t\t\t<h2>''')
            _v = VFFSL(SL,"tstrings",True)['networkshares'] # u"$tstrings['networkshares']" on line 157, col 13
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['networkshares']")) # from line 157, col 13.
            write(u'''</h2>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="body">
''')
            for share in VFFSL(SL,"shares",True): # generated from line 160, col 8
                write(u'''\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t<b>''')
                _v = VFFSL(SL,"share.name",True) # u'$share.name' on line 163, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$share.name')) # from line 163, col 15.
                write(u''':</b>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"share.type",True) # u'$share.type' on line 166, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$share.type')) # from line 166, col 12.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['using'] # u"$tstrings['using']" on line 166, col 24
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['using']")) # from line 166, col 24.
                write(u''' ''')
                _v = VFFSL(SL,"share.method",True) # u'$share.method' on line 166, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$share.method')) # from line 166, col 43.
                write(u''': ''')
                _v = VFFSL(SL,"share.path",True) # u'$share.path' on line 166, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$share.path')) # from line 166, col 58.
                write(u''' (''')
                _v = VFFSL(SL,"share.friendlyaddress",True) # u'$share.friendlyaddress' on line 166, col 71
                if _v is not None: write(_filter(_v, rawExpr=u'$share.friendlyaddress')) # from line 166, col 71.
                write(u''')
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
''')
            write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
''')
        for iface in VFFSL(SL,"ifaces",True): # generated from line 175, col 4
            write(u'''\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 179, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 179, col 47.
            write(u'''">
\t\t\t\t\t\t\t\t<h2>''')
            _v = VFFSL(SL,"tstrings",True)['network_interface'] # u"$tstrings['network_interface']" on line 180, col 13
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['network_interface']")) # from line 180, col 13.
            write(u''': ''')
            _v = VFFSL(SL,"iface.name",True) # u'$iface.name' on line 180, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.name')) # from line 180, col 45.
            write(u''' (''')
            _v = VFFSL(SL,"iface.friendlynic",True) # u'$iface.friendlynic' on line 180, col 58
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.friendlynic')) # from line 180, col 58.
            write(u''')</h2>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['linkspeed'] # u"$tstrings['linkspeed']" on line 185, col 14
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['linkspeed']")) # from line 185, col 14.
            write(u''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.linkspeed",True) # u'$iface.linkspeed' on line 188, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.linkspeed')) # from line 188, col 11.
            write(u'''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['mac_address'] # u"$tstrings['mac_address']" on line 193, col 14
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['mac_address']")) # from line 193, col 14.
            write(u''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.mac",True) # u'$iface.mac' on line 196, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.mac')) # from line 196, col 11.
            write(u'''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['ipv6_address'] # u"$tstrings['ipv6_address']" on line 201, col 14
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv6_address']")) # from line 201, col 14.
            write(u''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.ipv6",True) # u'$iface.ipv6' on line 204, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv6')) # from line 204, col 11.
            write(u''' (''')
            _v = VFFSL(SL,"iface.ipmethod",True) # u'$iface.ipmethod' on line 204, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipmethod')) # from line 204, col 24.
            write(u''')
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
            if VFFSL(SL,"iface.ip",True) != "0.0.0.0": # generated from line 207, col 7
                write(u'''\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t<b>''')
                _v = VFFSL(SL,"tstrings",True)['ipv4_address'] # u"$tstrings['ipv4_address']" on line 210, col 15
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv4_address']")) # from line 210, col 15.
                write(u''':</b>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"iface.ip",True) # u'$iface.ip' on line 213, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ip')) # from line 213, col 12.
                write(u'''/''')
                _v = VFFSL(SL,"iface.v4prefix",True) # u'$iface.v4prefix' on line 213, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.v4prefix')) # from line 213, col 22.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['via'] # u"$tstrings['via']" on line 213, col 38
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['via']")) # from line 213, col 38.
                write(u''' ''')
                _v = VFFSL(SL,"iface.gw",True) # u'$iface.gw' on line 213, col 55
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.gw')) # from line 213, col 55.
                write(u''' (''')
                _v = VFFSL(SL,"iface.ipv4method",True) # u'$iface.ipv4method' on line 213, col 66
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv4method')) # from line 213, col 66.
                write(u''')
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
''')
            write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
''')
        write(u'''\t\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_boxinfo= 'respond'

## END CLASS DEFINITION

if not hasattr(boxinfo, '_initCheetahAttributes'):
    templateAPIClass = getattr(boxinfo, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(boxinfo)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=boxinfo()).run()


