#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.810139
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/bqe.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class bqe(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(bqe, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_19469806 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<style>
.select { width: 100%; }
.sortable { list-style-type: none; margin: 0; padding: 0; width: 200px; }
.sortable li { margin: 0 1px 1px 2px; padding-left: 1.5em; font-size: .8em;  height:20px;}
.sortable li span { margin: 0 0 0 -1.5em; display: inline-block; }

</style>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">view_list</i>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # u"$tstrings['Bouquet_Editor']" on line 17, col 73
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['Bouquet_Editor']")) # from line 17, col 73.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown m-r--5">
\t\t\t\t<li>
\t\t\t\t<li class="dropdown"><a href="#" id="toolbar-bouquets-reload" ><i class="material-icons">autorenew</i></a>
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right">
\t\t\t\t\t\t<li><a href="#"  id="toolbar-bouquets-export"><i class="material-icons material-icons-centered">vertical_align_bottom</i>''')
        _v = VFFSL(SL,"tstrings",True)['export'] # u"$tstrings['export']" on line 25, col 128
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['export']")) # from line 25, col 128.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#"  id="toolbar-bouquets-import"><i class="material-icons material-icons-centered">vertical_align_top</i>''')
        _v = VFFSL(SL,"tstrings",True)['import'] # u"$tstrings['import']" on line 26, col 125
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['import']")) # from line 26, col 125.
        write(u'''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" id="bqemain">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t<input type="radio" class="radio-vti radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 34, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 34, col 53.
        write(u'''" id="toolbar-choose-tv" name="tb1" checked="checked" /><label for="toolbar-choose-tv">''')
        _v = VFFSL(SL,"tstrings",True)['tv'] # u"$tstrings['tv']" on line 34, col 150
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tv']")) # from line 34, col 150.
        write(u'''</label>
\t\t\t\t\t<input type="radio" class="radio-vti radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 35, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 35, col 53.
        write(u'''" id="toolbar-choose-radio" name="tb1"/><label for="toolbar-choose-radio">''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # u"$tstrings['radio']" on line 35, col 137
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['radio']")) # from line 35, col 137.
        write(u'''</label>
\t\t\t\t\t<input type="radio" class="radio-vti radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 36, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 36, col 53.
        write(u'''" id="toolbar-choose-satellites" name="tb2" /><label for="toolbar-choose-satellites">''')
        _v = VFFSL(SL,"tstrings",True)['satellites'] # u"$tstrings['satellites']" on line 36, col 148
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['satellites']")) # from line 36, col 148.
        write(u'''</label>
\t\t\t\t\t<input type="radio" class="radio-vti radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 37, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 37, col 53.
        write(u'''" id="toolbar-choose-providers" name="tb2" checked="checked" /><label for="toolbar-choose-providers">''')
        _v = VFFSL(SL,"tstrings",True)['providers'] # u"$tstrings['providers']" on line 37, col 164
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['providers']")) # from line 37, col 164.
        write(u'''</label>
\t\t\t\t\t<input type="radio" class="radio-vti radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 38, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 38, col 53.
        write(u'''" id="toolbar-choose-channels" name="tb2" /><label for="toolbar-choose-channels">''')
        _v = VFFSL(SL,"tstrings",True)['all_channels'] # u"$tstrings['all_channels']" on line 38, col 144
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['all_channels']")) # from line 38, col 144.
        write(u'''</label>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t\t<div class="row clearfix" style="height: 250px;overflow-y:scroll;margin-bottom:5px">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<ol id="provider" class="selectable"></ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t<input type="text" class="form-control" id="searchch" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['bqe_search'] # u"$tstrings['bqe_search']" on line 52, col 77
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_search']")) # from line 52, col 77.
        write(u'''">
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-provider-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_provider_as_bouquet'] # u"$tstrings['bqe_add_provider_as_bouquet']" on line 57, col 75
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_provider_as_bouquet']")) # from line 57, col 75.
        write(u'''</button>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t\t<div class="row clearfix" style="height: 250px;overflow-y:scroll;margin-bottom:5px">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<ol id="channels" class="selectable"></ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<div class="btn-group" role="group">
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-channel-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_channel'] # u"$tstrings['bqe_add_channel']" on line 70, col 75
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_channel']")) # from line 70, col 75.
        write(u'''</button>
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-alternative-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_alternative'] # u"$tstrings['bqe_add_alternative']" on line 71, col 79
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_alternative']")) # from line 71, col 79.
        write(u'''</button>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t\t<div class="row clearfix" style="height: 250px;overflow-y:scroll;margin-bottom:5px">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<ol id="bql" class="selectable"></ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<div class="btn-group" role="group">
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-bouquet-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_bq'] # u"$tstrings['bqe_add_bq']" on line 87, col 75
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_bq']")) # from line 87, col 75.
        write(u'''</button>
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-bouquet-rename">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_rename_bq'] # u"$tstrings['bqe_rename_bq']" on line 88, col 78
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_rename_bq']")) # from line 88, col 78.
        write(u'''</button>
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-bouquet-delete">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_delete_bq'] # u"$tstrings['bqe_delete_bq']" on line 89, col 78
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_delete_bq']")) # from line 89, col 78.
        write(u'''</button>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t\t<div class="row clearfix" style="height: 250px;overflow-y:scroll;margin-bottom:5px">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<ol id="bqs" class="selectable"></ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t<div class="btn-group" role="group">
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-channel-delete">''')
        _v = VFFSL(SL,"tstrings",True)['delete'] # u"$tstrings['delete']" on line 103, col 78
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete']")) # from line 103, col 78.
        write(u'''</button>
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-marker-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_marker'] # u"$tstrings['bqe_add_marker']" on line 104, col 74
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_marker']")) # from line 104, col 74.
        write(u'''</button>
\t\t\t\t\t\t\t\t<!--<button class="btn btn-default waves-effect" id="btn-spacer-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_spacer'] # u"$tstrings['bqe_add_spacer']" on line 105, col 78
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_add_spacer']")) # from line 105, col 78.
        write(u'''</button>-->
\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" id="btn-marker-group-rename">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_rename'] # u"$tstrings['bqe_rename']" on line 106, col 83
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bqe_rename']")) # from line 106, col 83.
        write(u'''</button>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

\t\t<!--<div id="statuscont" style="display:none">
\t\t\t<div id="statusbox" class="ui-state-error ui-corner-all" style="padding: 0 .7em;"> 
\t\t\t\t<p>
\t\t\t\t\t<span id="statusicon" class="ui-icon ui-icon-alert" style="margin-right: .3em;"></span> 
\t\t\t\t\t<span id="statustext"></span>
\t\t\t\t</p>
\t\t\t</div>
\t\t</div> -->
\t\t<form id="uploadrestore" style="display:none" action"uploadrestore"="" method="post" enctype="multipart/form-data" encoding="multipart/form-data">
\t\t\t<input type="file" name="rfile" id="rfile">
\t\t</form>

<script src="/themes/absb/js/vti-responsive-bqe.js"></script>
<script type="text/javascript">

$.AdminBSB.input.activate();
$.AdminBSB.select.activate();
</script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_19469806
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_bqe= 'respond'

## END CLASS DEFINITION

if not hasattr(bqe, '_initCheetahAttributes'):
    templateAPIClass = getattr(bqe, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(bqe)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=bqe()).run()


