#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.671456
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/channels.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class channels(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(channels, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
<div class="table-responsive block-header">
\t<table class="table table-striped table-hover">

''')
        for channel in VFFSL(SL,"channels",True): # generated from line 7, col 1
            write(u'''<tr>
''')
            if VFFSL(SL,"showchannelpicon",True) and VFN(VFFSL(SL,"channel",True),"has_key",False)('picon'): # generated from line 9, col 1
                write(u'''<td style="vertical-align:middle;width:120px;">
\t<div>
\t\t<img class="img-fluid" style="max-width:100px;" src="''')
                _v = VFFSL(SL,"channel.picon",True) # u'$channel.picon' on line 12, col 56
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.picon')) # from line 12, col 56.
                write(u'''" title="">
\t</div>
''')
            else: # generated from line 14, col 1
                write(u'''<td style="vertical-align:middle;width:0px;">
''')
            write(u'''</td>
<td style="vertical-align:middle;">
\t<div>
''')
            name = VFN(VFFSL(SL,"channel.name",True),"replace",False)("'", r"\'")
            write(u'''\t<h2>
''')
            if VFN(VFFSL(SL,"channel",True),"has_key",False)('protection') and VFFSL(SL,"channel.protection",True) <> "0": # generated from line 22, col 4
                write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 23, col 56
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 23, col 56.
                write(u'''" onclick="return false" title="''')
                _v = VFFSL(SL,"tstrings",True)['locked'] # u"$tstrings['locked']" on line 23, col 98
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['locked']")) # from line 23, col 98.
                write(u'''"><i class="material-icons material-icons-centered">play_circle_outline</i>''')
                _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 23, col 192
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 23, col 192.
                write(u'''</a>
''')
            else: # generated from line 24, col 4
                write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 25, col 56
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 25, col 56.
                write(u'''" onclick="zapChannel(\'''')
                _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 25, col 89
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 25, col 89.
                write(u"""', '""")
                _v = VFFSL(SL,"name",True) # u'$name' on line 25, col 105
                if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 25, col 105.
                write(u'''\'); return false" title="''')
                _v = VFFSL(SL,"tstrings",True)['zap_to'] # u"$tstrings['zap_to']" on line 25, col 135
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zap_to']")) # from line 25, col 135.
                write(u''' ''')
                _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 25, col 155
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 25, col 155.
                write(u'''">''')
                _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 25, col 170
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 25, col 170.
                write(u'''</a>
''')
            write(u'''\t</h2>
\t</div>
\t<div class="vti-vspace-10"></div>
\t<div>
''')
            if VFN(VFFSL(SL,"channel",True),"has_key",False)('protection') and VFFSL(SL,"channel.protection",True) <> "0": # generated from line 31, col 2
                write(u'''\t\t<a class="theme-link-col-fixed" target="_blank" href=\'#\' title="''')
                _v = VFFSL(SL,"tstrings",True)['locked'] # u"$tstrings['locked']" on line 32, col 67
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['locked']")) # from line 32, col 67.
                write(u'''"><i class="material-icons material-icons-centered">lock</i></a>
''')
            else: # generated from line 33, col 2
                if VFFSL(SL,"type",True) == "radio": # generated from line 34, col 3
                    write(u'''\t\t\t<a class="theme-link-col-fixed" href="#" onclick="addTimer(\'\',\'''')
                    _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 35, col 67
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 35, col 67.
                    write(u"""','""")
                    _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 35, col 82
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 35, col 82.
                    write(u'''\',\'\'); return false" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 35, col 123
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 35, col 123.
                    write(u'''"><i class="material-icons material-icons-centered">access_time</i></a>
''')
                if '4097:' in VFFSL(SL,"channel.ref",True): # generated from line 37, col 3
                    rname = ":" + VFFSL(SL,"channel.name",True)
                    lnk = VFN(VFN(VFN(VFFSL(SL,"channel.ref",True),"replace",False)("4097:0:1:0:0:0:0:0:0:0:", ""),"replace",False)("%3a", ":"),"replace",False)(VFFSL(SL,"rname",True), "")
                    write(u'''\t\t\t<a class="theme-link-col-fixed" target="_blank" href="''')
                    _v = VFFSL(SL,"lnk",True) # u'$lnk' on line 40, col 58
                    if _v is not None: write(_filter(_v, rawExpr=u'$lnk')) # from line 40, col 58.
                    write(u'''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 40, col 71
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 40, col 71.
                    write(u''': ''')
                    _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 40, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 40, col 92.
                    write(u'''"><i class="material-icons material-icons-centered">tv</i></a>
''')
                else: # generated from line 41, col 3
                    write(u'''\t\t\t<a class="theme-link-col-fixed" href="#" onclick="zapChannel(\'''')
                    _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 42, col 66
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 42, col 66.
                    write(u"""', '""")
                    _v = VFFSL(SL,"name",True) # u'$name' on line 42, col 82
                    if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 42, col 82.
                    write(u'''\'); return false" title="''')
                    _v = VFFSL(SL,"tstrings",True)['zap_to'] # u"$tstrings['zap_to']" on line 42, col 112
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zap_to']")) # from line 42, col 112.
                    write(u''' ''')
                    _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 42, col 132
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 42, col 132.
                    write(u'''"><i class="material-icons material-icons-centered">play_circle_outline</i></a>
\t\t\t<a class="theme-link-col-fixed" href="#" onclick="open_epg_dialog(\'''')
                    _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 43, col 71
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 43, col 71.
                    write(u"""','""")
                    _v = VFFSL(SL,"name",True) # u'$name' on line 43, col 86
                    if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 43, col 86.
                    write(u'''\')" title="''')
                    _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # u"$tstrings['show_epg_for']" on line 43, col 102
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['show_epg_for']")) # from line 43, col 102.
                    write(u''' ''')
                    _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 43, col 128
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 43, col 128.
                    write(u'''" data-toggle="modal" data-target="#EPGModal"><i class="material-icons material-icons-centered">today</i></a>
\t\t\t<a class="theme-link-col-fixed" href="#" onclick="jumper8001(\'''')
                    _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 44, col 66
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 44, col 66.
                    write(u"""', '""")
                    _v = VFFSL(SL,"name",True) # u'$name' on line 44, col 82
                    if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 44, col 82.
                    write(u'''\');" title="''')
                    _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 44, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 44, col 99.
                    write(u''': ''')
                    _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 44, col 120
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 44, col 120.
                    write(u'''"><i class="material-icons material-icons-centered">tv</i></a>
''')
                    if VFFSL(SL,"transcoding",True): # generated from line 45, col 4
                        write(u'''\t\t\t<a class="theme-link-col-fixed" href="#" onclick="jumper8002(\'''')
                        _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 46, col 66
                        if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 46, col 66.
                        write(u"""', '""")
                        _v = VFFSL(SL,"name",True) # u'$name' on line 46, col 82
                        if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 46, col 82.
                        write(u'''\');" title="''')
                        _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 46, col 99
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 46, col 99.
                        write(u''' (''')
                        _v = VFFSL(SL,"tstrings",True)['transcoded'] # u"$tstrings['transcoded']" on line 46, col 120
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['transcoded']")) # from line 46, col 120.
                        write(u'''): ''')
                        _v = VFFSL(SL,"channel.name",True) # u'$channel.name' on line 46, col 146
                        if _v is not None: write(_filter(_v, rawExpr=u'$channel.name')) # from line 46, col 146.
                        write(u'''"><i class="material-icons material-icons-centered">phone_android</i></a>
''')
            write(u'''\t</div>
</td>
''')
            if VFN(VFFSL(SL,"channel",True),"has_key",False)('protection') and VFFSL(SL,"channel.protection",True) == "0" and VFN(VFFSL(SL,"channel",True),"has_key",False)('now_title'): # generated from line 52, col 1
                write(u'''<td style="vertical-align:middle;">
\t<div>
\t\t<div>
\t\t<h2><a class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 56, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 56, col 49.
                write(u'''" href=\'#\' data-ref="''')
                _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 56, col 80
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 56, col 80.
                write(u'''" data-id="''')
                _v = VFFSL(SL,"channel.now_ev_id",True) # u'$channel.now_ev_id' on line 56, col 103
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_ev_id')) # from line 56, col 103.
                write(u'''" data-toggle="modal" data-target="#EventModal" onClick="loadeventepg(\'''')
                _v = VFFSL(SL,"channel.now_ev_id",True) # u'$channel.now_ev_id' on line 56, col 192
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_ev_id')) # from line 56, col 192.
                write(u"""', '""")
                _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 56, col 214
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 56, col 214.
                write(u"""', '""")
                _v = VFFSL(SL,"channel.picon",True) # u'$channel.picon' on line 56, col 230
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.picon')) # from line 56, col 230.
                write(u'''\');return false;" title="''')
                _v = VFFSL(SL,"channel.now_title",True) # u'$channel.now_title' on line 56, col 269
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_title')) # from line 56, col 269.
                write(u'''">''')
                _v = VFFSL(SL,"channel.now_title",True) # u'$channel.now_title' on line 56, col 289
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_title')) # from line 56, col 289.
                write(u'''</a>&nbsp;(+''')
                _v = VFFSL(SL,"channel.now_left",True) # u'$channel.now_left' on line 56, col 319
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_left')) # from line 56, col 319.
                write(u''' min)</h2>
\t\t</div>
\t\t<div>''')
                _v = VFFSL(SL,"channel.now_begin",True) # u'$channel.now_begin' on line 58, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_begin')) # from line 58, col 8.
                write(u''' &mdash; ''')
                _v = VFFSL(SL,"channel.now_end",True) # u'$channel.now_end' on line 58, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.now_end')) # from line 58, col 35.
                write(u''' &nbsp;&nbsp;&nbsp;</div>
\t\t<div class="progress" style="margin-bottom:0px;width:200px;">
\t\t<div class="progress-bar bg-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 60, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 60, col 31.
                write(u''' progress-bar-striped" role="progressbar" aria-valuenow="''')
                _v = VFFSL(SL,"channel.progress",True) # u'${channel.progress}' on line 60, col 98
                if _v is not None: write(_filter(_v, rawExpr=u'${channel.progress}')) # from line 60, col 98.
                write(u'''" aria-valuemin="0" aria-valuemax="100" style="width:''')
                _v = VFFSL(SL,"channel.progress",True) # u'${channel.progress}' on line 60, col 170
                if _v is not None: write(_filter(_v, rawExpr=u'${channel.progress}')) # from line 60, col 170.
                write(u'''%">
\t\t<span>''')
                _v = VFFSL(SL,"channel.progress",True) # u'${channel.progress}' on line 61, col 9
                if _v is not None: write(_filter(_v, rawExpr=u'${channel.progress}')) # from line 61, col 9.
                write(u'''%</span>
\t\t</div>
\t\t</div>
\t</div>
</td>
<td style="vertical-align:middle;">
\t<div>
\t\t<div>
\t\t\t<h2><a class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 69, col 50
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 69, col 50.
                write(u'''" href=\'#\' data-ref="''')
                _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 69, col 81
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 69, col 81.
                write(u'''" data-id="''')
                _v = VFFSL(SL,"channel.next_ev_id",True) # u'$channel.next_ev_id' on line 69, col 104
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_ev_id')) # from line 69, col 104.
                write(u'''" data-toggle="modal" data-target="#EventModal" onClick="loadeventepg(\'''')
                _v = VFFSL(SL,"channel.next_ev_id",True) # u'$channel.next_ev_id' on line 69, col 194
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_ev_id')) # from line 69, col 194.
                write(u"""', '""")
                _v = VFFSL(SL,"channel.ref",True) # u'$channel.ref' on line 69, col 217
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.ref')) # from line 69, col 217.
                write(u"""', '""")
                _v = VFFSL(SL,"channel.picon",True) # u'$channel.picon' on line 69, col 233
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.picon')) # from line 69, col 233.
                write(u'''\');return false;" title="''')
                _v = VFFSL(SL,"channel.next_title",True) # u'$channel.next_title' on line 69, col 272
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_title')) # from line 69, col 272.
                write(u'''">''')
                _v = VFFSL(SL,"channel.next_title",True) # u'$channel.next_title' on line 69, col 293
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_title')) # from line 69, col 293.
                write(u'''</a>&nbsp;(''')
                _v = VFFSL(SL,"channel.next_duration",True) # u'$channel.next_duration' on line 69, col 323
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_duration')) # from line 69, col 323.
                write(u''' min)</h2>
\t\t</div>
\t\t<div>''')
                _v = VFFSL(SL,"channel.next_begin",True) # u'$channel.next_begin' on line 71, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_begin')) # from line 71, col 8.
                write(u''' &mdash; ''')
                _v = VFFSL(SL,"channel.next_end",True) # u'$channel.next_end' on line 71, col 36
                if _v is not None: write(_filter(_v, rawExpr=u'$channel.next_end')) # from line 71, col 36.
                write(u''' &nbsp;&nbsp;&nbsp;</div>
\t</div>
</td>
''')
            else: # generated from line 74, col 1
                write(u'''<td style="vertical-align:middle;">
</td>
<td style="vertical-align:middle;">
</td>
''')
            write(u'''</tr>
''')
        write(u'''</table
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_channels= 'respond'

## END CLASS DEFINITION

if not hasattr(channels, '_initCheetahAttributes'):
    templateAPIClass = getattr(channels, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(channels)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=channels()).run()


