#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.581715
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/config.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class config(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(config, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def select(self, config, **KWS):



        ## CHEETAH: generated from #def select($config) at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="row clearfix">
\t<div class="col-xs-6 align-right">
\t<label>''')
        _v = VFFSL(SL,"config.description",True) # u'$config.description' on line 7, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$config.description')) # from line 7, col 9.
        write(u'''</label>
\t</div>
\t<div class="col-xs-6 col-md-3">
\t<select class="form-control show-tick" id="''')
        _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 10, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 10, col 45.
        write(u'''" onchange="saveConfig(\'''')
        _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 10, col 81
        if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 10, col 81.
        write(u'''\', this.value);">
''')
        for choice in VFFSL(SL,"config.data.choices",True): # generated from line 11, col 3
            if VFFSL(SL,"config.data.current",True) == VFFSL(SL,"choice",True)[0]: # generated from line 12, col 4
                write(u'''\t\t\t\t<option value="''')
                _v = VFFSL(SL,"choice",True)[0] # u'$choice[0]' on line 13, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$choice[0]')) # from line 13, col 20.
                write(u'''" selected="true">''')
                _v = VFFSL(SL,"choice",True)[1] # u'$choice[1]' on line 13, col 48
                if _v is not None: write(_filter(_v, rawExpr=u'$choice[1]')) # from line 13, col 48.
                write(u'''</option>
''')
            else: # generated from line 14, col 4
                write(u'''\t\t\t\t<option value="''')
                _v = VFFSL(SL,"choice",True)[0] # u'$choice[0]' on line 15, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$choice[0]')) # from line 15, col 20.
                write(u'''">''')
                _v = VFFSL(SL,"choice",True)[1] # u'$choice[1]' on line 15, col 32
                if _v is not None: write(_filter(_v, rawExpr=u'$choice[1]')) # from line 15, col 32.
                write(u'''</option>
''')
        write(u'''\t</select>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def checkbox(self, config, **KWS):



        ## CHEETAH: generated from #def checkbox($config) at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="row clearfix">
\t<div class="col-xs-6 align-right">
\t<label>''')
        _v = VFFSL(SL,"config.description",True) # u'$config.description' on line 26, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$config.description')) # from line 26, col 9.
        write(u'''</label>
\t</div>
\t<div class="col-xs-6">
\t\t\t<div class="switch switch-col-indigo">
''')
        if VFFSL(SL,"config.data.current",True): # generated from line 30, col 3
            write(u'''\t\t\t\t\t<label><input type="checkbox" id="''')
            _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 31, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 31, col 40.
            write(u'''" checked="true" onclick="saveConfig(\'''')
            _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 31, col 90
            if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 31, col 90.
            write(u'''\', this.checked);" /><span class=\'lever switch-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 31, col 153
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 31, col 153.
            write(u"""'></span></label>
""")
        else: # generated from line 32, col 3
            write(u'''\t\t\t\t\t<label><input type="checkbox" id="''')
            _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 33, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 33, col 40.
            write(u'''" onclick="saveConfig(\'''')
            _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 33, col 75
            if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 33, col 75.
            write(u'''\', this.checked);" /><span class=\'lever switch-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 33, col 138
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 33, col 138.
            write(u"""'></span></label>
""")
        write(u'''\t\t\t</div>
\t\t<label for="''')
        _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 36, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 36, col 15.
        write(u'''"></label>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def multicheckbox(self, config, **KWS):



        ## CHEETAH: generated from #def multicheckbox($config) at line 41, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="row clearfix">
\t<div class="col-xs-6 align-right">
\t<label>''')
        _v = VFFSL(SL,"config.description",True) # u'$config.description' on line 44, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$config.description')) # from line 44, col 9.
        write(u'''</label>
\t</div>
\t<div class="col-xs-6">
''')
        for choice in VFFSL(SL,"config.data.choices",True): # generated from line 47, col 2
            if VFFSL(SL,"choice",True) in VFFSL(SL,"config.data.current",True): # generated from line 48, col 3
                write(u'''\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 49, col 57
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 49, col 57.
                write(u'''" id="''')
                _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 49, col 73
                if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 49, col 73.
                write(u'''" checked="true" onclick="saveConfig(\'''')
                _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 49, col 123
                if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 49, col 123.
                write(u'''\', this.checked);" />
''')
            else: # generated from line 50, col 3
                write(u'''\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 51, col 57
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 51, col 57.
                write(u'''" id="''')
                _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 51, col 73
                if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 51, col 73.
                write(u'''" onclick="saveConfig(\'''')
                _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 51, col 108
                if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 51, col 108.
                write(u'''\', this.checked);" />
''')
            write(u'''\t\t\t\t<label for="''')
            _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 53, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 53, col 17.
            write(u'''">''')
            _v = VFFSL(SL,"choice",True) # u'$choice' on line 53, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$choice')) # from line 53, col 31.
            write(u'''</label>
''')
        write(u'''\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def number(self, config, active, **KWS):



        ## CHEETAH: generated from #def number($config, $active) at line 59, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="row clearfix">
\t<div class="col-xs-6 align-right">
\t<label>''')
        _v = VFFSL(SL,"config.description",True) # u'$config.description' on line 62, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$config.description')) # from line 62, col 9.
        write(u'''</label>
\t</div>
\t<div class="col-xs-6 col-md-3">
\t<div class="form-line">
\t\t\t\t<input type="text"  class="form-control inactive" id="''')
        _v = VFFSL(SL,"config.path",True) # u'${config.path}' on line 66, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'${config.path}')) # from line 66, col 59.
        write(u'''" placeholder="''')
        _v = VFFSL(SL,"config.data.current",True) # u'$config.data.current' on line 66, col 88
        if _v is not None: write(_filter(_v, rawExpr=u'$config.data.current')) # from line 66, col 88.
        write(u'''" onchange="saveConfig(\'''')
        _v = VFFSL(SL,"config.path",True) # u'$config.path' on line 66, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$config.path')) # from line 66, col 132.
        write(u'''\', this.value);" />
\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''




<div id="content_main">
''')
        isactive = "active"
        write(u'''\t<div style="display:none" id="thistitleconfig"><i class=\'material-icons material-icons-centered\'>settings</i>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 74, col 111
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 74, col 111.
        write(u''' - ''')
        _v = VFFSL(SL,"title",True) # u'$title' on line 74, col 135
        if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 74, col 135.
        write(u'''</div>
\t<div class="form-group" id="configuration">
''')
        for config in VFFSL(SL,"configs",True): # generated from line 76, col 3
            if VFFSL(SL,"config.data.type",True) == "select": # generated from line 77, col 4
                write(u'''\t\t\t\t''')
                _v = VFFSL(SL,"select",False)(VFFSL(SL,"config",True)) # u'$select($config)' on line 78, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$select($config)')) # from line 78, col 5.
                write(u'''
''')
            elif VFFSL(SL,"config.data.type",True) == "checkbox": # generated from line 79, col 4
                write(u'''\t\t\t\t''')
                _v = VFFSL(SL,"checkbox",False)(VFFSL(SL,"config",True)) # u'$checkbox($config)' on line 80, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$checkbox($config)')) # from line 80, col 5.
                write(u'''
''')
            elif VFFSL(SL,"config.data.type",True) == "multicheckbox": # generated from line 81, col 4
                write(u'''\t\t\t\t''')
                _v = VFFSL(SL,"multicheckbox",False)(VFFSL(SL,"config",True)) # u'$multicheckbox($config)' on line 82, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$multicheckbox($config)')) # from line 82, col 5.
                write(u'''
''')
            elif VFFSL(SL,"config.data.type",True) == "number": # generated from line 83, col 4
                write(u'''\t\t\t\t''')
                _v = VFFSL(SL,"number",False)(VFFSL(SL,"config",True), VFFSL(SL,"isactive",True)) # u'$number($config, $isactive)' on line 84, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$number($config, $isactive)')) # from line 84, col 5.
                write(u'''
''')
                if VFFSL(SL,"isactive",True) == "active": # generated from line 85, col 5
                    isactive = ""
        write(u'''\t</div>
</div>

<script type="text/javascript">
$("#configtitle").html($(\'#thistitleconfig\').html());
$.AdminBSB.input.activate();
$.AdminBSB.select.activate();
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_config= 'respond'

## END CLASS DEFINITION

if not hasattr(config, '_initCheetahAttributes'):
    templateAPIClass = getattr(config, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(config)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=config()).run()


