#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.565831
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/current.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class current(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(current, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<div class="card">
\t\t\t<div class="header">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-7">
\t\t\t\t\t\t<h2><a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 9, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 9, col 53.
        write(u'''" target="_blank" title="''')
        _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 9, col 88
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 9, col 88.
        write(u''' ''')
        _v = VFFSL(SL,"getVar",False)('now.title', '') # u"$getVar('now.title', '')" on line 9, col 108
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('now.title', '')")) # from line 9, col 108.
        write(u''' from ''')
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 9, col 138
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 9, col 138.
        write(u'''" href=\'web/stream.m3u?ref=''')
        _v = VFFSL(SL,"info.ref",True) # u'$info.ref' on line 9, col 175
        if _v is not None: write(_filter(_v, rawExpr=u'$info.ref')) # from line 9, col 175.
        write(u'''&name=''')
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 9, col 190
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 9, col 190.
        write(u'''\'><i class="material-icons material-icons-centered">tv</i>''')
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 9, col 258
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 9, col 258.
        write(u'''</a></h2>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-5 align-right">
\t\t\t\t\t\t<h2>''')
        _v = VFFSL(SL,"info.date",True) # u'$info.date' on line 12, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$info.date')) # from line 12, col 11.
        write(u'''</h2>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-md-3">
\t\t\t\t\t\t<img border=\'0\' width="100px" height="60px" src=\'''')
        _v = VFFSL(SL,"getVar",False)("info.picon", "images/default_picon.png") # u'$getVar("info.picon", "images/default_picon.png")' on line 19, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.picon", "images/default_picon.png")')) # from line 19, col 56.
        write(u'''\' onclick="open_epg_dialog(\'''')
        _v = VFFSL(SL,"info.ref",True) # u'$info.ref' on line 19, col 133
        if _v is not None: write(_filter(_v, rawExpr=u'$info.ref')) # from line 19, col 133.
        write(u"""','""")
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 19, col 145
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 19, col 145.
        write(u'''\');" style="cursor:pointer;" data-toggle="modal" data-target="#EPGModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # u"$tstrings['show_epg_for']" on line 19, col 235
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['show_epg_for']")) # from line 19, col 235.
        write(u''' ''')
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 19, col 261
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 19, col 261.
        write(u'''" border="0" alt=\'\' />
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t\t\t<div class="row clearfix" >
\t\t\t\t\t\t\t<div class="col-xs-3">
\t\t\t\t\t\t\t\t<span><b>''')
        _v = VFFSL(SL,"getVar",False)("now.begin", " ") # u'$getVar("now.begin", " ")' on line 24, col 18
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.begin", " ")')) # from line 24, col 18.
        write(u''' - ''')
        _v = VFFSL(SL,"getVar",False)("now.end", " ") # u'$getVar("now.end", " ")' on line 24, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.end", " ")')) # from line 24, col 46.
        write(u'''</b></span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="col-xs-6">
\t\t\t\t\t\t\t\t<span><b>''')
        _v = VFFSL(SL,"getVar",False)("now.title", " ") # u'$getVar("now.title", " ")' on line 27, col 18
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.title", " ")')) # from line 27, col 18.
        write(u'''</b></span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="col-xs-3 align-right">
\t\t\t\t\t\t\t\t<span><b>+''')
        _v = VFFSL(SL,"getVar",False)("now.tleft", " ") # u'$getVar("now.tleft", " ")' on line 30, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.tleft", " ")')) # from line 30, col 19.
        write(u''' min</b></span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12" style="margin-bottom:-20px;margin-top:-15px;">
\t\t\t\t\t\t\t\t<div class="progress progress-striped" style="height:10px;">
''')
        sz = VFFSL(SL,"getVar",False)("now.progress", 0)/400.0*100.0
        write(u'''\t\t\t\t\t\t\t\t\t<div class="progress-bar bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 37, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 37, col 38.
        write(u'''" role="progressbar" aria-valuenow="''')
        _v = VFFSL(SL,"sz",True) # u'$sz' on line 37, col 84
        if _v is not None: write(_filter(_v, rawExpr=u'$sz')) # from line 37, col 84.
        write(u'''" aria-valuemin="0" aria-valuemax="100" style="width:''')
        _v = VFFSL(SL,"sz",True) # u'$sz' on line 37, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$sz')) # from line 37, col 140.
        write(u'''%;margin:0px"></div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-3">
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"getVar",False)("next.begin", " ") # u'$getVar("next.begin", " ")' on line 43, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("next.begin", " ")')) # from line 43, col 15.
        write(u''' - ''')
        _v = VFFSL(SL,"getVar",False)("next.end", " ") # u'$getVar("next.end", " ")' on line 43, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("next.end", " ")')) # from line 43, col 44.
        write(u'''</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="col-xs-6">
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"getVar",False)("next.title", " ") # u'$getVar("next.title", " ")' on line 46, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("next.title", " ")')) # from line 46, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="col-xs-3 align-right">
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"getVar",False)("next.duration", " ") # u'$getVar("next.duration", " ")' on line 49, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("next.duration", " ")')) # from line 49, col 15.
        write(u''' min</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-md-3 align-right">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12" style="margin-bottom:0px;margin-top:0px;">
\t\t\t\t\t\t\t\t<span>
''')
        tnum = 0
        for tuner in VFFSL(SL,"info.tuners",True): # generated from line 58, col 1
            if VFFSL(SL,"info.tunernumber",True) == VFFSL(SL,"tnum",True): # generated from line 59, col 2
                write(u'''\t\t\t\t\t\t\t\t\t<span style="color:green;"><b>''')
                _v = VFFSL(SL,"tuner",True) # u'$tuner' on line 60, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner')) # from line 60, col 40.
                write(u'''</b></span>
''')
            else: # generated from line 61, col 2
                write(u'''\t\t\t\t\t\t\t\t\t<span>''')
                _v = VFFSL(SL,"tuner",True) # u'$tuner' on line 62, col 16
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner')) # from line 62, col 16.
                write(u'''</span>
''')
            tnum = VFFSL(SL,"tnum",True) + 1
        write(u'''\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12" style="margin-bottom:0px;margin-top:0px;">
\t\t\t\t\t\t\t\t<span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"getVar",False)("info.tunertype", " ") # u'$getVar("info.tunertype", " ")' on line 72, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.tunertype", " ")')) # from line 72, col 10.
        write(u'''
\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12" style="margin-bottom:0px;margin-top:0px;">
\t\t\t\t\t\t\t\t<span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"info.width",True) # u'$info.width' on line 79, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$info.width')) # from line 79, col 10.
        write(u''' x ''')
        _v = VFFSL(SL,"info.height",True) # u'$info.height' on line 79, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$info.height')) # from line 79, col 24.
        write(u'''
\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12" style="margin-bottom:0px;margin-top:0px;">
\t\t\t\t\t\t<span>
\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['description'] # u"$tstrings['description']" on line 88, col 11
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['description']")) # from line 88, col 11.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("now.shortdesc", " ") # u'$getVar("now.shortdesc", " ")' on line 88, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.shortdesc", " ")')) # from line 88, col 41.
        write(u'''<br/>''')
        _v = VFN(VFN(VFFSL(SL,"getVar",False)("now.longdesc", " "),"replace",False)("\n","<br/>"),"replace",False)(u"\u008a","<br/>") # u'$getVar("now.longdesc", " ").replace("\\n","<br/>").replace(u"\\u008a","<br/>")' on line 88, col 75
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("now.longdesc", " ").replace("\\n","<br/>").replace(u"\\u008a","<br/>")')) # from line 88, col 75.
        write(u'''
\t\t\t\t\t\t</span>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_type'] # u"$tstrings['tuner_type']" on line 102, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_type']")) # from line 102, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.tunertype", "N/A") # u'$getVar("info.tunertype", "N/A")' on line 102, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.tunertype", "N/A")')) # from line 102, col 42.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_number'] # u"$tstrings['tuner_number']" on line 103, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_number']")) # from line 103, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.tunernumber", "N/A") # u'$getVar("info.tunernumber", "N/A")' on line 103, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.tunernumber", "N/A")')) # from line 103, col 44.
        write(u'''</p>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-6">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_signal_snr'] # u"$tstrings['tuner_signal_snr']" on line 114, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_signal_snr']")) # from line 114, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.snr", "N/A") # u'$getVar("info.snr", "N/A")' on line 114, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.snr", "N/A")')) # from line 114, col 48.
        write(u'''%</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_signal_agc'] # u"$tstrings['tuner_signal_agc']" on line 115, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_signal_agc']")) # from line 115, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.agc", "N/A") # u'$getVar("info.agc", "N/A")' on line 115, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.agc", "N/A")')) # from line 115, col 48.
        write(u'''%</p>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-6">
''')
        snr = VFFSL(SL,"getVar",False)("info.snr", "0")
        agc = VFFSL(SL,"getVar",False)("info.agc", "0")
        write(u'''\t\t\t\t\t\t<div class="progress" style="height:10px;max-width:150px;margin-top:5px;">
\t\t\t\t\t\t\t<div class="progress-bar bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 121, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 121, col 36.
        write(u'''" role="progressbar" aria-valuenow="''')
        _v = VFFSL(SL,"snr",True) # u'$snr' on line 121, col 82
        if _v is not None: write(_filter(_v, rawExpr=u'$snr')) # from line 121, col 82.
        write(u'''" aria-valuemin="0" aria-valuemax="100" style="width:''')
        _v = VFFSL(SL,"snr",True) # u'$snr' on line 121, col 139
        if _v is not None: write(_filter(_v, rawExpr=u'$snr')) # from line 121, col 139.
        write(u'''%;margin:0px"></div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="progress" style="height:10px;max-width:150px;margin-bottom:-5px;">
\t\t\t\t\t\t\t<div class="progress-bar bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 124, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 124, col 36.
        write(u'''" role="progressbar" aria-valuenow="''')
        _v = VFFSL(SL,"agc",True) # u'$agc' on line 124, col 82
        if _v is not None: write(_filter(_v, rawExpr=u'$agc')) # from line 124, col 82.
        write(u'''" aria-valuemin="0" aria-valuemax="100" style="width:''')
        _v = VFFSL(SL,"agc",True) # u'$agc' on line 124, col 139
        if _v is not None: write(_filter(_v, rawExpr=u'$agc')) # from line 124, col 139.
        write(u'''%;margin:0px"></div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_signal_snr_db'] # u"$tstrings['tuner_signal_snr_db']" on line 136, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_signal_snr_db']")) # from line 136, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.snr_db", "N/A") # u'$getVar("info.snr_db", "N/A")' on line 136, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.snr_db", "N/A")')) # from line 136, col 51.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['tuner_ber'] # u"$tstrings['tuner_ber']" on line 137, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuner_ber']")) # from line 137, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.ber", "N/A") # u'$getVar("info.ber", "N/A")' on line 137, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.ber", "N/A")')) # from line 137, col 41.
        write(u'''</p>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>


<div class="row clearfix">
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # u"$tstrings['name']" on line 152, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['name']")) # from line 152, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.name",True) # u'$info.name' on line 152, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$info.name')) # from line 152, col 36.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['video_width'] # u"$tstrings['video_width']" on line 153, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['video_width']")) # from line 153, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.width",True) # u'$info.width' on line 153, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$info.width')) # from line 153, col 43.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['encrypted'] # u"$tstrings['encrypted']" on line 154, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['encrypted']")) # from line 154, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.crypt",True) # u'$info.crypt' on line 154, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$info.crypt')) # from line 154, col 41.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['teletext'] # u"$tstrings['teletext']" on line 155, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['teletext']")) # from line 155, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.txtpid",True) # u'$info.txtpid' on line 155, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$info.txtpid')) # from line 155, col 40.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['a_pid'] # u"$tstrings['a_pid']" on line 156, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['a_pid']")) # from line 156, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.apid",True) # u'$info.apid' on line 156, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.apid')) # from line 156, col 37.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['ts_id'] # u"$tstrings['ts_id']" on line 157, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ts_id']")) # from line 157, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.tsid",True) # u'$info.tsid' on line 157, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.tsid')) # from line 157, col 37.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['s_ref'] # u"$tstrings['s_ref']" on line 158, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['s_ref']")) # from line 158, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.sref",True) # u'$info.sref' on line 158, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.sref')) # from line 158, col 37.
        write(u'''</p>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['provider'] # u"$tstrings['provider']" on line 169, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['provider']")) # from line 169, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.provider",True) # u'$info.provider' on line 169, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$info.provider')) # from line 169, col 40.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['video_height'] # u"$tstrings['video_height']" on line 170, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['video_height']")) # from line 170, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.height",True) # u'$info.height' on line 170, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$info.height')) # from line 170, col 44.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['dolby'] # u"$tstrings['dolby']" on line 171, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['dolby']")) # from line 171, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.dolby",True) # u'$info.dolby' on line 171, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.dolby')) # from line 171, col 37.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['rec_status'] # u"$tstrings['rec_status']" on line 172, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['rec_status']")) # from line 172, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.rec_state",True) # u'$info.rec_state' on line 172, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$info.rec_state')) # from line 172, col 42.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['v_pid'] # u"$tstrings['v_pid']" on line 173, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['v_pid']")) # from line 173, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.vpid",True) # u'$info.vpid' on line 173, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.vpid')) # from line 173, col 37.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['on_id'] # u"$tstrings['on_id']" on line 174, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['on_id']")) # from line 174, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.onid",True) # u'$info.onid' on line 174, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$info.onid')) # from line 174, col 37.
        write(u'''</p>
\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"getVar",False)("info.srefv2", "") # u'$getVar("info.srefv2", "")' on line 175, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.srefv2", "")')) # from line 175, col 10.
        write(u'''</p>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t<div class="card">
\t\t\t<div class="body">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['namespace'] # u"$tstrings['namespace']" on line 186, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['namespace']")) # from line 186, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.namespace",True) # u'$info.namespace' on line 186, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$info.namespace')) # from line 186, col 41.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['video_wide'] # u"$tstrings['video_wide']" on line 187, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['video_wide']")) # from line 187, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.wide",True) # u'$info.wide' on line 187, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$info.wide')) # from line 187, col 42.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['subservices'] # u"$tstrings['subservices']" on line 188, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['subservices']")) # from line 188, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.subs",True) # u'$info.subs' on line 188, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$info.subs')) # from line 188, col 43.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['pmt_pid'] # u"$tstrings['pmt_pid']" on line 189, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['pmt_pid']")) # from line 189, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.pmtpid",True) # u'$info.pmtpid' on line 189, col 39
        if _v is not None: write(_filter(_v, rawExpr=u'$info.pmtpid')) # from line 189, col 39.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['pcr_pid'] # u"$tstrings['pcr_pid']" on line 190, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['pcr_pid']")) # from line 190, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.pcrpid",True) # u'$info.pcrpid' on line 190, col 39
        if _v is not None: write(_filter(_v, rawExpr=u'$info.pcrpid')) # from line 190, col 39.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['s_id'] # u"$tstrings['s_id']" on line 191, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['s_id']")) # from line 191, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"info.sid",True) # u'$info.sid' on line 191, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$info.sid')) # from line 191, col 36.
        write(u'''</p>
\t\t\t\t\t\t<p><b>''')
        _v = VFFSL(SL,"tstrings",True)['s_orb'] # u"$tstrings['s_orb']" on line 192, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['s_orb']")) # from line 192, col 13.
        write(u''':</b> ''')
        _v = VFFSL(SL,"getVar",False)("info.orbital_position", "N/A") # u'$getVar("info.orbital_position", "N/A")' on line 192, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$getVar("info.orbital_position", "N/A")')) # from line 192, col 37.
        write(u'''</p>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_current= 'respond'

## END CLASS DEFINITION

if not hasattr(current, '_initCheetahAttributes'):
    templateAPIClass = getattr(current, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(current)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=current()).run()


