#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, MinEPGList

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.541919
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/epgdialog.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class epgdialog(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(epgdialog, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
''')
        if len(VFFSL(SL,"events",True)) == 0: # generated from line 5, col 1
            write(u'''<img src="images/not_found.jpg" title="No items found" border="0" style="display:none;" id="ajpg">
<img src="themes/not_found.png" title="No items found" border="0" onerror=\'$(this).hide();$("#ajpg").show();\'>
''')
        else: # generated from line 8, col 1
            write(u'''
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">today</i>''')
            _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 15, col 69
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 15, col 69.
            write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body" id="epgcards">


''')
            dataid = 0
            for event in VFFSL(SL,"events",True): # generated from line 23, col 1
                channel = VFN(VFFSL(SL,"event.sname",True),"replace",False)("'", r"\'")
                title = VFN(VFFSL(SL,"event.title",True),"replace",False)("'", r"\'")
                sref = quote(VFFSL(SL,"event.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
                write(u'''
''')
                if VFFSL(SL,"MinEPGList",True) == 'checked': # generated from line 28, col 1
                    write(u'''
<div class="row row-striped clearfix pad-top-15">
\t<div class="col-xs-12 col-md-6">
\t\t<div class="row">
\t\t\t<div class="col-xs-3">
\t\t\t\t<img src="''')
                    _v = VFFSL(SL,"event.picon",True) # u'$event.picon' on line 34, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.picon')) # from line 34, col 15.
                    write(u'''" title="" class="img-responsive" style="width:80px;margin-top:-10px">
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-9">
\t\t\t\t\t\t<span data-toggle="collapse" data-target="#evenid''')
                    _v = VFFSL(SL,"dataid",True) # u'$dataid' on line 37, col 56
                    if _v is not None: write(_filter(_v, rawExpr=u'$dataid')) # from line 37, col 56.
                    write(u'''" aria-expanded="false"aria-controls="collapseExample" style="cursor:pointer;">
\t\t\t\t\t\t<b>''')
                    _v = VFFSL(SL,"event.sname",True) # u'$event.sname' on line 38, col 10
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.sname')) # from line 38, col 10.
                    write(u'''</b> - ''')
                    _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 38, col 29
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 38, col 29.
                    write(u'''<i class="material-icons material-icons-centered">expand_more</i>
\t\t\t\t\t\t</span>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="col-xs-12 col-md-3">
\t\t\t\t<span>''')
                    _v = VFFSL(SL,"event.date",True) # u'$event.date' on line 44, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.date')) # from line 44, col 11.
                    write(u''' - ''')
                    _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 44, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 44, col 25.
                    write(u'''&nbsp;-&nbsp;''')
                    _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 44, col 50
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 44, col 50.
                    write(u'''&nbsp;(''')
                    _v = VFFSL(SL,"event.duration",True) # u'$event.duration' on line 44, col 67
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.duration')) # from line 44, col 67.
                    write(u''' min.)</span>
\t\t\t</div>
\t\t\t<div class="col-xs-12 col-md-3 align-right">
\t\t\t\t<a class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 47, col 47
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 47, col 47.
                    write(u'''" href="#" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 47, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 47, col 92.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 47, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 47, col 99.
                    write(u''',false);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 47, col 138
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 47, col 138.
                    write(u'''"><i class="material-icons material-icons-centered">alarm_add</i></a>
\t\t\t\t<a class="deltimer theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 48, col 56
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 48, col 56.
                    write(u'''" href="#" onclick="delTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 48, col 101
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 48, col 101.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 48, col 108
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 48, col 108.
                    write(u''');return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 48, col 141
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 48, col 141.
                    write(u'''"></a>
\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 49, col 56
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 49, col 56.
                    write(u'''" data-dismiss="modal" data-toggle="modal" data-target="#TimerModal" data-evid="''')
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 49, col 146
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 49, col 146.
                    write(u'''" data-ref="''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 49, col 167
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 49, col 167.
                    write(u'''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 49, col 181
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 49, col 181.
                    write(u'''"><i class="material-icons material-icons-centered">alarm</i></a>
\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 50, col 56
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 50, col 56.
                    write(u'''" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 50, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 50, col 92.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 50, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 50, col 99.
                    write(u''',true);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # u"$tstrings['add_zaptimer']" on line 50, col 137
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_zaptimer']")) # from line 50, col 137.
                    write(u'''"><i class="material-icons material-icons-centered">rotate_90_degrees_ccw</i></a>
''')
                    if VFFSL(SL,"at",True): # generated from line 51, col 4
                        write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 52, col 56
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 52, col 56.
                        write(u'''" onclick="addAutoTimerEvent(\'''')
                        _v = VFFSL(SL,"sref",True) # u'$sref' on line 52, col 96
                        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 52, col 96.
                        write(u"""','""")
                        _v = VFFSL(SL,"channel",True) # u'$channel' on line 52, col 104
                        if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 52, col 104.
                        write(u"""','""")
                        _v = VFFSL(SL,"title",True) # u'$title' on line 52, col 115
                        if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 52, col 115.
                        write(u"""','""")
                        _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 52, col 124
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 52, col 124.
                        write(u"""','""")
                        _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 52, col 139
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 52, col 139.
                        write(u'''\');return false;" title="''')
                        _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # u"$tstrings['add_autotimer']" on line 52, col 174
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_autotimer']")) # from line 52, col 174.
                        write(u'''"><i class="material-icons material-icons-centered">history</i></a>
''')
                    if VFFSL(SL,"moviedb",True) == "Kinopoisk": # generated from line 54, col 4
                        write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 55, col 56
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 55, col 56.
                        write(u'''" target="_blank" href="http://www.kinopoisk.ru/index.php?first=no&kp_query=''')
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 55, col 142
                        if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 55, col 142.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_kinopoisk'] # u"$tstrings['search_kinopoisk']" on line 55, col 171
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_kinopoisk']")) # from line 55, col 171.
                        write(u'''"></a>
''')
                    elif VFFSL(SL,"moviedb",True) == "CSFD": # generated from line 56, col 4
                        write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 57, col 56
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 57, col 56.
                        write(u'''" target="_blank" href="http://www.imdb.com/find?s=all&amp;q=''')
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 57, col 127
                        if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 57, col 127.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_imdb'] # u"$tstrings['search_imdb']" on line 57, col 156
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_imdb']")) # from line 57, col 156.
                        write(u'''"><b>IMDb</b></a>
''')
                    else: # generated from line 58, col 4
                        write(u'''\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 59, col 56
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 59, col 56.
                        write(u'''" target="_blank" href="https://www.csfd.cz/hledat/?q=''')
                        _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 59, col 120
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 59, col 120.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_imdb'] # u"$tstrings['search_imdb']" on line 59, col 141
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_imdb']")) # from line 59, col 141.
                        write(u'''"><b>csfd</b></a>
''')
                    write(u'''\t\t\t</div>
\t\t\t<div class="col-xs-12 collapse" id="evenid''')
                    _v = VFFSL(SL,"dataid",True) # u'$dataid' on line 62, col 46
                    if _v is not None: write(_filter(_v, rawExpr=u'$dataid')) # from line 62, col 46.
                    write(u'''">
\t\t\t<p><b>''')
                    _v = VFFSL(SL,"event.shortdesc",True) # u'$event.shortdesc' on line 63, col 10
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.shortdesc')) # from line 63, col 10.
                    write(u'''</b>
\t\t\t<br>
\t\t\t''')
                    _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)('\n',r'<br/>'),"replace",False)('\8a',r'<br/>') # u"$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')" on line 65, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u"$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')")) # from line 65, col 4.
                    write(u'''
\t\t\t</p>
\t\t</div>
\t</div>

''')
                else: # generated from line 70, col 1
                    write(u'''
<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<div class="card" style="margin-bottom:-25px;">
\t\t\t<div class="header">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-md-2" style="margin-bottom:-10px;">
\t\t\t\t\t\t<img src="''')
                    _v = VFFSL(SL,"event.picon",True) # u'$event.picon' on line 78, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.picon')) # from line 78, col 17.
                    write(u'''" title="" class="img-responsive" style="width:100px;">
\t\t\t\t\t\t<label>''')
                    _v = VFFSL(SL,"event.sname",True) # u'$event.sname' on line 79, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.sname')) # from line 79, col 14.
                    write(u'''</label>
''')
                    if VFN(VFFSL(SL,"event",True),"has_key",False)('ns'): # generated from line 80, col 7
                        write(u'''\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t<span>
''')
                        if '4097:' in VFFSL(SL,"event.sref",True) or '5002:' in VFFSL(SL,"event.sref",True) or 'http%3a' in VFFSL(SL,"event.sref",True) or 'https%3a' in VFFSL(SL,"event.sref",True): # generated from line 83, col 8
                            write(u'''\t\t\t\t\t\t\t\tIPTV
''')
                        else: # generated from line 85, col 8
                            write(u'''\t\t\t\t\t\t\t\t''')
                            _v = VFFSL(SL,"event.service_type",True) # u'$event.service_type' on line 86, col 9
                            if _v is not None: write(_filter(_v, rawExpr=u'$event.service_type')) # from line 86, col 9.
                            write(u''' / ''')
                            _v = VFFSL(SL,"event.ns",True) # u'$event.ns' on line 86, col 31
                            if _v is not None: write(_filter(_v, rawExpr=u'$event.ns')) # from line 86, col 31.
                            write(u'''
''')
                        write(u'''\t\t\t\t\t\t\t</span>
''')
                    write(u'''\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 col-md-6" style="word-break: break-all">
\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">event</i><b>''')
                    _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 92, col 73
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 92, col 73.
                    write(u'''</b></h2>
\t\t\t\t\t\t<div>
\t\t\t\t\t\t<a class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 94, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 94, col 49.
                    write(u'''" href="#" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 94, col 94
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 94, col 94.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 94, col 101
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 94, col 101.
                    write(u''',false);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 94, col 140
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 94, col 140.
                    write(u'''"><i class="material-icons material-icons-centered">alarm_add</i></a>
\t\t\t\t\t\t<a class="deltimer theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 95, col 58
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 95, col 58.
                    write(u'''" href="#" onclick="delTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 95, col 103
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 95, col 103.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 95, col 110
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 95, col 110.
                    write(u''');return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 95, col 143
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 95, col 143.
                    write(u'''"></a>
\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 96, col 58
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 96, col 58.
                    write(u'''" data-dismiss="modal" data-toggle="modal" data-target="#TimerModal" data-evid="''')
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 96, col 148
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 96, col 148.
                    write(u'''" data-ref="''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 96, col 169
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 96, col 169.
                    write(u'''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 96, col 183
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 96, col 183.
                    write(u'''"><i class="material-icons material-icons-centered">alarm</i></a>
\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 97, col 58
                    if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 97, col 58.
                    write(u'''" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 97, col 94
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 97, col 94.
                    write(u"""',""")
                    _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 97, col 101
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 97, col 101.
                    write(u''',true);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # u"$tstrings['add_zaptimer']" on line 97, col 139
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_zaptimer']")) # from line 97, col 139.
                    write(u'''"><i class="material-icons material-icons-centered">rotate_90_degrees_ccw</i></a>
''')
                    if VFFSL(SL,"at",True): # generated from line 98, col 6
                        write(u'''\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 99, col 58
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 99, col 58.
                        write(u'''" onclick="addAutoTimerEvent(\'''')
                        _v = VFFSL(SL,"sref",True) # u'$sref' on line 99, col 98
                        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 99, col 98.
                        write(u"""','""")
                        _v = VFFSL(SL,"channel",True) # u'$channel' on line 99, col 106
                        if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 99, col 106.
                        write(u"""','""")
                        _v = VFFSL(SL,"title",True) # u'$title' on line 99, col 117
                        if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 99, col 117.
                        write(u"""','""")
                        _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 99, col 126
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 99, col 126.
                        write(u"""','""")
                        _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 99, col 141
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 99, col 141.
                        write(u'''\');return false;" title="''')
                        _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # u"$tstrings['add_autotimer']" on line 99, col 176
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_autotimer']")) # from line 99, col 176.
                        write(u'''"><i class="material-icons material-icons-centered">history</i></a>
''')
                    if VFFSL(SL,"moviedb",True) == "Kinopoisk": # generated from line 101, col 6
                        write(u'''\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 102, col 58
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 102, col 58.
                        write(u'''" target="_blank" href="http://www.kinopoisk.ru/index.php?first=no&kp_query=''')
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 102, col 144
                        if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 102, col 144.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_kinopoisk'] # u"$tstrings['search_kinopoisk']" on line 102, col 173
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_kinopoisk']")) # from line 102, col 173.
                        write(u'''"></a>
''')
                    elif VFFSL(SL,"moviedb",True) == "CSFD": # generated from line 103, col 6
                        write(u'''\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 104, col 58
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 104, col 58.
                        write(u'''" target="_blank" href="https://www.csfd.cz/hledat/?q=''')
                        _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 104, col 122
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 104, col 122.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_csfd'] # u"$tstrings['search_csfd']" on line 104, col 143
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_csfd']")) # from line 104, col 143.
                        write(u'''"><b>csfd</b></a>
''')
                    else: # generated from line 105, col 6
                        write(u'''\t\t\t\t\t\t<a href="#" class="theme-link-color theme-link-col-''')
                        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 106, col 58
                        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 106, col 58.
                        write(u'''" target="_blank" href="http://www.imdb.com/find?s=all&amp;q=''')
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 106, col 129
                        if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 106, col 129.
                        write(u'''" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_imdb'] # u"$tstrings['search_imdb']" on line 106, col 158
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_imdb']")) # from line 106, col 158.
                        write(u'''"><b>IMDb</b></a>
''')
                    write(u'''\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-md-4 align-right" style="word-break: break-all">
\t\t\t\t<h2>''')
                    _v = VFFSL(SL,"event.date",True) # u'$event.date' on line 111, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.date')) # from line 111, col 9.
                    write(u'''</h2>
\t\t\t\t<span>''')
                    _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 112, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 112, col 11.
                    write(u'''&nbsp;-&nbsp;''')
                    _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 112, col 36
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 112, col 36.
                    write(u'''&nbsp;(''')
                    _v = VFFSL(SL,"event.duration",True) # u'$event.duration' on line 112, col 53
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.duration')) # from line 112, col 53.
                    write(u''' min.)</span>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body">
\t\t\t<div class="row clearfix" style="margin-bottom:-25px;">
\t\t\t\t<div class="col-xs-12">
''')
                    if VFFSL(SL,"event.longdesc",True) != '': # generated from line 119, col 5
                        write(u'''\t\t\t\t<span data-toggle="collapse" data-target="#evenid''')
                        _v = VFFSL(SL,"dataid",True) # u'$dataid' on line 120, col 54
                        if _v is not None: write(_filter(_v, rawExpr=u'$dataid')) # from line 120, col 54.
                        write(u'''" aria-expanded="false"aria-controls="collapseExample" style="cursor:pointer;">
\t\t\t\t<b>''')
                        _v = VFFSL(SL,"event.shortdesc",True) # u'$event.shortdesc' on line 121, col 8
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.shortdesc')) # from line 121, col 8.
                        write(u'''</b>
\t\t\t\t<i class="material-icons material-icons-centered">expand_more</i></span>
\t\t\t\t<div class="collapse" id="evenid''')
                        _v = VFFSL(SL,"dataid",True) # u'$dataid' on line 123, col 37
                        if _v is not None: write(_filter(_v, rawExpr=u'$dataid')) # from line 123, col 37.
                        write(u'''">
\t\t\t\t<p>''')
                        _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)('\n',r'<br/>'),"replace",False)('\8a',r'<br/>') # u"$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')" on line 124, col 8
                        if _v is not None: write(_filter(_v, rawExpr=u"$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')")) # from line 124, col 8.
                        write(u'''</p>
\t\t\t\t</div>
''')
                    else: # generated from line 126, col 5
                        write(u'''\t\t\t\t<span><b>''')
                        _v = VFFSL(SL,"event.shortdesc",True) # u'$event.shortdesc' on line 127, col 14
                        if _v is not None: write(_filter(_v, rawExpr=u'$event.shortdesc')) # from line 127, col 14.
                        write(u'''</b></span>
''')
                    write(u'''\t\t\t</div>
\t\t</div>
\t</div>
</div>
</div>
</div>

''')
                write(u'''
''')
                dataid = VFFSL(SL,"dataid",True)+1
            write(u'''\t\t</div>
\t</div>
\t</div>

<script type="text/javascript">
var t = [
''')
            for timer in VFFSL(SL,"timers",True): # generated from line 146, col 1
                write(u"""\t{'begin':""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 147, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 147, col 11.
                write(u""",'end':""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 147, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 147, col 30.
                write(u""",'sref':'""")
                _v = VFFSL(SL,"timer.serviceref",True) # u'$timer.serviceref' on line 147, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.serviceref')) # from line 147, col 49.
                write(u"""'},
""")
            write(u'''];
var reloadTimers = true;
$(function() {
\t$(\'#editTimerForm\').load(\'ajax/edittimer\');
\tif (t.length > 0) {
\t\tvar x = $( ".ETV tbody" );
\t\tif (x != undefined)
\t\t\tShowTimers(t);
\t}
});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_epgdialog= 'respond'

## END CLASS DEFINITION

if not hasattr(epgdialog, '_initCheetahAttributes'):
    templateAPIClass = getattr(epgdialog, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(epgdialog)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=epgdialog()).run()


