#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from json import dumps
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.651191
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/event.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class event(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(event, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        etime = time.localtime(VFFSL(SL,"event.begin",True))
        channel = VFN(VFFSL(SL,"event.channel",True),"replace",False)("'", r"\'")
        title = VFN(VFFSL(SL,"event.title",True),"replace",False)("'", r"\'")
        sref = quote(VFFSL(SL,"event.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
        write(u'''
<style>
#station { cursor:pointer;overflow:hidden;}
</style>

<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<h4>
\t\t\t<span id="station" onclick="zapChannel(\'''')
        _v = VFFSL(SL,"str",False)(VFFSL(SL,"event",True)['sref']) # u"$str($event['sref'])" on line 17, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$str($event['sref'])")) # from line 17, col 44.
        write(u"""', '""")
        _v = VFFSL(SL,"channel",True) # u'$channel' on line 17, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 17, col 68.
        write(u'''\')" title="''')
        _v = VFFSL(SL,"tstrings",True)['zap'] # u"$tstrings['zap']" on line 17, col 87
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zap']")) # from line 17, col 87.
        write(u'''">''')
        _v = VFFSL(SL,"event",True)['channel'] # u"$event['channel']" on line 17, col 105
        if _v is not None: write(_filter(_v, rawExpr=u"$event['channel']")) # from line 17, col 105.
        write(u'''</span>
\t\t\t''')
        _v = VFFSL(SL,"channel",True) # u'$channel' on line 18, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 18, col 4.
        write(u'''<br/>
\t\t</h4>
\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12">
''')
        if VFFSL(SL,"transcoding",True): # generated from line 24, col 3
            write(u'''\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 25, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 25, col 45.
            write(u'''" href="#" onclick="jumper8001(\'''')
            _v = VFFSL(SL,"sref",True) # u'$sref' on line 25, col 87
            if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 25, col 87.
            write(u"""', '""")
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 25, col 96
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 25, col 96.
            write(u'''\');" title="''')
            _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 25, col 116
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 25, col 116.
            write(u''': ''')
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 25, col 137
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 25, col 137.
            write(u'''"><i class="material-icons material-icons-centered">tv</i></a>
\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 26, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 26, col 45.
            write(u'''" href="#" onclick="jumper8002(\'''')
            _v = VFFSL(SL,"sref",True) # u'$sref' on line 26, col 87
            if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 26, col 87.
            write(u"""', '""")
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 26, col 96
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 26, col 96.
            write(u'''\');" title="''')
            _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 26, col 116
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 26, col 116.
            write(u''' (''')
            _v = VFFSL(SL,"tstrings",True)['transcoded'] # u"$tstrings['transcoded']" on line 26, col 137
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['transcoded']")) # from line 26, col 137.
            write(u'''): ''')
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 26, col 163
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 26, col 163.
            write(u'''"><i class="material-icons material-icons-centered">phone_android</i></a>
''')
        else: # generated from line 27, col 3
            write(u'''\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 28, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 28, col 45.
            write(u'''" target="_blank" href=\'../web/stream.m3u?ref=''')
            _v = VFFSL(SL,"sref",True) # u'$sref' on line 28, col 101
            if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 28, col 101.
            write(u'''&name=''')
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 28, col 112
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 28, col 112.
            write(u'''\' title="''')
            _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 28, col 129
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 28, col 129.
            write(u''' ''')
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 28, col 149
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 28, col 149.
            write(u'''"><i class="material-icons material-icons-centered">tv</i></a>
''')
        write(u'''\t\t
\t\t<a class="tb theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 31, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 31, col 48.
        write(u'''" href="#" onclick="addTimerEvent(\'''')
        _v = VFFSL(SL,"sref",True) # u'$sref' on line 31, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 31, col 93.
        write(u"""',""")
        _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 31, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 31, col 100.
        write(u''',false,cbAddTimerEvent);return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 31, col 155
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 31, col 155.
        write(u'''"><i class="material-icons material-icons-centered">alarm_add</i></a>
\t\t<a class="tb theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 32, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 32, col 48.
        write(u'''" href="#addtimer" data-dismiss="modal" data-toggle="modal" data-target="#TimerModal" data-evid="''')
        _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 32, col 155
        if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 32, col 155.
        write(u'''" data-ref="''')
        _v = VFFSL(SL,"sref",True) # u'$sref' on line 32, col 176
        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 32, col 176.
        write(u'''" title="Timer bearbeiten"><i class="material-icons material-icons-centered">alarm</i></a>
\t\t<a class="tb theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 33, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 33, col 48.
        write(u'''" href="#" onclick="addTimerEvent(\'''')
        _v = VFFSL(SL,"sref",True) # u'$sref' on line 33, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 33, col 93.
        write(u"""',""")
        _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 33, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 33, col 100.
        write(u''',true,cbAddTimerEvent);return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # u"$tstrings['add_zaptimer']" on line 33, col 154
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_zaptimer']")) # from line 33, col 154.
        write(u'''"><i class="material-icons material-icons-centered">rotate_90_degrees_ccw</i></a>
\t\t
''')
        if VFFSL(SL,"at",True): # generated from line 35, col 3
            write(u'''\t\t\t<a class="tb" href="#" onclick="addAutoTimerEvent(\'''')
            _v = VFFSL(SL,"sref",True) # u'$sref' on line 36, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 36, col 55.
            write(u"""','""")
            _v = VFFSL(SL,"channel",True) # u'$channel' on line 36, col 63
            if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 36, col 63.
            write(u"""','""")
            _v = VFFSL(SL,"title",True) # u'$title' on line 36, col 74
            if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 36, col 74.
            write(u"""','""")
            _v = VFFSL(SL,"event.begin_str",True) # u'$event.begin_str' on line 36, col 83
            if _v is not None: write(_filter(_v, rawExpr=u'$event.begin_str')) # from line 36, col 83.
            write(u"""','""")
            _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 36, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 36, col 102.
            write(u'''\');return false;" title="''')
            _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # u"$tstrings['add_autotimer']" on line 36, col 137
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_autotimer']")) # from line 36, col 137.
            write(u'''">
\t\t\t\t<i class="fa fa-timerat"></i>
\t\t\t</a>
''')
        write(u'''\t\t
\t\t<a class="d_timer tb" href="#" onclick="delTimerEvent(\'''')
        _v = VFFSL(SL,"sref",True) # u'$sref' on line 41, col 58
        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 41, col 58.
        write(u"""','""")
        _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 41, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 41, col 66.
        write(u'''\');return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 41, col 100
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 41, col 100.
        write(u'''">
\t\t
''')
        if VFFSL(SL,"moviedb",True) == "Kinopoisk": # generated from line 43, col 3
            write(u'''\t\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 44, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 44, col 46.
            write(u'''"  target="_blank" href="http://www.kinopoisk.ru/index.php?first=no&kp_query=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 44, col 133
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 44, col 133.
            write(u'''"><img src="../images/kinopoisk.png" style="width:12px; height:12px; margin:0px 3px 0px 0px" title="''')
            _v = VFFSL(SL,"tstrings",True)['search_kinopoisk'] # u"$tstrings['search_kinopoisk']" on line 44, col 253
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_kinopoisk']")) # from line 44, col 253.
            write(u'''" border="0"></a>
''')
        elif VFFSL(SL,"moviedb",True) == "CSFD": # generated from line 45, col 3
            write(u'''\t\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 46, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 46, col 46.
            write(u'''" target="_blank" href="https://www.csfd.cz/hledat/?q=''')
            _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 46, col 110
            if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 46, col 110.
            write(u'''" title="''')
            _v = VFFSL(SL,"tstrings",True)['search_csfd'] # u"$tstrings['search_csfd']" on line 46, col 131
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_csfd']")) # from line 46, col 131.
            write(u'''">csfd</a>
''')
        else: # generated from line 47, col 3
            write(u'''\t\t\t<a class="theme-link-color theme-link-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 48, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 48, col 46.
            write(u'''" target="_blank" href="http://www.imdb.com/find?s=all&amp;q=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 48, col 117
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 48, col 117.
            write(u'''" title="''')
            _v = VFFSL(SL,"tstrings",True)['search_imdb'] # u"$tstrings['search_imdb']" on line 48, col 146
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_imdb']")) # from line 48, col 146.
            write(u'''">IMDb</a>
''')
        write(u'''\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<h5>''')
        _v = VFFSL(SL,"tstrings",True)[("day_" + (VFN(VFFSL(SL,"time",True),"strftime",False)("%w", VFFSL(SL,"etime",True))))] # u'$tstrings[("day_" + ($time.strftime("%w", $etime)))]' on line 54, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[("day_" + ($time.strftime("%w", $etime)))]')) # from line 54, col 7.
        write(u'''. ''')
        _v = VFN(VFFSL(SL,"time",True),"strftime",False)("%d", VFFSL(SL,"etime",True)) # u'$time.strftime("%d", $etime)' on line 54, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$time.strftime("%d", $etime)')) # from line 54, col 61.
        write(u'''. ''')
        _v = VFFSL(SL,"tstrings",True)[("month_" + (VFN(VFFSL(SL,"time",True),"strftime",False)("%m", VFFSL(SL,"etime",True))))] # u'$tstrings[("month_" + ($time.strftime("%m", $etime)))]' on line 54, col 91
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[("month_" + ($time.strftime("%m", $etime)))]')) # from line 54, col 91.
        write(u''' ''')
        _v = VFFSL(SL,"event.begin_str",True) # u'$event.begin_str' on line 54, col 146
        if _v is not None: write(_filter(_v, rawExpr=u'$event.begin_str')) # from line 54, col 146.
        write(u''' - ''')
        _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 54, col 165
        if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 54, col 165.
        write(u'''&nbsp;&nbsp;(''')
        _v = VFFSL(SL,"int",False)(VFFSL(SL,"event.duration",True)/60) # u'$int($event.duration/60)' on line 54, col 188
        if _v is not None: write(_filter(_v, rawExpr=u'$int($event.duration/60)')) # from line 54, col 188.
        write(u''' min)</h5>
\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<h4>''')
        _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 59, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 59, col 7.
        write(u'''</h4>
''')
        if VFFSL(SL,"event.title",True) != VFFSL(SL,"event.shortdesc",True): # generated from line 60, col 1
            write(u'''\t\t<h5>''')
            _v = VFFSL(SL,"event.shortdesc",True) # u'$event.shortdesc' on line 61, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$event.shortdesc')) # from line 61, col 7.
            write(u'''</h5>
''')
        write(u'''\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12">
\t\t<p>''')
        _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)("\n","<br/>"),"replace",False)(u"\u008a","<br/>") # u'$(event.longdesc.replace("\\n","<br/>").replace(u"\\u008a","<br/>"))' on line 67, col 6
        if _v is not None: write(_filter(_v, rawExpr=u'$(event.longdesc.replace("\\n","<br/>").replace(u"\\u008a","<br/>"))')) # from line 67, col 6.
        write(u'''</p>
\t</div>
</div>

<script>
var theevent = ''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"event",True)) # u'$dumps($event)' on line 72, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($event)')) # from line 72, col 16.
        write(u''';
if (picons[theevent[\'channel\']])
\t$(\'#station\').html(\'<img src="\'+picons[theevent[\'channel\']]+\'" width="80" />\');
if (typeof channelpicon !== \'undefined\') {
\t$(\'#station\').html(\'<img src="\'+ channelpicon + \'" width="80" />\');
} else if (typeof picons !== \'undefined\') {
\tif (picons[theevent[\'channel\']]) {
\t\t$(\'#station\').html(\'<img src="\'+picons[theevent[\'channel\']]+\'" width="80" />\');
\t}
}
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_event= 'respond'

## END CLASS DEFINITION

if not hasattr(event, '_initCheetahAttributes'):
    templateAPIClass = getattr(event, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(event)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=event()).run()


