#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from time import localtime, strftime
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, MinMovieList

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.762861
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/movies.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class movies(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(movies, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">movie</i>''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # u"$tstrings['movies']" on line 11, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['movies']")) # from line 11, col 69.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown m-r--5">
\t\t\t\t<li>
\t\t\t\t<li class="dropdown"><a href="#" onclick="lastcontenturl = \'\'; load_maincontent_spin(\'ajax/movies\'); return false;" ><i class="material-icons">autorenew</i></a>
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right" id="timerbuttons">
\t\t\t\t\t\t<li><a href="#" onclick="changeMoviesort(\'name\'); return false" ><i class="material-icons material-icons-centered">vertical_align_bottom</i>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # u"$tstrings['name']" on line 19, col 147
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['name']")) # from line 19, col 147.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" onclick="changeMoviesort(\'named\'); return false" ><i class="material-icons material-icons-centered">vertical_align_top</i>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # u"$tstrings['name']" on line 20, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['name']")) # from line 20, col 145.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" onclick="changeMoviesort(\'date\'); return false" ><i class="material-icons material-icons-centered">vertical_align_bottom</i>''')
        _v = VFFSL(SL,"tstrings",True)['date'] # u"$tstrings['date']" on line 21, col 147
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['date']")) # from line 21, col 147.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" onclick="changeMoviesort(\'dated\'); return false" ><i class="material-icons material-icons-centered">vertical_align_top</i>''')
        _v = VFFSL(SL,"tstrings",True)['date'] # u"$tstrings['date']" on line 22, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['date']")) # from line 22, col 145.
        write(u'''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body">
\t\t\t<div id="content_main">
\t\t\t\t<div id="tvcontentmain">
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-lg-6 align-right">
\t\t\t\t\t\t\t<div class="btn-group btn-group-lg" role="group" aria-label="Large button group">
''')
        path = ''
        for dir in VFN(VFFSL(SL,"directory",True)[0:-1],"split",False)("/")[1:-1]: # generated from line 34, col 8
            path += '/' + VFFSL(SL,"dir",True)
            write(u'''\t\t\t\t\t\t\t\t<button class="btn btn-default waves-effect" onclick="load_maincontent_spin(\'ajax/movies?dirname=\'+escape(\'''')
            _v = VFFSL(SL,"path",True) # u'$path' on line 36, col 116
            if _v is not None: write(_filter(_v, rawExpr=u'$path')) # from line 36, col 116.
            write(u'''\'));">''')
            _v = VFFSL(SL,"dir",True) # u'$dir' on line 36, col 127
            if _v is not None: write(_filter(_v, rawExpr=u'$dir')) # from line 36, col 127.
            write(u'''</button>
''')
        if VFFSL(SL,"directory",True) != '/': # generated from line 38, col 8
            write(u'''\t\t\t\t\t\t\t\t\t<button class="btn waves-effect bg-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 39, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 39, col 45.
            write(u'''" id="moviedirbtn"><span style="font-weight: bold;">
''')
            _v = VFN(VFFSL(SL,"directory",True)[0:-1],"split",False)("/")[-1]
            if _v is not None: write(_filter(_v))
            write(u'''\t\t\t\t\t\t\t\t\t</button>
''')
        write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
''')
        if VFFSL(SL,"len",False)(VFFSL(SL,"bookmarks",True)): # generated from line 45, col 7
            write(u'''\t\t\t\t\t\t<div class="col-lg-2 align-left">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<select class="form-control" id="directory">
\t\t\t\t\t\t\t\t<option>Subdirs:</option>
''')
            for bookmark in VFFSL(SL,"bookmarks",True): # generated from line 50, col 9
                write(u'''\t\t\t\t\t\t\t\t\t<option value="''')
                _v = VFFSL(SL,"directory",True) # u'$directory' on line 51, col 25
                if _v is not None: write(_filter(_v, rawExpr=u'$directory')) # from line 51, col 25.
                _v = VFFSL(SL,"bookmark",True) # u'$bookmark' on line 51, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$bookmark')) # from line 51, col 35.
                write(u'''">''')
                _v = VFFSL(SL,"bookmark",True) # u'$bookmark' on line 51, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$bookmark')) # from line 51, col 46.
                write(u'''</option>
''')
            write(u'''\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
''')
        write(u'''\t\t\t\t\t
\t\t\t\t\t</div>
''')
        count = 0
        for movie in VFFSL(SL,"movies",True): # generated from line 60, col 6
            write(u'''\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12" id="movies">
\t\t\t\t\t\t\t\t<div class="card" id="''')
            _v = VFFSL(SL,"count",True) # u'$count' on line 63, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$count')) # from line 63, col 31.
            write(u'''">
\t\t\t\t\t\t\t\t\t<div class="header">
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-8">
\t\t\t\t\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">movie</i>''')
            _v = VFFSL(SL,"movie.eventname",True) # u'$movie.eventname' on line 67, col 76
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.eventname')) # from line 67, col 76.
            write(u''' - ''')
            _v = VFFSL(SL,"movie.servicename",True) # u'$movie.servicename' on line 67, col 95
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.servicename')) # from line 67, col 95.
            write(u'''</h2>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<ul class="header-dropdown m-r--5">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href=\'#\' onClick="playRecording(\'''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.serviceref",True)) # u'$quote($movie.serviceref)' on line 71, col 75
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.serviceref)')) # from line 71, col 75.
            write(u'''\');" title="''')
            _v = VFFSL(SL,"tstrings",True)['playback'] # u"$tstrings['playback']" on line 71, col 112
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['playback']")) # from line 71, col 112.
            write(u'''"><i class="material-icons material-icons-centered">play_circle_outline</i></a></span></li>
''')
            if VFFSL(SL,"transcoding",True): # generated from line 72, col 15
                write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href="#" onclick="jumper80(\'''')
                _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.filename",True)) # u'$quote($movie.filename)' on line 73, col 70
                if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.filename)')) # from line 73, col 70.
                write(u'''\');" title="''')
                _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 73, col 105
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 73, col 105.
                write(u''': ''')
                _v = VFFSL(SL,"movie.eventname",True) # u'$movie.eventname' on line 73, col 126
                if _v is not None: write(_filter(_v, rawExpr=u'$movie.eventname')) # from line 73, col 126.
                write(u'''"><i class="material-icons material-icons-centered">tv</i></a></span></li>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href="#" onclick="jumper8003(\'''')
                _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.filename",True)) # u'$quote($movie.filename)' on line 74, col 72
                if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.filename)')) # from line 74, col 72.
                write(u'''\');" title="''')
                _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 74, col 107
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 74, col 107.
                write(u''' (''')
                _v = VFFSL(SL,"tstrings",True)['transcoded'] # u"$tstrings['transcoded']" on line 74, col 128
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['transcoded']")) # from line 74, col 128.
                write(u'''): ''')
                _v = VFFSL(SL,"movie.eventname",True) # u'$movie.eventname' on line 74, col 154
                if _v is not None: write(_filter(_v, rawExpr=u'$movie.eventname')) # from line 74, col 154.
                write(u'''"><i class="material-icons material-icons-centered">phone_android</i></a></span></li>
''')
            else: # generated from line 75, col 15
                write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a target="_blank" href=\'web/ts.m3u?file=''')
                _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.filename",True)) # u'$quote($movie.filename)' on line 76, col 80
                if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.filename)')) # from line 76, col 80.
                write(u'''\' title="''')
                _v = VFFSL(SL,"tstrings",True)['stream'] # u"$tstrings['stream']" on line 76, col 112
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['stream']")) # from line 76, col 112.
                write(u''' ''')
                _v = VFFSL(SL,"movie.eventname",True) # u'$movie.eventname' on line 76, col 132
                if _v is not None: write(_filter(_v, rawExpr=u'$movie.eventname')) # from line 76, col 132.
                write(u'''"><i class="material-icons material-icons-centered">tv</i></a></span></li>
''')
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t
''')
            eventname_escaped = VFN(VFFSL(SL,"movie.eventname",True),"replace",False)("'", r"\'")
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href=\'/file?action=download&file=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.filename",True)) # u'$quote($movie.filename)' on line 80, col 75
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.filename)')) # from line 80, col 75.
            write(u'''\' title="''')
            _v = VFFSL(SL,"tstrings",True)['download'] # u"$tstrings['download']" on line 80, col 107
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['download']")) # from line 80, col 107.
            write(u''' ''')
            _v = VFFSL(SL,"movie.eventname",True) # u'$movie.eventname' on line 80, col 129
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.eventname')) # from line 80, col 129.
            write(u'''"><i class="material-icons material-icons-centered">cloud_download</i></a></span></li>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href=\'#\' onClick="renameMovie(\'''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.serviceref",True)) # u'$quote($movie.serviceref)' on line 81, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.serviceref)')) # from line 81, col 73.
            write(u"""','""")
            _v = VFFSL(SL,"eventname_escaped",True) # u'$eventname_escaped' on line 81, col 101
            if _v is not None: write(_filter(_v, rawExpr=u'$eventname_escaped')) # from line 81, col 101.
            write(u'''\');" title="''')
            _v = VFFSL(SL,"tstrings",True)['rename_recording'] # u"$tstrings['rename_recording']" on line 81, col 131
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['rename_recording']")) # from line 81, col 131.
            write(u'''"><i class="material-icons material-icons-centered">edit</i></a></span></li>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li><span role="button"><a href=\'#\' onClick="deleteMovie(\'''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"movie.serviceref",True)) # u'$quote($movie.serviceref)' on line 82, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($movie.serviceref)')) # from line 82, col 73.
            write(u"""', '""")
            _v = VFFSL(SL,"count",True) # u'$count' on line 82, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$count')) # from line 82, col 102.
            write(u"""', '""")
            _v = VFFSL(SL,"eventname_escaped",True) # u'$eventname_escaped' on line 82, col 112
            if _v is not None: write(_filter(_v, rawExpr=u'$eventname_escaped')) # from line 82, col 112.
            write(u'''\'); return false;" title="''')
            _v = VFFSL(SL,"tstrings",True)['delete_recording'] # u"$tstrings['delete_recording']" on line 82, col 156
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_recording']")) # from line 82, col 156.
            write(u'''"><i class="material-icons material-icons-centered">delete</i></a></span></li>
\t\t\t\t\t\t\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix" style="margin-bottom:-25px;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-8">
''')
            da = VFFSL(SL,"tstrings",True)[("day_" + (time.strftime("%w", time.localtime(VFFSL(SL,"movie.recordingtime",True)))))]
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span>''')
            _v = VFFSL(SL,"da",True) # u'$da' on line 89, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$da')) # from line 89, col 21.
            write(u'''</span>
''')
            w = VFFSL(SL,"movie.lastseen",True)
            size = '0'
            if VFFSL(SL,"w",True) > 0: # generated from line 92, col 16
                w = VFFSL(SL,"w",True) * 70 / 100
                size = str(VFFSL(SL,"w",True))
                write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="ui-progressbar ui-corner-all ui-widget ui-widget-content">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="ui-progressbar-value ui-corner-left ui-widget-header" style="width: ''')
                _v = VFFSL(SL,"size",True) # u'$size' on line 96, col 98
                if _v is not None: write(_filter(_v, rawExpr=u'$size')) # from line 96, col 98.
                write(u''';"></div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
''')
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="progress progress-striped" style="margin-bottom:0px;width:35%;max-width:200px;min-width:100px;height:10px;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="progress-bar bg-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 100, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 100, col 45.
            write(u'''" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:''')
            _v = VFFSL(SL,"size",True) # u'$size' on line 100, col 145
            if _v is not None: write(_filter(_v, rawExpr=u'$size')) # from line 100, col 145.
            write(u'''%;"></div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span>''')
            _v = VFFSL(SL,"movie.length",True) # u'$movie.length' on line 102, col 22
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.length')) # from line 102, col 22.
            write(u''' min. / ''')
            _v = VFFSL(SL,"movie.filesize_readable",True) # u'$movie.filesize_readable' on line 102, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.filesize_readable')) # from line 102, col 43.
            write(u'''</span>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix" style="margin-bottom:-25px;">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#eventid''')
            _v = VFFSL(SL,"count",True) # u'$count' on line 109, col 63
            if _v is not None: write(_filter(_v, rawExpr=u'$count')) # from line 109, col 63.
            write(u'''" aria-expanded="false"aria-controls="collapseExample" style="cursor:pointer;"><b>''')
            _v = VFFSL(SL,"movie.description",True) # u'$movie.description' on line 109, col 151
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.description')) # from line 109, col 151.
            write(u'''</b><i class="material-icons material-icons-centered">expand_more</i></span>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="collapse" id="eventid''')
            _v = VFFSL(SL,"count",True) # u'$count' on line 110, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$count')) # from line 110, col 46.
            write(u'''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<p>''')
            _v = VFFSL(SL,"movie.descriptionExtended",True) # u'$movie.descriptionExtended' on line 111, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$movie.descriptionExtended')) # from line 111, col 17.
            write(u'''</p>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
''')
            count += 1
        write(u'''\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<script type="text/javascript">
$( function() {
\tMLHelper.Load(\'name\');
});

''')
        if VFFSL(SL,"len",False)(VFFSL(SL,"bookmarks",True)): # generated from line 132, col 1
            write(u"""
$(function () {
\t$('#directory').change(function() {
\t\tload_maincontent_spin('ajax/movies?dirname='+escape($(this).val()));
\t});
});

""")
        write(u'''</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_movies= 'respond'

## END CLASS DEFINITION

if not hasattr(movies, '_initCheetahAttributes'):
    templateAPIClass = getattr(movies, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(movies)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=movies()).run()


