#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from json import dumps
from time import localtime, strftime, mktime
from Plugins.Extensions.OpenWebif.controllers.views.responsive.ajax.renderevtblock import renderEvtBlock
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.739298
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/multiepg.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class multiepg(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(multiepg, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<style>
\ttable { font-size: 13px; }
\ttr { vertical-align: top }
\t.float { float:left }
\t.service { font-weight: bold; font-size: 12px; line-height:30px; padding-right: 4px; white-space: nowrap; overflow: hidden;}
\t.service img { width:50px; height:30px; float:left; margin-right:10px; border: 0;}
\t.serviceheader { padding: 10px; width: 190px }
\t.title { font-weight: bold;}
\t.desc { font-size: 10px; line-height: 1.25em; max-height: 3.75em; overflow: hidden; }
\t.event { cursor: pointer; width: 190px; overflow:hidden; margin-bottom: 0.75em;}
\t.bq { font-size: 11px; font-weight: bold; padding: 2px 4px; line-height: 18px; cursor: pointer; white-space: nowrap; display: inline-block; margin: 1px 1px 0px 0px;}
\t.plusclick { font-size: 14px; }
\t.navtab-active { cursor: pointer; margin-right:8px; font-weight: bold; border-bottom: 2px solid ''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 19, col 98
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 19, col 98.
        write(u'''; background-color: transparent !important; bottom: 2px;}
\t.navtab-inactive { cursor: pointer; margin-right:8px;  border:None; background-color: transparent !important;  }
\t.timer { font-weight: bold; font-size: 10px; color:red; }
\t#eventdescription { width: 375px; height: auto; position: fixed; top: 205px; left: 350px; z-index: 100; display: none; overflow: auto; }
\t#navepg { margin-bottom: 1px; }
''')
        if VFFSL(SL,"mode",True) == 2: # generated from line 24, col 1
            write(u'''
''')
        else: # generated from line 26, col 1
            write(u'''\t#tbl1 tbody { width: 100%; height: 100%; overflow-y: auto; display: block; overflow-x: hidden;}
\t#tbl2 tbody { width: 100%; height: 100%; overflow-y: hidden; display: block; overflow-x: hidden;}
\t#fulltbl { width: 100%; height: 100%; overflow-y: hidden; display: block; overflow-x: auto;}
''')
        write(u'''\t.notablemargin { margin: 0px;}
\t.ui-widget-content.nobg , .ui-widget-header.nobg{ background-image: none; } 
\t.wrapper { overflow-x: auto; width: 100%; -ms-overflow-style: -ms-autohiding-scrollbar;}
\ttd.border { width: 190px; }
</style>

<div id="navepg">
<ul class="nav nav-tabs tab-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 38, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 38, col 33.
        write(u'''" style="margin-top: -10px;">
''')
        for slot in range(0,7): # generated from line 39, col 1
            write(u'''\t<li><div class="plusclick navtab-''')
            if VFFSL(SL,"slot",True)==VFFSL(SL,"day",True) : # generated from line 40, col 35
                _v =  'active' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  'inactive' 
                if _v is not None: write(_filter(_v))
            write(u'''" data-day="''')
            _v = VFFSL(SL,"slot",True) # u'$(slot)' on line 40, col 94
            if _v is not None: write(_filter(_v, rawExpr=u'$(slot)')) # from line 40, col 94.
            write(u'''">''')
            _v = VFFSL(SL,"tstrings",True)[("day_" + (time.strftime("%w", time.localtime(time.time()+86400*slot))))] # u'$tstrings[("day_" + (time.strftime("%w", time.localtime(time.time()+86400*slot))))]' on line 40, col 103
            if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[("day_" + (time.strftime("%w", time.localtime(time.time()+86400*slot))))]')) # from line 40, col 103.
            write(u'''</div></li>
''')
        if VFFSL(SL,"mode",True) == 2: # generated from line 42, col 1
            write(u'''<li><div class="plusclick lbl">&nbsp;''')
            _v = VFFSL(SL,"tstrings",True)['prime_times'] # u"$tstrings['prime_times']" on line 43, col 38
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['prime_times']")) # from line 43, col 38.
            write(u''':&nbsp;</div></li>
<li><div id="pt0" class="plusclick navtab-inactive" data-day="201">06:00</div></li>
<li><div id="pt1" class="plusclick navtab-inactive" data-day="202">12:00</div></li>
<li><div id="pt2" class="plusclick navtab-inactive" data-day="203">20:00</div></li>
''')
            if VFFSL(SL,"day",True) == 0: # generated from line 47, col 1
                write(u'''\t\t<li><div id="pt3" class="plusclick navtab-inactive">&nbsp;</div>
<li><div id="pt4" class="plusclick navtab-active" data-day="200">''')
                _v = VFFSL(SL,"tstrings",True)['now'] # u"$tstrings['now']" on line 49, col 66
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['now']")) # from line 49, col 66.
                write(u'''</div></li>
''')
            write(u'''
''')
        else: # generated from line 52, col 1
            write(u'''<li><div class="plusclick lbl">&nbsp;''')
            _v = VFFSL(SL,"tstrings",True)['cw'] # u"$tstrings['cw']" on line 53, col 38
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['cw']")) # from line 53, col 38.
            write(u''':&nbsp;</div></li>
''')
            for wk in range(0,3): # generated from line 54, col 1
                w = VFFSL(SL,"wk",True) + 1000
                write(u'''\t<li><div class="plusclick navtab-''')
                if VFFSL(SL,"wk",True)==VFFSL(SL,"week",True) : # generated from line 56, col 35
                    _v =  'active' 
                    if _v is not None: write(_filter(_v))
                else:
                    _v =  'inactive' 
                    if _v is not None: write(_filter(_v))
                write(u'''" data-day="''')
                _v = VFFSL(SL,"w",True) # u'$(w)' on line 56, col 93
                if _v is not None: write(_filter(_v, rawExpr=u'$(w)')) # from line 56, col 93.
                write(u'''">''')
                _v = VFN(VFFSL(SL,"time",True),"strftime",False)("%V",time.localtime(time.time()+604800*wk)) # u'$time.strftime("%V",time.localtime(time.time()+604800*wk))' on line 56, col 99
                if _v is not None: write(_filter(_v, rawExpr=u'$time.strftime("%V",time.localtime(time.time()+604800*wk))')) # from line 56, col 99.
                write(u'''</div></li>
''')
        write(u'''<li><div class=" lbl">&nbsp;''')
        _v = VFFSL(SL,"tstrings",True)['display_mode'] # u"$tstrings['display_mode']" on line 59, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['display_mode']")) # from line 59, col 29.
        write(u''':&nbsp;</div></li>
<li><div class="plusclick navtab-''')
        if VFFSL(SL,"mode",True)==1 : # generated from line 60, col 34
            _v =  'active' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  'inactive' 
            if _v is not None: write(_filter(_v))
        write(u'''" data-day="101">''')
        _v = VFFSL(SL,"tstrings",True)['tv_guide'] # u"$tstrings['tv_guide']" on line 60, col 95
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tv_guide']")) # from line 60, col 95.
        write(u'''</div></li>
<li><div class="plusclick navtab-''')
        if VFFSL(SL,"mode",True)==2 : # generated from line 61, col 34
            _v =  'active' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  'inactive' 
            if _v is not None: write(_filter(_v))
        write(u'''" data-day="102">''')
        _v = VFFSL(SL,"tstrings",True)['timeline'] # u"$tstrings['timeline']" on line 61, col 95
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timeline']")) # from line 61, col 95.
        write(u'''</div></li>
</ul>

<div id="compressmepg" onclick="CompressMEPG();"><i id="compressmepgi" class="fa fa-compress link" aria-hidden="true"></i></div>
<div id="refreshmepg2" onclick="RefreshMEPG();"><i id="refreshmepgi" class="fa fa-refresh link" aria-hidden="true"></i></div>
\t<br clear="all">

<ul class="nav nav-tabs tab-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 68, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 68, col 33.
        write(u'''" style="margin-top: -10px;">
''')
        for bq in VFFSL(SL,"bouquets",True): # generated from line 69, col 1
            write(u'''\t<li><div class="bq navtab-''')
            if VFFSL(SL,"bq",True)[0]==VFFSL(SL,"bref",True) : # generated from line 70, col 28
                _v =  'active' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  'inactive' 
                if _v is not None: write(_filter(_v))
            write(u'''" data-ref="''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bq",True)[0]) # u'$quote($bq[0])' on line 70, col 89
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($bq[0])')) # from line 70, col 89.
            write(u'''">''')
            _v = VFFSL(SL,"bq",True)[1] # u'$bq[1]' on line 70, col 105
            if _v is not None: write(_filter(_v, rawExpr=u'$bq[1]')) # from line 70, col 105.
            write(u'''</div></li>
''')
        write(u'''</ul>
<br clear="all">
</div>

''')
        if VFFSL(SL,"mode",True) == 2: # generated from line 76, col 1
            write(u'''<style>
\t.picon { display: inline-block; margin:0; max-width: 100px;}
\t.picon > img { max-height: 30px;}
\t.timetable { border:none; height: 0px;}
\t.timetable > div { display:table; margin:0px 0px 0px -110px; padding:0;}
\t.timetable-now { position: relative;top: 0;left: 0px;z-index: 1;width: 2px;background-color: #0fb8fb;float:left;}
\t#tbl1 tbody { width: 100%; height: 100%; overflow-y: auto; display: block; overflow-x: hidden;}
\t.eventlist { display: inline-block; list-style-type: none; margin: 0px; padding: 0px 0px; width: calc(100% - 105px); }
\t.event { display: block; position: relative; vertical-align: top; clear: left; border: none; }
\t.event a,.event > span { padding: 0px; height:58px; width:100%; display: block; white-space: normal; overflow: hidden; }
\t.event a:link:hover { text-decoration: none; }
\t.ename { display: block; width: 100%; padding-left:5px; padding-top:10px; float: left; font-weight: 200; line-height: 1,4; font-size: 14px; }
\t.etime,.etimer  { display: inline-block; padding-left: 5px; font-weight: 200; line-height: 1,4; font-size: 12px; }
\t.event { display: inline-block; border:solid; border-width: 0px 0px 0px 1px; padding: 0px 0px 0px 0px!important; margin:0px 0px 0px -3px!important;}
\t.event .ename,.event .etime,.event .etimer { white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
\t.channel-listing { list-style-type: none;}
\t.curevent { background: #e9e9e9; }
\t.etimesmall, .etime, .ename {
\t\tcolor: #000000;
\t\ttext-decoration: none;
\t}
\t.etimesmall, .etime {
\t\tfont-size: 10px;
\t}
</style>

''')
            now = VFFSL(SL,"mktime",False)(VFFSL(SL,"localtime",False)())
            write(u'''
''')
            if VFFSL(SL,"day",True) == 0: # generated from line 105, col 1
                first = VFFSL(SL,"now",True) - 3600
            else: # generated from line 107, col 1
                first = VFFSL(SL,"now",True) + (VFFSL(SL,"day",True) * 3600 * 24)
            write(u'''
''')
            s = VFFSL(SL,"strftime",False)("%S",VFFSL(SL,"localtime",False)(VFFSL(SL,"first",True)))
            m = VFFSL(SL,"strftime",False)("%M",VFFSL(SL,"localtime",False)(VFFSL(SL,"first",True)))
            offset = VFFSL(SL,"int",False)(VFFSL(SL,"m",True)) * 60
            offset = VFFSL(SL,"offset",True) + VFFSL(SL,"int",False)(VFFSL(SL,"s",True))
            write(u'''
''')
            if VFFSL(SL,"day",True) > 0: # generated from line 116, col 1
                h = VFFSL(SL,"strftime",False)("%H",VFFSL(SL,"localtime",False)(VFFSL(SL,"first",True)))
                offset = VFFSL(SL,"offset",True) + VFFSL(SL,"int",False)(VFFSL(SL,"h",True)) * 60 * 60
                offset = VFFSL(SL,"offset",True) + 3600
            write(u'''
''')
            first = VFFSL(SL,"first",True) - VFFSL(SL,"offset",True)
            write(u'''
''')
        write(u'''
''')
        if VFFSL(SL,"mode",True) == 1: # generated from line 126, col 1
            renderEventBlock = VFFSL(SL,"renderEvtBlock",False)()
            write(u'''<div id="fulltbl" class="responsive-table">
<table border="0" cellpadding="0" cellspacing="0" width="100%" id="tbl2">
\t\t<tbody id="tbl2body">
\t\t\t<tr style="background-color:#bababa;">
''')
            for sname, eventlist in VFN(VFFSL(SL,"events",True),"iteritems",False)(): # generated from line 132, col 1
                evl = VFFSL(SL,"eventlist",True)[0]
                ref = ""
                if VFFSL(SL,"evl",True): # generated from line 135, col 1
                    ev = VFFSL(SL,"evl",True)[0]
                    ref = "data-ref='" + VFFSL(SL,"ev.ref",True) + "'"
                write(u'''<td class="serviceheader"><div class="service event" ''')
                _v = VFFSL(SL,"ref",True) # u'$ref' on line 139, col 54
                if _v is not None: write(_filter(_v, rawExpr=u'$ref')) # from line 139, col 54.
                write(u'''><img src="''')
                _v = VFFSL(SL,"picons",True)[VFFSL(SL,"sname",True)] # u'$(picons[$sname])' on line 139, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$(picons[$sname])')) # from line 139, col 69.
                write(u'''" />''')
                _v = VFFSL(SL,"sname",True) # u'$sname' on line 139, col 90
                if _v is not None: write(_filter(_v, rawExpr=u'$sname')) # from line 139, col 90.
                write(u'''</div></td>
''')
            write(u'''</tr>
<tr>
\t<table border="0" cellpadding="0" cellspacing="0" width="100%" id="tbl1" class="table table-striped">
\t\t<tbody id="tbl1body">
''')
            even = 0
            for slot in range(0,12): # generated from line 146, col 1
                if VFFSL(SL,"even",True) == 0: # generated from line 147, col 2
                    write(u'''\t\t<tr>
''')
                    even = 1
                else: # generated from line 150, col 2
                    even = 0
                    write(u'''\t<tr style="background-color:#e9e9e9;">
''')
                for sname, eventlist in VFN(VFFSL(SL,"events",True),"iteritems",False)(): # generated from line 154, col 2
                    write(u'''\t\t<td class="border" style="white-space:normal;">
''')
                    for event in VFFSL(SL,"eventlist",True)[VFFSL(SL,"slot",True)]: # generated from line 156, col 3
                        write(u'''\t\t\t''')
                        _v = VFN(VFFSL(SL,"renderEventBlock",True),"render",False)(VFFSL(SL,"event",True)) # u'$renderEventBlock.render($event)' on line 157, col 4
                        if _v is not None: write(_filter(_v, rawExpr=u'$renderEventBlock.render($event)')) # from line 157, col 4.
                        write(u'''
''')
                    if len(VFFSL(SL,"eventlist",True)[VFFSL(SL,"slot",True)]) == 0: # generated from line 159, col 3
                        write(u'''\t\t<div class="event"></div>
''')
                    write(u'''\t</td>
''')
                write(u'''</tr>
''')
            write(u'''</tbody>
\t\t\t\t</table>
\t\t\t</tr>
\t\t</tbody>
\t<table>
</div>

''')
        else: # generated from line 173, col 1
            write(u'''<div id="fulltbl" class="responsive-table" style="overflow-y:auto;overflow-x:hidden">
\t<table>
\t\t<tbody>
\t\t\t<tr>
\t\t\t\t<td>
\t\t\t\t\t<table >
\t\t\t\t\t\t<tbody>
\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t<td>
''')
            for sname, eventlist in VFN(VFFSL(SL,"events",True),"iteritems",False)(): # generated from line 183, col 1
                write(u'''\t<div class="row " style="border:solid;border-width:1px 0px 0px 0px;height:60px!important;background-color:#bababa;" >
\t<div style="width:141px!important;margin-left:20px;" class="pull-left">
\t<h2 class="picon" ><img src="''')
                _v = VFFSL(SL,"picons",True)[VFFSL(SL,"sname",True)] # u'$(picons[$sname])' on line 186, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$(picons[$sname])')) # from line 186, col 31.
                write(u'''" title="''')
                _v = VFFSL(SL,"sname",True) # u'$sname' on line 186, col 57
                if _v is not None: write(_filter(_v, rawExpr=u'$sname')) # from line 186, col 57.
                write(u'''" /></h2>
\t</br><label>''')
                _v = VFFSL(SL,"sname",True) # u'$sname' on line 187, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$sname')) # from line 187, col 14.
                write(u'''</label>
\t</div>
\t</div>
''')
            write(u'''</td>
<tr>
<tbody>
</table>
</td>
<td>
<table class="table-striped">
<tbody>
<tr>
<td>
<div style="overflow:auto" id="tblinner">
<div class="timetable">
<div>
<div class="timetable-now"></div>
</div>
</div>
''')
            for sname, eventlist in VFN(VFFSL(SL,"events",True),"iteritems",False)(): # generated from line 207, col 1
                write(u'''<div class="row " style="width:30000px; border:solid;border-width:1px 0px 0px 0px;height:60px!important" >
<ol class="eventlist" >
''')
                c = 0
                ref = ''
                for event in VFFSL(SL,"eventlist",True)[0]: # generated from line 212, col 2
                    pad = 0
                    if VFFSL(SL,"c",True) == 0: # generated from line 214, col 3
                        ref = quote(event['ref'], safe=' ~@#$&()*!+=:;,.?/\'')
                        pad = 58 + (VFFSL(SL,"event.begin_timestamp",True) - VFFSL(SL,"first",True)) / 6
                        write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class="event" style=;width:''')
                        _v = VFFSL(SL,"pad",True) # u'${pad}' on line 217, col 47
                        if _v is not None: write(_filter(_v, rawExpr=u'${pad}')) # from line 217, col 47.
                        write(u'''px;border:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</li>
''')
                    end = VFFSL(SL,"event.begin_timestamp",True) + VFFSL(SL,"event.duration",True)
                    iscurr = ""
                    if VFFSL(SL,"event.begin_timestamp",True) < VFFSL(SL,"now",True) and VFFSL(SL,"end",True) > VFFSL(SL,"now",True): # generated from line 222, col 3
                        iscurr = " curevent"
                    write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class="event" data-ref="''')
                    _v = VFFSL(SL,"ref",True) # u'$ref' on line 225, col 43
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref')) # from line 225, col 43.
                    write(u'''" data-id="''')
                    _v = VFFSL(SL,"event.id",True) # u'${event.id}' on line 225, col 58
                    if _v is not None: write(_filter(_v, rawExpr=u'${event.id}')) # from line 225, col 58.
                    write(u'''" data-toggle="modal" data-target="#EventModal" onClick="loadeventepg(\'''')
                    _v = VFFSL(SL,"event.id",True) # u'${event.id}' on line 225, col 140
                    if _v is not None: write(_filter(_v, rawExpr=u'${event.id}')) # from line 225, col 140.
                    write(u"""', '""")
                    _v = VFFSL(SL,"ref",True) # u'$ref' on line 225, col 155
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref')) # from line 225, col 155.
                    write(u'''\');return false;" style="width:''')
                    _v = VFFSL(SL,"event.duration",True)/6 # u'${event.duration/6}' on line 225, col 190
                    if _v is not None: write(_filter(_v, rawExpr=u'${event.duration/6}')) # from line 225, col 190.
                    write(u'''px;padding:10px;" >
\t\t\t<a href="#" class="ui-widget-content ''')
                    _v = VFFSL(SL,"iscurr",True) # u'${iscurr}' on line 226, col 41
                    if _v is not None: write(_filter(_v, rawExpr=u'${iscurr}')) # from line 226, col 41.
                    write(u'''" title="''')
                    _v = VFFSL(SL,"event",True)['title'] # u"$event['title']" on line 226, col 59
                    if _v is not None: write(_filter(_v, rawExpr=u"$event['title']")) # from line 226, col 59.
                    write(u'''">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="ename">''')
                    _v = VFFSL(SL,"event",True)['title'] # u"$event['title']" on line 227, col 36
                    if _v is not None: write(_filter(_v, rawExpr=u"$event['title']")) # from line 227, col 36.
                    write(u'''<span class="etimesmall"> (''')
                    _v = VFFSL(SL,"strftime",False)("%d.%m", VFFSL(SL,"localtime",False)(VFFSL(SL,"event",True)['begin_timestamp'])) # u'$strftime("%d.%m", $localtime($event[\'begin_timestamp\']))' on line 227, col 78
                    if _v is not None: write(_filter(_v, rawExpr=u'$strftime("%d.%m", $localtime($event[\'begin_timestamp\']))')) # from line 227, col 78.
                    write(u''')</span></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="etime">''')
                    _v = VFFSL(SL,"strftime",False)("%H:%M", VFFSL(SL,"localtime",False)(VFFSL(SL,"event",True)['begin_timestamp'])) # u'$strftime("%H:%M", $localtime($event[\'begin_timestamp\']))' on line 228, col 36
                    if _v is not None: write(_filter(_v, rawExpr=u'$strftime("%H:%M", $localtime($event[\'begin_timestamp\']))')) # from line 228, col 36.
                    write(u''' - ''')
                    _v = VFFSL(SL,"strftime",False)("%H:%M", VFFSL(SL,"localtime",False)(VFFSL(SL,"event",True)['begin_timestamp'] + VFFSL(SL,"event",True)['duration'])) # u'$strftime("%H:%M", $localtime($event[\'begin_timestamp\'] + $event[\'duration\']))' on line 228, col 96
                    if _v is not None: write(_filter(_v, rawExpr=u'$strftime("%H:%M", $localtime($event[\'begin_timestamp\'] + $event[\'duration\']))')) # from line 228, col 96.
                    write(u'''</span>
''')
                    if VFFSL(SL,"event",True)['timerStatus'] != '': # generated from line 229, col 4
                        write(u'''\t\t\t<span class="etimer ''')
                        _v = VFFSL(SL,"event",True)['timerStatus'] # u"$event['timerStatus']" on line 230, col 24
                        if _v is not None: write(_filter(_v, rawExpr=u"$event['timerStatus']")) # from line 230, col 24.
                        write(u'''">''')
                        _v = VFFSL(SL,"tstrings",True)['timer'] # u"$tstrings['timer']" on line 230, col 47
                        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timer']")) # from line 230, col 47.
                        write(u'''</span>
''')
                    write(u'''\t\t\t</a>
\t\t</li>
''')
                    c = VFFSL(SL,"c",True) + 1
                write(u'''</ol>
</div>
''')
            write(u'''</div>
\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t</tbody>
\t\t\t\t\t</table>
\t\t\t\t\t
\t\t\t\t</td>
\t\t\t<tr>
\t\t</tbody>
\t<table>
</div>
</div>

</div>
''')
        write(u'''<div id="eventdescription"></div>

<script>
''')
        if VFFSL(SL,"mode",True) == 2: # generated from line 257, col 1
            write(u'''var opena = ''')
            _v = VFFSL(SL,"first",True) # u'$first' on line 258, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$first')) # from line 258, col 13.
            write(u''';
var openb = ''')
            _v = VFFSL(SL,"now",True) # u'$now' on line 259, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$now')) # from line 259, col 13.
            write(u''';
var pos = (openb - opena);
if (pos>0)
\tpos = pos / 6;

''')
            if VFFSL(SL,"day",True) == 0: # generated from line 264, col 1
                write(u'''
$(".timetable-now").css(\'left\',151+pos);

setTimeout(function() {
\tvar nowdate = Math.round(+new Date()/1000);
\tvar pos = (nowdate - opena);
\tif(pos>0)
\t\tpos = pos / 6;
\t$(".timetable-now").css(\'left\',151+pos);
} ,10000);

$(".timetable-now").css(\'height\',$("#tblinner").height());
''')
            else: # generated from line 277, col 1
                write(u'''$(".timetable-now").css(\'height\',\'0\');
''')
            write(u'''
''')
        write(u'''var picons = ''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"picons",True)) # u'$dumps($picons)' on line 282, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($picons)')) # from line 282, col 14.
        write(u''';
var reloadTimers = false;
function getScrollBarWidth () {
\tvar $outer = $(\'<div>\').css({visibility: \'hidden\', width: 100, overflow: \'scroll\'}).appendTo(\'body\'),
\t\twidthWithScroll = $(\'<div>\').css({width: \'100%\'}).appendTo($outer).outerWidth();
\t$outer.remove();
\treturn 100 - widthWithScroll;
}
var scrollBarWidth=getScrollBarWidth();
function fixTableHeight() {
\tvar addScrollBarWidth = scrollBarWidth;
\tif ($(\'#tbl1\').width() <= $("#tvcontent").width()){
\t\taddScrollBarWidth = 0;
\t}

''')
        if VFFSL(SL,"mode",True) == 1: # generated from line 297, col 1
            write(u'''\tvar new_height = ($("#epgcard").height() *0.85 - $("#epgcardheaderI").height() - $("#epgcardheaderII").height() - $("#navepg").height() - 2*$("#tbl1 thead").height() - addScrollBarWidth - 2);
\t$("#tbl1body").height(new_height + "px");
\tvar scrollwidth = ($("#epgcard").width() -40 ) + "px";
\tvar scrollheightI = new_height + \'px\';
\t$(\'#tbl1body\').height(scrollheightI);
\t$(\'#fulltbl\').width(scrollwidth);
''')
        else: # generated from line 304, col 1
            write(u'''\tvar new_height = ($("#epgcard").height() *0.90 - $("#epgcardheaderI").height() - $("#epgcardheaderII").height() - $("#navepg").height() - 2*$("#tbl1 thead").height() - addScrollBarWidth - 2);
\tvar scrollheightI = new_height + \'px\';
\tvar scrollwidth = ($("#epgcard").width() -40 ) + "px";
\t$(\'#fulltbl\').height(scrollheightI);
\t$(\'#tblinner\').width(scrollwidth);
''')
        write(u'''}
fixTableHeight();

$(window).resize(function(){ fixTableHeight(); });

$(".bq").click(function() {
\tvar id = $(this).data("ref");
\tvar epgmode = "''')
        _v = VFFSL(SL,"epgmode",True) # u'$epgmode' on line 318, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$epgmode')) # from line 318, col 17.
        write(u'''";
\t$("#tvcontent").html(loadspinner).load(\'ajax/multiepg?bref=\'+id +\'&day=''')
        _v = VFFSL(SL,"day",True) # u'$day' on line 319, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$day')) # from line 319, col 74.
        write(u'''&epgmode=\' + epgmode);
\tSetLSValue("lastmbq_"+epgmode,id);
});

''')
        if VFFSL(SL,"mode",True) == 1: # generated from line 323, col 1
            write(u'''$(".service").click(function() {
\tvar ref = $(this).data("ref");
\tif (ref != undefined) {
\t\tzapChannel(ref, \'\');
\t}
});
''')
        write(u'''$(".plusclick").click(function() {
\tvar day = $(this).data("day");
\tvar epgmode = "''')
        _v = VFFSL(SL,"epgmode",True) # u'$epgmode' on line 333, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$epgmode')) # from line 333, col 17.
        write(u'''";
\tif (day != undefined) {
\t\tif (day > 999)
\t\t{
\t\t\tvar w = day - 1000;
\t\t\t$("#tvcontent").html(loadspinner).load(\'ajax/multiepg?bref=''')
        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bref",True)) # u'${quote($bref)}' on line 338, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'${quote($bref)}')) # from line 338, col 64.
        write(u"""&day='+""")
        _v = VFFSL(SL,"day",True) # u'$day' on line 338, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$day')) # from line 338, col 86.
        write(u'''+\'&epgmode=\'+epgmode+\'&week=\'+w);
\t\t}
\t\telse if (day > 199)
\t\t{
\t\t\tvar d = day - 200;
\t\t\tvar dt = (d==0) ? \'\' : $(this).html();
\t\t\tvar pos = 0;
\t\t\t$(\'#tblinner\').scrollLeft(0);
\t\t\t$("#timescroller li ol .event").each( function (){
\t\t\t\tif (pos == 0) {
\t\t\t\t\tif ($(this).data("dt") == dt) {
\t\t\t\t\t\tif($(this).position() != undefined)
\t\t\t\t\t\t\tpos = $(this).position().left;
\t\t\t\t\t}
\t\t\t\t}
\t\t\t});
\t\t\t
\t\t\tif(d==\'\')
\t\t\t{
\t\t\t\tvar l = $(".timetable-now").css(\'left\');
\t\t\t\tpos = parseInt(l.replace(\'px\',\'\'));
\t\t\t}

\t\t\tif(pos>0)
\t\t\t{
\t\t\t\tpos-=200;
\t\t\t\t
\t\t\t\t$(\'#tbl1body\').animate({scrollLeft: pos}, 500);
\t\t\t\t
\t\t\t\t 
\t\t\t}
\t\t}
\t\telse if (day > 100)
\t\t{
\t\t\tvar mode = day - 100;
\t\t\tif (mode != ''')
        _v = VFFSL(SL,"mode",True) # u'$mode' on line 373, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$mode')) # from line 373, col 16.
        write(u''') {
\t\t\t\t$.ajax({
\t\t\t\turl: \'api/setwebconfig?mepgmode=\' + mode,
\t\t\t\t\tsuccess: function(data) {
\t\t\t\t\t\t$("#tvcontent").html(loadspinner).load(\'ajax/multiepg?bref=''')
        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bref",True)) # u'${quote($bref)}' on line 377, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'${quote($bref)}')) # from line 377, col 67.
        write(u'''&day=''')
        _v = VFFSL(SL,"day",True) # u'$day' on line 377, col 87
        if _v is not None: write(_filter(_v, rawExpr=u'$day')) # from line 377, col 87.
        write(u"""&epgmode='+epgmode+'&week='+""")
        _v = VFFSL(SL,"week",True) # u'$week' on line 377, col 119
        if _v is not None: write(_filter(_v, rawExpr=u'$week')) # from line 377, col 119.
        write(u''');
\t\t\t\t\t}
\t\t\t\t});
\t\t\t}
\t\t}
\t\telse {
\t\t\t$("#tvcontent").html(loadspinner).load(\'ajax/multiepg?bref=''')
        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bref",True)) # u'${quote($bref)}' on line 383, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'${quote($bref)}')) # from line 383, col 64.
        write(u"""&day='+day+'&epgmode='+epgmode+'&week='+""")
        _v = VFFSL(SL,"week",True) # u'$week' on line 383, col 119
        if _v is not None: write(_filter(_v, rawExpr=u'$week')) # from line 383, col 119.
        write(u''');
\t\t}
\t} else {
\t\tepgmode = $(this).data("tvradio");
\t\tif (epgmode != undefined) {
\t\t\t$("#tvcontent").html(loadspinner).load(\'ajax/multiepg?day=\'+day+\'&epgmode=\'+epgmode);
\t\t}
\t}
});

if($("#header").is(\':hidden\')) { 
\t$(\'#compressmepg\').show();$(\'#refreshmepg2\').show();
}
if(mepgdirect==1) {
\tmepgdirect=0;$("#expandmepg").click();
}
$(".togglescroll").click(function() {

\tif($(\'#tblinner\').css(\'overflow-y\')==\'hidden\') {
\t\t$(\'#tblinner\').css(\'overflow-y\',\'\');
\t\t$(\'.togglescroll\').removeClass(\'ui-widget-header\');
\t\tSetLSValue(\'MultiEPGScrollStyle\',\'1\');
\t}else{
\t\t$(\'#tblinner\').css(\'overflow-y\',\'hidden\');
\t\t$(\'.togglescroll\').addClass(\'ui-widget-header\');
\t\tSetLSValue(\'MultiEPGScrollStyle\',\'0\');
\t}
});

''')
        if VFFSL(SL,"mode",True) == 2: # generated from line 412, col 1
            write(u"""$(function() {
\t
\tif(GetLSValue('MultiEPGScrollStyle','0')=='0') {
\t\t$('#tblinner').css('overflow-y','hidden');
\t\t$('.togglescroll').addClass('ui-widget-header');
\t}
\telse
\t{
\t\t$('#tblinner').css('overflow-y','');
\t\t$('.togglescroll').removeClass('ui-widget-header');
\t}

});
""")
        write(u'''
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_multiepg= 'respond'

## END CLASS DEFINITION

if not hasattr(multiepg, '_initCheetahAttributes'):
    templateAPIClass = getattr(multiepg, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(multiepg)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=multiepg()).run()


