#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.588489
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/myepg.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class myepg(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(myepg, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card"  id="epgcard">
\t\t<div class="header">
\t\t\t<div class="row clearfix" id="epgcardheaderI">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">today</i>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 7, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 7, col 69.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown m-r--5" id="epgcardheaderII">
\t\t\t<li><a href="javascript:void(0);" onClick="toggleLeftSideBar(); return false;"><i class="material-icons" id="togglefullscreen">fullscreen</i></a></li>
\t\t\t\t<li class="dropdown">
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right">
\t\t\t\t\t\t<li><a href="#" onclick="load_tvcontent_spin(\'ajax/multiepg?epgmode=tv\'); return false;"  >''')
        _v = VFFSL(SL,"tstrings",True)['television'] # u"$tstrings['television']" on line 15, col 98
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['television']")) # from line 15, col 98.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" onclick="load_tvcontent_spin(\'ajax/multiepg?epgmode=radio\'); return false;"  >''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # u"$tstrings['radio']" on line 16, col 101
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['radio']")) # from line 16, col 101.
        write(u'''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" >
\t\t\t<div id=\'tvcontent\'></div>
\t\t</div>
\t</div>
</div>
<script>
$("#epgcard").height(($("#leftsidemenu").height() - 30) + "px");
</script>
<script type="text/javascript">
$(function() { load_tvcontent_spin(\'ajax/multiepg?epgmode=tv\'); return false;});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_myepg= 'respond'

## END CLASS DEFINITION

if not hasattr(myepg, '_initCheetahAttributes'):
    templateAPIClass = getattr(myepg, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(myepg)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=myepg()).run()


