#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.621052
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/settings.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class settings(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(settings, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<style>
#packagelist {padding:0;}
#packagelist li.installed {font-weight:bold;}
#packagelist li {list-style-type:none;margin:4px 0;}
#packagelist li i {margin:0 10px;}
#packagelist .g {color:green;}
#packagelist .r {color:red;}
#searchpkd {margin:5px 5px; display:inline-block;}
#packagelist li div {display:inline-table;}
#packagelist li div span {font-weight:initial;font-size:smaller;}
#tmpfiles {padding:0;}
#tmpfiles li {list-style-type:none;margin:4px 0;}
</style>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-8 col-md-9">
\t\t\t\t\t<h2 id="configtitle"><i class="material-icons material-icons-centered">settings</i>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 22, col 89
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 22, col 89.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl">
\t\t\t\t\t<div class="row vti-vspace-20"></div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-sm-4 col-md-3">
\t\t\t\t\t<select id="settingselection" class="form-control" value="">
\t\t\t\t\t\t<option value="packagemenu">''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 29, col 35
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 29, col 35.
        write(u'''</option>
\t\t\t\t\t\t<option value="bookmarksmenu">''')
        _v = VFFSL(SL,"tstrings",True)['bookmarks'] # u"$tstrings['bookmarks']" on line 30, col 37
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bookmarks']")) # from line 30, col 37.
        write(u'''</option>
''')
        for sec in VFFSL(SL,"configsections",True): # generated from line 31, col 5
            write(u'''\t\t\t\t\t<option value="''')
            _v = VFFSL(SL,"sec",True)["key"] # u'$sec["key"]' on line 32, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["key"]')) # from line 32, col 21.
            write(u'''"  >''')
            _v = VFFSL(SL,"sec",True)["description"] # u'$sec["description"]' on line 32, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["description"]')) # from line 32, col 36.
            write(u'''</option>
''')
        write(u'''\t\t\t\t\t</select>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body" >
\t\t\t<div id="content_main">
\t\t\t\t<div id="info">
\t\t\t\t\t<div id="scontent"></div>
\t\t\t\t\t<div style="display:none" id="thistitlebookmarks"><i class=\'material-icons material-icons-centered\'>settings</i>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 42, col 118
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 42, col 118.
        write(u''' - ''')
        _v = VFFSL(SL,"tstrings",True)['bookmarks'] # u"$tstrings['bookmarks']" on line 42, col 142
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bookmarks']")) # from line 42, col 142.
        write(u'''</div>
\t\t\t\t\t<div id=\'bookmarks\' style="display:none;">
\t\t\t\t\t\t<div id="content_main2">
\t\t\t\t\t\t\t<table id="configuration">
\t\t\t\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['bookmark'] # u"$tstrings['bookmark']" on line 46, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bookmark']")) # from line 46, col 16.
        write(u'''</td><td>&nbsp;</td></tr>
''')
        for location in VFFSL(SL,"locations",True): # generated from line 47, col 8
            write(u'''\t\t\t\t\t\t\t\t<tr><td>''')
            _v = VFFSL(SL,"location",True) # u'$location' on line 48, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$location')) # from line 48, col 17.
            write(u'''</td><td><a href=\'#\' onClick="deleteBookmark(\'''')
            _v = VFFSL(SL,"location",True) # u'$location' on line 48, col 72
            if _v is not None: write(_filter(_v, rawExpr=u'$location')) # from line 48, col 72.
            write(u'''\'); return false;" title=""><div><i class=\'material-icons material-icons-centered\'>delete</i></div></a></td></tr>
''')
        write(u'''\t\t\t\t\t\t\t<tr><td><input type="text" id="addbookmarktext" value=""></td><td><a href=\'#\' onClick="addBookmark(); return false;" title=""><div><i class=\'material-icons material-icons-centered\'>add</i></div></a></td></tr>
\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div style="display:none" id="thistitlepackages"><i class=\'material-icons material-icons-centered\'>settings</i>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 54, col 117
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 54, col 117.
        write(u''' - ''')
        _v = VFFSL(SL,"tstrings",True)['packages'] # u"$tstrings['packages']" on line 54, col 141
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['packages']")) # from line 54, col 141.
        write(u'''</div>
\t\t\t\t\t<div id=\'packages\' style="display:none;">
\t\t\t\t\t\t<div id="content_main2">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t<ul class="nav nav-tabs" >
\t\t\t\t\t\t\t\t\t\t<li><a data-toggle="tab" href=\'#tab\' class="pkgbtn" id=\'pkgbtn1\' >''')
        _v = VFFSL(SL,"tstrings",True)['update'] # u"$tstrings['update']" on line 60, col 77
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['update']")) # from line 60, col 77.
        write(u'''</a></li>
\t\t\t\t\t\t\t\t\t\t<li><a data-toggle="tab" href=\'#tab\' class="pkgbtn" id=\'pkgbtn2\' >''')
        _v = VFFSL(SL,"tstrings",True)['installed'] # u"$tstrings['installed']" on line 61, col 77
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['installed']")) # from line 61, col 77.
        write(u'''</a></li>
\t\t\t\t\t\t\t\t\t\t<li><a data-toggle="tab" href=\'#tab\' class="pkgbtn" id=\'pkgbtn3\' >''')
        _v = VFFSL(SL,"tstrings",True)['all'] # u"$tstrings['all']" on line 62, col 77
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['all']")) # from line 62, col 77.
        write(u'''</a></li>
\t\t\t\t\t\t\t\t\t\t<li><a data-toggle="tab" href=\'#tab\' class="pkgbtn" id=\'pkgbtn4\' >''')
        _v = VFFSL(SL,"tstrings",True)['more'] # u"$tstrings['more']" on line 63, col 77
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['more']")) # from line 63, col 77.
        write(u'''</a></li>
\t\t\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix" id="pkgmore">
\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t\t\t\t<div class="body" >
\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<button id="updatefeed" type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 75, col 95
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 75, col 95.
        write(u'''">''')
        _v = VFFSL(SL,"tstrings",True)['update_feed'] # u"$tstrings['update_feed']" on line 75, col 107
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['update_feed']")) # from line 75, col 107.
        write(u'''</button>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<button id="upgrade" type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 78, col 92
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 78, col 92.
        write(u'''">''')
        _v = VFFSL(SL,"tstrings",True)['upgrade_packages'] # u"$tstrings['upgrade_packages']" on line 78, col 104
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['upgrade_packages']")) # from line 78, col 104.
        write(u'''</button>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="pkguploadOne">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6 col-md-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<button id="selectfile" type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 82, col 96
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 82, col 96.
        write(u'''">''')
        _v = VFFSL(SL,"tstrings",True)['select_ipk_upload'] # u"$tstrings['select_ipk_upload']" on line 82, col 108
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['select_ipk_upload']")) # from line 82, col 108.
        write(u'''</button>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="pkguploadTwo">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class=\'material-icons material-icons-centered\'>folder_open</i>''')
        _v = VFFSL(SL,"tstrings",True)['uploaded_files'] # u"$tstrings['uploaded_files']" on line 89, col 82
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['uploaded_files']")) # from line 89, col 82.
        write(u''':
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<ul id=\'tmpfiles\'></ul>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<form id="uploadpkg" style="display:none" action"uploadpkg"="" method="post" enctype="multipart/form-data" encoding="multipart/form-data">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="file" name="rfile" id="rfile" maxlength="100000">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="hidden" name="filename" id="filename">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</form>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="resulttext"></div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix" id="tblpackages">
\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t<div class="tab-content">
\t\t\t\t\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t\t\t\t\t<div class="body" >
\t\t\t\t\t\t\t\t\t\t\t\t<div class="tab-pane active" id="tab">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix form-group">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-1 align-right">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class=\'material-icons material-icons-centered\'>search</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-6 col-sm-4 align-left">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text"  class="form-control inactive" placeholder="SEARCH ..." id="searchpk" />
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<ul id="packagelist">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="loader">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="preloader">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="spinner-layer pl-red">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="circle-clipper left">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="circle"></div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="circle-clipper right">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="circle"></div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['loading'] # u"$tstrings['loading']" on line 139, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['loading']")) # from line 139, col 21.
        write(u'''...</p>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<script type="text/javascript">
var str_db = "''')
        _v = VFFSL(SL,"tstrings",True)['delete_bookmark'] # u"$tstrings['delete_bookmark']" on line 159, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_bookmark']")) # from line 159, col 15.
        write(u'''";

// TODO minimize js

var filteredpkg;
var filterval=\'\';

var thisspinner = "<div class=\'col-xs-12 align-center\'><div class=\'loader\'><div class=\'preloader\'><div class=\'spinner-layer pl-red\'><div class=\'circle-clipper left\'><div class=\'circle\'></div></div><div class=\'circle-clipper right\'><div class=\'circle\'></div></div></div></div><p>" + tstr_loading + "...</p></div>";

function prepareUpload() {
\tvar fn = $(this).val();
\tfn = fn.replace(\'C:\\\\fakepath\\\\\',\'\');
\tswal({
\t\t\ttitle: tstrings_upload_package + \' ?\',
\t\t\ttext: fn,
\t\t\ttype: "warning",
\t\t\tshowCancelButton: true,
\t\t\tconfirmButtonColor: "#DD6B55",
\t\t\tconfirmButtonText: tstrings_yes + \' !\',
\t\t\tcancelButtonText: tstrings_no_cancel + \' !\',
\t\t\tcloseOnConfirm: true,
\t\t\tcloseOnCancel: true
\t\t}, function (isConfirm) {
\t\t\tif (isConfirm) {
\t\t\t\tvar frm = document.forms["uploadpkg"];
\t\t\t\tfrm.filename.value = fn;

\t\t\t\t$(\'form#uploadpkg\')
\t\t\t\t\t.unbind(\'submit\')
\t\t\t\t\t.submit(function (e) 
\t\t\t\t{
\t\t\t\t\tvar formData = new FormData(this);
\t\t\t\t\t$.ajax({
\t\t\t\t\t\turl: \'/ipkg/upload\',
\t\t\t\t\t\ttype: \'POST\',
\t\t\t\t\t\tdata: formData,
\t\t\t\t\t\tmimeType:"multipart/form-data",
\t\t\t\t\t\tcontentType: false,
\t\t\t\t\t\tcache: false,
\t\t\t\t\t\tprocessData:false,
\t\t\t\t\t\tdataType: \'json\',
\t\t\t\t\t\tsuccess: function (data, textStatus, jqXHR) {
\t\t\t\t\t\t\tvar r = data.Result;
\t\t\t\t\t\t\tif (r[0]!=true) {
\t\t\t\t\t\t\t\talert(tstrings_upload_error + ": " + r[1]);
\t\t\t\t\t\t\t}
\t\t\t\t\t\t\tShowPackages(\'pkgbtn4\');
\t\t\t\t\t\t},
\t\t\t\t\t\terror: function (jqXHR, textStatus, errorThrown) {
\t\t\t\t\t\t\talert(tstrings_upload_error + ": " + errorThrown);
\t\t\t\t\t\t\tShowPackages(\'pkgbtn4\');
\t\t\t\t\t\t}
\t\t\t\t\t});
\t\t\t\t\te.preventDefault();
\t\t\t\t\ttry {
\t\t\t\t\t\te.unbind();
\t\t\t\t\t} catch(e){}
\t\t\t\t});
\t\t\t\t$(\'form#uploadpkg\').submit();
\t\t\t} else {
\t\t\t\tswal(tstrings_cancelled, tstrings_upload_package, "error");
\t\t\t}
\t\t});
}
function getPkgFilename(){
\tvar frm = document.forms["form_uploadpkg"];
\tfrm.filename.value = frm.file.value;
}

function ShowFilterPackages()
{
\tvar row=\'\';
\t$.each( filteredpkg, function( key, val ) {
\t\tvar name = val[\'name\'];
\t\tvar desc = val[\'d\'];
\t\tif(filterval=== \'\' || name.toLowerCase().search(filterval.toLowerCase()) !== -1 || desc.toLowerCase().search(filterval.toLowerCase()) !== -1) {
\t\t\tvar upd = (val[\'u\'] == \'0\') ? "":val[\'u\'];
\t\t\tvar i = val[\'i\'];
\t\t\tvar sel = (i == \'1\') ? "class=\'installed\' ":"";
\t\t\tif(i == \'1\' && val[\'u\'] != \'0\')
\t\t\t\ti = \'2\';
\t\t\tvar ico = (i == \'1\') ? "delete_forever":"get_app";
\t\t\tif(upd!=\'\') {
\t\t\t\tupd = " -> " + upd;
\t\t\t\tico = "system_update"
\t\t\t}
\t\t\trow += "<li "+sel+"data-i=\'"+i+"\' data-n=\'"+name+"\'><a href=\'#\' class=\'list-group-item list-group-item-action\'><i class=\'material-icons material-icons-centered\'>" + ico + "</i><div>" + name +" (" + val[\'v\'] + upd +")<br><span>" + desc + "</span></div></a></li>";
\t\t}
\t});
\t$("#packagelist").html(row);
\t
\t$(\'#packagelist > li\').click( function () {
\t\task($(this),false);
\t});
}

function FillPackages(pkgs,mode)
{
\tvar _update = $.grep(pkgs, function(v) {
\t\treturn (v.u != \'0\');
\t});
\tvar _installed = $.grep(pkgs, function(v) {
\t\treturn (v.i == \'1\');
\t});

\tif (mode == \'pkgbtn1\')
\t\tfilteredpkg = _update.slice();
\telse if (mode == \'pkgbtn2\') {
\t\tfilteredpkg = _installed.slice();
\t} else
\t\tfilteredpkg = pkgs.slice();

\tShowFilterPackages();

}

function ask(obj,man)
{
\t\tvar pk = $(obj).html();
\tvar i = $(obj).data(\'i\');
\tif(!man) {
\t\tpk = $(obj).data(\'n\');
\t}
\t
\tvar cmd = \'\';

\tif(i==\'1\') {
\t\tconfirm_txt = tstrings_remove_package
\t\tcmd = \'remove&package=\' + pk;
\t} else if (i==\'2\') {
\t\tconfirm_txt = tstrings_update_package
\t\t\tcmd = \'install&package=\' + pk;
\t} else {
\t\tconfirm_txt = tstrings_install_package
\t\tcmd = \'install&package=\' + pk;
\t}
\t
\tif(cmd != \'\')
\t{
\t\tswal({
\t\t\ttitle: confirm_txt,
\t\t\ttext: pk,
\t\t\ttype: "warning",
\t\t\tshowCancelButton: true,
\t\t\tconfirmButtonColor: "#DD6B55",
\t\t\tconfirmButtonText: tstrings_yes + \' !\',
\t\t\tcancelButtonText: tstrings_no_cancel + \' !\',
\t\t\tcloseOnConfirm: true,
\t\t\tcloseOnCancel: true
\t\t}, function (isConfirm) {
\t\t\tif (isConfirm) {
\t\t\t\tAction(\'/ipkg?command=\'+cmd,\'true\');
\t\t\t\t$("#tblpackages").hide();
\t\t\t\t$("#pkgmore").show();
\t\t\t\t$(\'#pkgbtn4\').prop(\'checked\', true); 
\t\t\t} else {
\t\t\t\tswal(tstrings_cancelled, confirm_txt, "error");
\t\t\t}
\t\t});
\t}
}

function Action(action,rl)
{
\t$(\'#pkgbtn4\').click();
\t$(\'#resulttext\').html(thisspinner);
\t$.ajax({
\t\turl: action,
\t\tsuccess: function ( data ) {
\t\t\tvar txt = data.replace(\'<html><body>\',\'\').replace(\'</body></html>\',\'\').replace(/<br>/g,\'\');
\t\t\t$(\'#resulttext\').html(\'<pre>\' + txt + \'</pre>\');
\t\t\tif(rl !== undefined) {
\t\t\t\tSetLSValue(\'pkg-date\',\'\');
\t\t\t}
\t\t},
\t\terror: function ( data ) {
\t\t\tvar txt = data.replace(\'<html><body>\',\'\').replace(\'</body></html>\',\'\').replace(/<br>/g,\'\');
\t\t\t$(\'#resulttext\').html(data);;
\t\t}
\t});
}

function ShowPackages(mode)
{
\t$("#tblpackages").hide();
\tif (mode == \'pkgbtn4\') {
\t\t$("#pkgmore").show();
\t\t$(\'#tmpfiles\').empty();
\t\t$.ajax({
\t\t\turl: \'/ipkg?command=tmp\',
\t\t\tdataType: \'json\',
\t\t\tsuccess: function (data) {
\t\t\t\tvar files = \'\';
\t\t\t\t$.each( data.ipkfiles, function( key, val ) {
\t\t\t\t\tfiles += "<li><a href=\'#\' class=\'list-group-item list-group-item-action\'><i class=\'material-icons material-icons-centered\'>get_app</i><span>/tmp/" + val[\'name\'] + "</span></a></li>";
\t\t\t\t});
\t\t\t\t$(\'#tmpfiles\').html(files);
\t\t\t\t$(\'#tmpfiles > li \').click( function () {
\t\t\t\t\task($(this).parent().find(\'span\'),true);
\t\t\t\t});
\t\t\t\tif ( files === \'\' ) {
\t\t\t\t\t$(\'#pkguploadTwo\').hide();
\t\t\t\t} else {
\t\t\t\t\t$(\'#pkguploadTwo\').show();
\t\t\t\t}
\t\t\t\t
\t\t\t}
\t\t});
\t\treturn;
\t}

\t$("#pkgmore").hide();
\t$("#tblpackages").show();

\tvar date = new Date();
\tdate = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate()+date.getHours();

\tvar cache = GetLSValue(\'pkg-date\',\'\')
\tif(cache === date) {
\t\tcache = GetLSValue(\'pkg-data\',null);
\t\tif(cache != null) {
\t\t\tvar pkgs = JSON.parse(cache);
\t\t\tFillPackages(pkgs,mode);
\t\t\treturn;
\t\t}
\t}

\t$.ajax({
\t\turl: \'/ipkg?command=listall\',
\t\tdataType: \'json\',
\t\tsuccess: function ( data ) {
\t\t\tvar sdata = JSON.stringify(data);
\t\t\tSetLSValue(\'pkg-date\',date);
\t\t\tSetLSValue(\'pkg-data\',sdata);
\t\t\tFillPackages(data,mode);
\t\t}
\t});
}

$(function() {
\t$(\'#settingselection\').on(\'change\', function (e) {
\t\tvar optionSelected = $("option:selected", this);
\t\tvar valueSelected = this.value;
\t\t$("#bookmarks").hide();
\t\t$("#scontent").hide();
\t\t$("#packages").hide();
\t\tif(valueSelected == \'packagemenu\')
\t\t{
\t\t\t$("#packages").show();
\t\t\tShowPackages(\'pkgbtn4\');
\t\t\t$("#configtitle").html($(\'#thistitlepackages\').html());
\t\t\tdocument.getElementById("pkgbtn4").click();
\t\t}
\t\telse if(valueSelected == \'bookmarksmenu\')
\t\t{
\t\t\t$("#configtitle").html($(\'#thistitlebookmarks\').html());
\t\t\t$("#bookmarks").show();
\t\t} else {
\t\t\t$("#scontent").show();
\t\t\t$("#scontent").load(\'ajax/config?section=\' + valueSelected, function () {
\t\t\t\t$("#scontent").find("#content_main").attr("id","content_main1");
\t\t\t});
\t\t}
\t});

\t$("#scontent").load(\'ajax/config?section=usage\', function () {
\t\t$("#scontent").find("#content_main").attr("id","content_main1");
\t});

\t$(\'#tb2\').buttonset();
\t$(\'#tb3\').buttonset();
\t$(\'.pkgbtn\').click(function () { ShowPackages($(this).attr(\'id\')); });
\t$(\'#selectfile\').click(function () {$("#rfile").trigger(\'click\'); });
\t$(\'#rfile\').change(prepareUpload);
\t$(\'#updatefeed\').click(function () {
\t\tAction(\'/ipkg?command=update\',true); });
\t$(\'#upgrade\').click(function () {
\t\tAction(\'/ipkg?command=upgrade\',\'true\'); });
\t
\t$(\'#searchpk\').focus(function () { 
\t\tif ($(this).val() === \'...\') {
\t\t\t$(this).val(\'\');
\t\t}
\t}).keyup(function (){
\t\tif ($(this).data(\'val\') !== this.value) {
\t\t\tfilterval=this.value;
\t\t\tShowFilterPackages();
\t\t}
\t\t$(this).data(\'val\', this.value);
\t}); /*.blur(function (){
\t\tfilterval=\'\';
\t\t$(this).data(\'val\', \'\');
\t\tif ($(this).val() === \'\') {
\t\t\t$(this).val(\'...\');
\t\t}
\t});
\t*/
});

function deleteBookmark(bm) {
\tif (confirm(str_db + \' ( \' + bm + \') ?\') === false) {
\t\treturn;
\t}

\t$.ajax({
\t\turl: "/api/removelocation?dirname=" + bm,
\t\tdataType: "json",
\t\tsuccess: function(loc) {
\t\t\tif (loc.result)
\t\t\t\tload_maincontent_spin("/ajax/settings");
\t\t\telse
\t\t\t\talert(loc.message);
\t\t}
\t});
}

function addBookmark() {
\tbm = $("#addbookmarktext").val();

\tif(bm.length==0 || bm.includes(" ")) {
\t\talert("Path Error");
\t\treturn;
\t}

\t$.ajax({
\t\turl: "/api/addlocation?dirname=" + bm,
\t\tdataType: "json",
\t\tsuccess: function(loc) {
\t\t\tif (loc.result)
\t\t\t\tload_maincontent_spin("/ajax/settings");
\t\t\telse
\t\t\t\talert(loc.message);
\t\t}
\t});
}


$.AdminBSB.input.activate();
''')
        if VFFSL(SL,"allowipkupload",True): # generated from line 499, col 1
            write(u'''var noupload=true;
''')
        else: # generated from line 501, col 1
            write(u'''$(function() {
\t$("#pkguploadOne").hide();
\t$("#pkguploadTwo").hide();
});
var noupload=false;
''')
        write(u'''</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_settings= 'respond'

## END CLASS DEFINITION

if not hasattr(settings, '_initCheetahAttributes'):
    templateAPIClass = getattr(settings, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(settings)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=settings()).run()


