#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from time import localtime, strftime
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, MinTimerList

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.795768
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/ajax/timers.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class timers(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(timers, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_54345427 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">alarm</i>''')
        _v = VFFSL(SL,"tstrings",True)['timer'] # u"$tstrings['timer']" on line 11, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timer']")) # from line 11, col 69.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown m-r--5">
\t\t\t\t<li>
\t\t\t\t<li class="dropdown"><a href="#" onclick="lastcontenturl=\'\';load_maincontent(\'ajax/timers\'); return false;" ><i class="material-icons">autorenew</i></a>
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right" id="timerbuttons">
\t\t\t\t\t\t<li><a href="#addtimer" data-toggle="modal" data-target="#TimerModal" data-evid="" data-ref="" id="timerbutton0"  ><i class="material-icons material-icons-centered">alarm_add</i>''')
        _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 19, col 185
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 19, col 185.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" onclick="lastcontenturl=\'\';cleanupTimer(); return false" ><i class="material-icons material-icons-centered">delete</i>''')
        _v = VFFSL(SL,"tstrings",True)['cleanup_timer'] # u"$tstrings['cleanup_timer']" on line 20, col 141
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['cleanup_timer']")) # from line 20, col 141.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" ionclick="lastcontenturl=\'\';load_maincontent(\'ajax/timers\'); return false;" ><i class="material-icons material-icons-centered">autorenew</i>''')
        _v = VFFSL(SL,"tstrings",True)['refresh_timer'] # u"$tstrings['refresh_timer']" on line 21, col 163
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['refresh_timer']")) # from line 21, col 163.
        write(u'''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" >
\t\t\t<div id="content_main" >
\t\t\t\t<div id="tvcontentmain">

''')
        if VFFSL(SL,"MinTimerList",True) == 'checked': # generated from line 30, col 1
            write(u'''<div class="row clearfix" id="timers">
\t<div class="col-xs-12">
''')
        else: # generated from line 33, col 1
            write(u'''<div id="timers">
''')
        for timer in VFFSL(SL,"timers",True): # generated from line 36, col 1
            write(u'''<div ''')
            if VFFSL(SL,"MinTimerList",True) == 'checked' : # generated from line 37, col 6
                _v =  'class="row row-striped clearfix pad-top-15"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  '' 
                if _v is not None: write(_filter(_v))
            write(u''' id="''')
            _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 37, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 37, col 102.
            write(u'''-''')
            _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 37, col 115
            if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 37, col 115.
            write(u'''">

''')
            if MinTimerList == 'checked': # generated from line 39, col 1
                write(u'''<div class="col-xs-12 col-md-6">
\t<b><i class="material-icons material-icons-centered">alarm</i>''')
                _v = VFFSL(SL,"timer.servicename",True) # u'$timer.servicename' on line 41, col 64
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.servicename')) # from line 41, col 64.
                write(u''' - ''')
                _v = VFFSL(SL,"timer.name",True) # u'$timer.name' on line 41, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.name')) # from line 41, col 85.
                write(u'''</b>
\t</div>
\t<div class="col-xs-12 col-md-3">
\t<b>''')
                _v = VFFSL(SL,"tstrings",True)[("day_" + (time.strftime("%w", time.localtime(VFFSL(SL,"timer.begin",True)))))] # u'$tstrings[("day_" + (time.strftime("%w", time.localtime($timer.begin))))]' on line 44, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[("day_" + (time.strftime("%w", time.localtime($timer.begin))))]')) # from line 44, col 5.
                write(u'''</b>
\t''')
                _v = VFFSL(SL,"timer.realbegin",True) # u'$timer.realbegin' on line 45, col 2
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.realbegin')) # from line 45, col 2.
                write(u''' - ''')
                _v = VFFSL(SL,"timer.realend",True) # u'$timer.realend' on line 45, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.realend')) # from line 45, col 21.
                write(u'''
\t<b>
''')
                if VFFSL(SL,"timer.disabled",True): # generated from line 47, col 2
                    write(u'''\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['disabled'] # u"$tstrings['disabled']" on line 48, col 3
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['disabled']")) # from line 48, col 3.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 0: # generated from line 49, col 2
                    write(u'''\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['waiting'] # u"$tstrings['waiting']" on line 50, col 3
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['waiting']")) # from line 50, col 3.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 2: # generated from line 51, col 2
                    write(u'''\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['running'] # u"$tstrings['running']" on line 52, col 3
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['running']")) # from line 52, col 3.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 3: # generated from line 53, col 2
                    write(u'''\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['finished'] # u"$tstrings['finished']" on line 54, col 3
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['finished']")) # from line 54, col 3.
                    write(u'''
''')
                write(u'''
''')
                if VFFSL(SL,"timer.repeated",True) != 0: # generated from line 57, col 1
                    write(u'''\t<div>
\t''')
                    _v = VFFSL(SL,"tstrings",True)['every_timer'] # u"$tstrings['every_timer']" on line 59, col 2
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['every_timer']")) # from line 59, col 2.
                    write(u'''
''')
                    flags = VFFSL(SL,"timer.repeated",True)
                    timerDays = []
                    for day in [VFFSL(SL,"tstrings",True)['monday'],VFFSL(SL,"tstrings",True)['tuesday'],VFFSL(SL,"tstrings",True)['wednesday'],VFFSL(SL,"tstrings",True)['thursday'],VFFSL(SL,"tstrings",True)['friday'],VFFSL(SL,"tstrings",True)['saturday'],VFFSL(SL,"tstrings",True)['sunday']]: # generated from line 62, col 2
                        if VFFSL(SL,"flags",True)&1: # generated from line 63, col 3
                            write(u'''\t\t\t''')
                            _v = VFN(VFFSL(SL,"timerDays",True),"append",False)(VFFSL(SL,"day",True)) # u'$timerDays.append($day)' on line 64, col 4
                            if _v is not None: write(_filter(_v, rawExpr=u'$timerDays.append($day)')) # from line 64, col 4.
                            write(u'''
''')
                        flags = VFFSL(SL,"flags",True) >> 1
                    _v = ', '.join(VFFSL(SL,"timerDays",True))
                    if _v is not None: write(_filter(_v))
                    write(u'''\t</div>
''')
                write(u'''</div>
<div class="col-xs-12 col-md-3 align-right">
''')
                sref = quote(VFFSL(SL,"timer.serviceref",True), safe=' ~@#$&()*!+=:;,.?/\'')
                tname = quote(VFFSL(SL,"timer.name",True))
                write(u'''<a class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 75, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 75, col 43.
                write(u''' href="#edittimer" data-toggle="modal" data-target="#TimerModal" data-ref="''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 75, col 128
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 75, col 128.
                write(u'''" data-begin="''')
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 75, col 147
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 75, col 147.
                write(u'''" data-end="''')
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 75, col 171
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 75, col 171.
                write(u'''" title="''')
                _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 75, col 190
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 75, col 190.
                write(u'''"><i class="material-icons material-icons-mg-right">edit</i></a>
<a class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 76, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 76, col 43.
                write(u''' href="#" onClick="toggleTimerStatus(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 76, col 91
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 76, col 91.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 76, col 100
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 76, col 100.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 76, col 116
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 76, col 116.
                write(u'''\'); lastcontenturl=\'\'; setTimeout(function(){load_maincontent(\'ajax/timers\')}, 200); return false;"
''')
                if VFFSL(SL,"timer.disabled",True): # generated from line 77, col 1
                    write(u'''\ttitle="''')
                    _v = VFFSL(SL,"tstrings",True)['enable_timer'] # u"$tstrings['enable_timer']" on line 78, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['enable_timer']")) # from line 78, col 9.
                    write(u'''"><i class="material-icons material-icons-mg-right">alarm_on</i></a>
''')
                else: # generated from line 79, col 1
                    write(u'''\ttitle="''')
                    _v = VFFSL(SL,"tstrings",True)['disable_timer'] # u"$tstrings['disable_timer']" on line 80, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['disable_timer']")) # from line 80, col 9.
                    write(u'''"><i class="material-icons material-icons-mg-right">alarm_off</i></a>
''')
                write(u'''<a class="theme-link-color theme-link-col-''')
                _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 82, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 82, col 43.
                write(u''' href="#" onClick="deleteTimer(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 82, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 82, col 85.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 82, col 94
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 82, col 94.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 82, col 110
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 82, col 110.
                write(u"""', '""")
                _v = VFFSL(SL,"tname",True) # u'$tname' on line 82, col 124
                if _v is not None: write(_filter(_v, rawExpr=u'$tname')) # from line 82, col 124.
                write(u'''\'); lastcontenturl=\'\'; setTimeout(function(){load_maincontent(\'ajax/timers\')}, 200); return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 82, col 237
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 82, col 237.
                write(u'''" ><i class="material-icons material-icons-mg-right">delete</i></a></div></div>

''')
            else: # generated from line 84, col 1
                write(u'''<div class="card">
\t<div class="header">
\t\t<div class="row clearfix" style="margin-bottom:-20px;">
\t\t<div class="col-xs-6">
\t\t\t<h2><i class="material-icons material-icons-centered">alarm</i>''')
                _v = VFFSL(SL,"timer.servicename",True) # u'$timer.servicename' on line 89, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.servicename')) # from line 89, col 67.
                write(u''' - ''')
                _v = VFFSL(SL,"timer.name",True) # u'$timer.name' on line 89, col 88
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.name')) # from line 89, col 88.
                write(u'''</h2>
\t\t</div>
\t\t<div class="col-xs-6">
''')
                sref = quote(VFFSL(SL,"timer.serviceref",True), safe=' ~@#$&()*!+=:;,.?/\'')
                tname = quote(VFFSL(SL,"timer.name",True))
                write(u'''
\t\t<ul class="header-dropdown m-r--5">
\t\t\t<li><span role="button"><a href="#edittimer" data-toggle="modal" data-target="#TimerModal" data-ref="''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 96, col 105
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 96, col 105.
                write(u'''" data-ref="''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 96, col 122
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 96, col 122.
                write(u'''" data-begin="''')
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 96, col 141
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 96, col 141.
                write(u'''" data-end="''')
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 96, col 165
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 96, col 165.
                write(u'''" title="''')
                _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 96, col 184
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 96, col 184.
                write(u'''"><i class="material-icons material-icons-mg-right">edit</i></a></span></li>
\t\t\t<li><span role="button"><a href="#" onClick="toggleTimerStatus(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 97, col 68
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 97, col 68.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 97, col 77
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 97, col 77.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 97, col 93
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 97, col 93.
                write(u'''\'); lastcontenturl=\'\'; setTimeout(function(){load_maincontent(\'ajax/timers\')}, 200); return false;"
''')
                if VFFSL(SL,"timer.disabled",True): # generated from line 98, col 4
                    write(u'''\t\t\t\ttitle="''')
                    _v = VFFSL(SL,"tstrings",True)['enable_timer'] # u"$tstrings['enable_timer']" on line 99, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['enable_timer']")) # from line 99, col 12.
                    write(u'''"><i class="material-icons material-icons-mg-right">alarm_on</i></a></span></li>
''')
                else: # generated from line 100, col 4
                    write(u'''\t\t\t\ttitle="''')
                    _v = VFFSL(SL,"tstrings",True)['disable_timer'] # u"$tstrings['disable_timer']" on line 101, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['disable_timer']")) # from line 101, col 12.
                    write(u'''"><i class="material-icons material-icons-mg-right">alarm_off</i></a></span></li>
''')
                write(u'''\t\t\t<li><span role="button"><a href="#" onClick="deleteTimer(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 103, col 62
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 103, col 62.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 103, col 71
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 103, col 71.
                write(u"""', '""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 103, col 87
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 103, col 87.
                write(u"""', '""")
                _v = VFFSL(SL,"tname",True) # u'$tname' on line 103, col 101
                if _v is not None: write(_filter(_v, rawExpr=u'$tname')) # from line 103, col 101.
                write(u'''\'); lastcontenturl=\'\'; setTimeout(function(){load_maincontent(\'ajax/timers\')}, 200); return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 103, col 214
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 103, col 214.
                write(u'''" ><i class="material-icons material-icons-mg-right">delete</i></a></span></li>
\t\t</ul>
\t\t</div>
\t</div>
</div>

\t<div class="body">
\t\t<div class="row clearfix" style="margin-bottom:-20px;">
\t\t\t<div class="col-sm-5">
\t\t\t\t<b>''')
                _v = VFFSL(SL,"tstrings",True)[("day_" + (time.strftime("%w", time.localtime(VFFSL(SL,"timer.begin",True)))))] # u'$tstrings[("day_" + (time.strftime("%w", time.localtime($timer.begin))))]' on line 112, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[("day_" + (time.strftime("%w", time.localtime($timer.begin))))]')) # from line 112, col 8.
                write(u'''</b>
\t\t\t\t''')
                _v = VFFSL(SL,"timer.realbegin",True) # u'$timer.realbegin' on line 113, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.realbegin')) # from line 113, col 5.
                write(u''' - ''')
                _v = VFFSL(SL,"timer.realend",True) # u'$timer.realend' on line 113, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.realend')) # from line 113, col 24.
                write(u'''
''')
                if VFFSL(SL,"timer.repeated",True) != 0: # generated from line 114, col 4
                    write(u'''\t\t\t\t<div>
\t\t\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['every_timer'] # u"$tstrings['every_timer']" on line 116, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['every_timer']")) # from line 116, col 5.
                    write(u'''
''')
                    flags = VFFSL(SL,"timer.repeated",True)
                    timerDays = []
                    for day in [VFFSL(SL,"tstrings",True)['monday'],VFFSL(SL,"tstrings",True)['tuesday'],VFFSL(SL,"tstrings",True)['wednesday'],VFFSL(SL,"tstrings",True)['thursday'],VFFSL(SL,"tstrings",True)['friday'],VFFSL(SL,"tstrings",True)['saturday'],VFFSL(SL,"tstrings",True)['sunday']]: # generated from line 119, col 5
                        if VFFSL(SL,"flags",True)&1: # generated from line 120, col 6
                            write(u'''\t\t\t\t\t\t''')
                            _v = VFN(VFFSL(SL,"timerDays",True),"append",False)(VFFSL(SL,"day",True)) # u'$timerDays.append($day)' on line 121, col 7
                            if _v is not None: write(_filter(_v, rawExpr=u'$timerDays.append($day)')) # from line 121, col 7.
                            write(u'''
''')
                        flags = VFFSL(SL,"flags",True) >> 1
                    _v = ', '.join(VFFSL(SL,"timerDays",True))
                    if _v is not None: write(_filter(_v))
                    write(u'''\t\t\t\t</div>
''')
                write(u'''\t\t\t</div>
\t\t\t<div class="col-sm-5">
\t\t\t\t''')
                _v = VFFSL(SL,"timer.description",True) # u'$timer.description' on line 130, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.description')) # from line 130, col 5.
                write(u'''
\t\t\t</div>
\t\t\t<div class="col-sm-2" style="font-weight:bold;">
''')
                if VFFSL(SL,"timer.disabled",True): # generated from line 133, col 4
                    write(u'''\t\t\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['disabled'] # u"$tstrings['disabled']" on line 134, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['disabled']")) # from line 134, col 5.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 0: # generated from line 135, col 4
                    write(u'''\t\t\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['waiting'] # u"$tstrings['waiting']" on line 136, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['waiting']")) # from line 136, col 5.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 2: # generated from line 137, col 4
                    write(u'''\t\t\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['running'] # u"$tstrings['running']" on line 138, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['running']")) # from line 138, col 5.
                    write(u'''
''')
                elif VFFSL(SL,"timer.state",True) == 3: # generated from line 139, col 4
                    write(u'''\t\t\t\t''')
                    _v = VFFSL(SL,"tstrings",True)['finished'] # u"$tstrings['finished']" on line 140, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['finished']")) # from line 140, col 5.
                    write(u'''
''')
                write(u'''\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

''')
            write(u'''
''')
        write(u'''
</div>
</div>
</div>
</div>
</div>
</div>
</div>

<script type="text/javascript">
var reloadTimers = true;
$(function() {
\tif(!timeredit_initialized)
\t\t$(\'#editTimerForm\').load(\'ajax/edittimer\');
});
</script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_54345427
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_timers= 'respond'

## END CLASS DEFINITION

if not hasattr(timers, '_initCheetahAttributes'):
    templateAPIClass = getattr(timers, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(timers)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=timers()).run()


