#!/usr/bin/env python
##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from controllers.i18n import tstrings
from vtiaddon import skinColor, EPGSearchBQonly, EPGSearchFull, ScreenshotOnRCU, MinMovieList, MinTimerList, MinEPGList, MovieSearchExtended, MovieSearchShort, RemoteControlView
from json import dumps

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1585248837.306173
__CHEETAH_genTimestamp__ = 'Thu Mar 26 18:53:57 2020'
__CHEETAH_src__ = 'plugin/controllers/views/responsive/main.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar 26 18:53:13 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class main(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(main, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
<!DOCTYPE html>
<html lang="en">
<head>
\t<script src="js/jquery.min.js"></script>
\t<script src="js/jquery-ui.min.js"></script>
\t<script type="text/javascript" src="js/openwebif-1.2.19.min.js"></script>
\t<script type="text/javascript" src="/js/chosen.1.8.2.min.js"></script>
\t<script type="text/javascript">initJsTranslation(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 12, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 12, col 51.
        write(u''')</script>
\t<title>''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 13, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 13, col 9.
        write(u''' - OpenWebif</title>
\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
\t<meta http-equiv="X-UA-Compatible" content="IE=edge">
\t<meta charset="UTF-8">
\t<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
\t<meta name="description" content="">
\t<meta name="author" content="">
\t<link rel="shortcut icon" href="images/favicon.png">
\t<link href="themes/absb/plugins/vti/vti-fonts.css" rel="stylesheet" type="text/css">
\t<link href="themes/absb/plugins/vti/vti-material-icons.css" rel="stylesheet" type="text/css">
\t<link href="themes/absb/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
\t<link href="themes/absb/plugins/node-waves/waves.min.css" rel="stylesheet" />
\t<link href="themes/absb/plugins/animate-css/animate.min.css" rel="stylesheet" />
\t<link href="themes/absb/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" />
\t<link href="themes/absb/plugins/sweetalert/sweetalert.css" rel="stylesheet" />
\t<link href="themes/absb/css/style.css" rel="stylesheet">
\t<link href="themes/absb/css/themes/all-themes.css" rel="stylesheet" />
\t<link href="themes/absb/css/vti-bootstrap-chosen.css" rel="stylesheet">
\t<link href="themes/absb/css/vti-timepicker.css" rel="stylesheet">
\t<link href="themes/absb/css/vti-responsive.css" rel="stylesheet">
</head>

<body class="theme-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 35, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 35, col 20.
        write(u'''">
\t<!-- Overlay For Sidebars -->
\t<div class="overlay"></div>
\t<div class="search-bar search-bar-epg">
\t\t<div class="search-icon">
\t\t\t<div class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</div>
\t\t</div>
\t\t<input type="text" id="epgsearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # u"$tstrings['start_typing']" on line 44, col 54
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['start_typing']")) # from line 44, col 54.
        write(u''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 44, col 82
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 44, col 82.
        write(u''' ) ...">
\t\t<div class="close-search">
\t\t\t<span class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</span>
\t\t\t<i class="material-icons">close</i>
\t\t</div>
\t</div>
\t<div class="search-bar search-bar-movie">
\t\t<div class="search-icon">
\t\t\t<div class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</div>
\t\t</div>
\t\t<input type="text" id="moviesearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # u"$tstrings['start_typing']" on line 58, col 56
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['start_typing']")) # from line 58, col 56.
        write(u''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 58, col 84
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 58, col 84.
        write(u''' ) ...">
\t\t<div class="close-search">
\t\t\t<span class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</span>
\t\t\t<i class="material-icons">close</i>
\t\t</div>
\t</div>
\t<span id="topmenuheader">
\t\t<nav class="navbar">
\t\t\t<div class="container-fluid">
\t\t\t\t<div class="navbar-header">
\t\t\t\t\t<a href="javascript:void(0);" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false"></a>
\t\t\t\t\t<a href="javascript:void(0);" class="bars" id="leftsidebarin"></a>
\t\t\t\t\t<span class="navbar-brand">OpenWebif</span>
\t\t\t\t</div>
\t\t\t\t<div class="collapse navbar-collapse pull-right align-right" id="navbar-collapse">
\t\t\t\t\t<ul class="nav navbar-nav navbar-right">
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_current"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_cur_event"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_stream"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_transcoding"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_mute_status"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_slider"><a href="#"><div id="volslider" style="width:100px;margin-top:2px;"></div></a></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_value"><a><div class="dropdown-toggle" id="volumevalue"><b><span class="curvolume"></span></b></div></a></li>
\t\t\t\t\t\t<!-- Call Search -->
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-search-epg" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 84, col 88
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 84, col 88.
        write(u'''" ><i class="material-icons">search</i></a></li>
\t\t\t\t\t\t<!--<li><a href="javascript:void(0);" class="js-search-movie" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 85, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 85, col 94.
        write(u'''"><i class="material-icons">youtube_searched_for</i></a></li>  -->
\t\t\t\t\t\t<!-- #END# Call Search -->
\t\t\t\t\t\t<li class="dropdown" id="responsive_rec_info"></li>
\t\t\t\t\t\t<li class="dropdown" id="responsive_stream_info"></li>
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#SendMessageModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['sendamessage'] # u"$tstrings['sendamessage']" on line 89, col 117
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['sendamessage']")) # from line 89, col 117.
        write(u'''"><i class="material-icons">message</i></a></li>
\t\t\t\t\t\t<li class="dropdown"><a href=\'#\' onclick="load_maincontent(\'ajax/screenshot\');return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 90, col 107
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 90, col 107.
        write(u'''"><i class="material-icons">photo_camera</i></a></li>
\t\t\t\t\t\t<!-- #END# Notifications -->
\t\t\t\t\t\t<li id="osd_power_status"></li>
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#PowerModal" title="''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(' ','&nbsp;') # u"$tstrings['powercontrol'].replace(' ','&nbsp;')" on line 93, col 111
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['powercontrol'].replace(' ','&nbsp;')")) # from line 93, col 111.
        write(u'''"><i class="material-icons">settings_power</i></a></li>
\t\t\t\t\t\t<!-- #END# Tasks -->
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-right-sidebar" data-close="true"><i class="material-icons">more_vert</i></a></li>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t</div>
\t\t</nav>
\t\t<!-- #Top Bar -->
\t\t<section>
\t\t\t<!-- Left Sidebar -->
\t\t\t<aside id="leftsidebar" class="sidebar">
\t\t\t\t<!-- Menu -->
\t\t\t\t<div class="menu" id="leftsidemenu">
\t\t\t\t\t<ul class="list leftnav">
''')
        if not VFFSL(SL,"showname",True): # generated from line 107, col 7
            boxname = VFFSL(SL,"tstrings",True)['box_info']
        write(u'''\t\t\t\t\t\t<li class="header" id="leftsidemenuheader">''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 110, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 110, col 50.
        write(u'''</li>
\t\t\t\t\t\t<li class="active" style="display:none;"></li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">dialpad</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['remote'] # u"$tstrings['remote']" on line 115, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['remote']")) # from line 115, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu noselect">
\t\t\t\t\t\t\t\t<li class="collapse">
\t\t\t\t\t\t\t\t\t<a href=\'#\' title=''')
        _v = VFN(VFFSL(SL,"tstrings",True)['showfullremote'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'showfullremote\'].replace(" ","&nbsp;")' on line 119, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'showfullremote\'].replace(" ","&nbsp;")')) # from line 119, col 28.
        write(u''' onclick="toggleFullRemote();return false;">Full</a>
\t\t\t\t\t\t\t\t</li>
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 121, col 10
            write(u'''\t\t\t\t\t\t\t\t\t<span style="display:None;" id="symbolRemoteView">
''')
        else: # generated from line 123, col 10
            write(u'''\t\t\t\t\t\t\t\t\t<span id="symbolRemoteView">
''')
        write(u'''\t\t\t\t\t\t\t\t\t<li class="align-right" style="margin-top:-30px;">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcunumbers" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;"><i class="material-icons material-icons-centered">expand_more</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li class="collapse" id="rcunumbers">
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'2\');" title="1">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_1</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'3\');" title="2">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_2</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'4\');" title="3">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_3</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'5\');" title="4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_4</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'6\');" title="5">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_5</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'7\');" title="6">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_6</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'8\');" title="7">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_7</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'9\');" title="8">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons md-dark">filter_8</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'10\');" title="9">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_9</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'412\');" title="<">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">navigate_before</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'11\');" title="0">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">exposure_zero</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'407\');" title=">">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">navigate_next</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-red" onclick="pressMenuRemote(\'398\');" title="Red">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-green" onclick="pressMenuRemote(\'399\');" title="Green">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-yellow" onclick="pressMenuRemote(\'400\');" title="Yellow">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-blue" onclick="pressMenuRemote(\'401\');" title="Blue">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'393\');" title="PVR">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'103\');" title="Up">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_up</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'139\');" title="Menu">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">menu</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'105\');" title="Left">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_left</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'352\');" title="OK">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">check</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'106\');" title="Right">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_right</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'358\');" title="EPG">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">today</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'108\');" title="Down">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_down</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'174\');" title="Exit">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">clear</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'377\');" title="TV">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'385\');" title="Radio">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'403\');" title="CH-">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">remove_circle_outline</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'402\');" title="CH+">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">add_circle_outline</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li class="collapse" id="rcuplayerkeys">
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'168\');" title="FastRewind">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fast_rewind</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'207\');" title="Play">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">play_arrow</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'119\');" title="Pause">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">pause</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'208\');" title="FastForward">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fast_forward</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'370\');" title="Subtitle">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">subtitles</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'167\');" title="Record">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fiber_manual_record</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'128\');" title="Stop">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">stop</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'392\');" title="Audio">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">audiotrack</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li class="align-right">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcuplayerkeys" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;"><i class="material-icons material-icons-centered">keyboard_arrow_up</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t</span>
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 435, col 9
            write(u'''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView">
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>
\t\t\t\t\t\t\t\t\t<li>
''')
        else: # generated from line 439, col 9
            write(u'''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView" style="display:None;">
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>
\t\t\t\t\t\t\t\t\t<li>
''')
        write(u'''\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<table class="rcu-table">
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2"><p></p>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t<span style="cursor:pointer;" title="Enable/Disable Screenhot on key press or ''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 452, col 91
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 452, col 91.
        write(u'''" onclick="load_maincontent(\'ajax/screenshot\');return false;">''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 452, col 180
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 452, col 180.
        write(u"""</span>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t<div class='switch'>
\t\t\t\t\t\t\t\t\t\t\t\t\t<span class='m-r-10 font-12'></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t<label><input """)
        _v = VFFSL(SL,"ScreenshotOnRCU",True) # u'$ScreenshotOnRCU' on line 457, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$ScreenshotOnRCU')) # from line 457, col 28.
        write(u''' type=\'checkbox\' class="remotegrabscreen" id=\'remotegrabscreen1\' name="remotegrabscreen1" ><span class=\'lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 457, col 165
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 457, col 165.
        write(u'''\'></span></label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">
\t\t\t\t\t\t\t\t\t\t\t\t<h6>''')
        _v = VFFSL(SL,"tstrings",True)['shiftforlong'] # u"$tstrings['shiftforlong']" on line 463, col 17
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['shiftforlong']")) # from line 463, col 17.
        write(u'''</h6>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/tv\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['television'] # u"$tstrings['television']" on line 473, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['television']")) # from line 473, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/radio\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # u"$tstrings['radio']" on line 479, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['radio']")) # from line 479, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/myepg?epgmode=tv\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">today</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 485, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 485, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/movies\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # u"$tstrings['movies']" on line 491, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['movies']")) # from line 491, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/timers\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">alarm</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # u"$tstrings['timers']" on line 497, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timers']")) # from line 497, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 500, col 7
            if VFFSL(SL,"extra",True)["key"] in ("ajax/at",): # generated from line 501, col 8
                write(u'''\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/at\'); return false;" >
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">history</i>
\t\t\t\t\t\t\t\t\t\t<span>''')
                _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 505, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 505, col 17.
                write(u'''</span>
\t\t\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t\t</li>
''')
        write(u'''\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/settings\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">settings</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 513, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 513, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/bqe\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">view_list</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # u"$tstrings['Bouquet_Editor']" on line 519, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['Bouquet_Editor']")) # from line 519, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/boxinfo\'); return false;" >
\t\t\t\t\t\t\t\t<i class="material-icons">info</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # u"$tstrings['box_info']" on line 525, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_info']")) # from line 525, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">widgets</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['extras'] # u"$tstrings['extras']" on line 531, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['extras']")) # from line 531, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu">
''')
        if VFFSL(SL,"webtv",True): # generated from line 534, col 8
            write(u'''\t\t\t\t\t\t\t\t<li><a href=\'#\' data-close="true" onclick="load_maincontent(\'ajax/webtv\'); return false;">''')
            _v = VFFSL(SL,"tstrings",True)['webtv'] # u"$tstrings['webtv']" on line 535, col 99
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['webtv']")) # from line 535, col 99.
            write(u'''</a></li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 537, col 8
            target_url = VFFSL(SL,"extra",True)["key"];
            if VFFSL(SL,"target_url",True) not in ('ajax/at','ajax/bqe','ajax/settings'): # generated from line 539, col 9
                if VFN(VFFSL(SL,"extra",True),"has_key",False)('nw'): # generated from line 540, col 10
                    if VFFSL(SL,"extra",True)["nw"] == "1": # generated from line 541, col 11
                        write(u'''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 542, col 24
                        if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 542, col 24.
                        write(u'''" target=\'_blank\'>''')
                        _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 542, col 53
                        if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 542, col 53.
                        write(u'''</a></li>
''')
                    else: # generated from line 543, col 11
                        write(u'''\t\t\t\t\t\t\t\t\t\t<li><a class="lmc pop" href="''')
                        _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 544, col 40
                        if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 544, col 40.
                        write(u'''">''')
                        _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 544, col 53
                        if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 544, col 53.
                        write(u'''</a></li>
''')
                else: # generated from line 546, col 10
                    write(u'''\t\t\t\t\t\t\t\t\t\t<li><a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'''')
                    _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 547, col 90
                    if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 547, col 90.
                    write(u'''\'); return false;" >''')
                    _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 547, col 121
                    if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 547, col 121.
                    write(u'''</a></li>
''')
        write(u'''\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t\t<!-- #Menu -->
\t\t\t\t<!-- Footer -->
<!-- START COPYRIGHT -->
\t\t\t\t<!-- it is not allowed to remove this copyright and link when using the materialize (aka responsive) design for openwebif -->
\t\t\t\t<div class="legal" id="leftfooter">
\t\t\t\t\t<div class="copyright">
\t\t\t\t\t\tMaterialize design - <b>Version: </b> 1.0.2</br>&copy; 2021 <a href="https://www.vuplus-support.org" target="_blank">VTi</a>.
\t\t\t\t\t</div>
\t\t\t\t</div>
<!-- END COPYRIGHT -->
\t\t\t\t<!-- #Footer -->
\t\t\t</aside>
\t\t\t<!-- #END# Left Sidebar -->
\t\t\t<aside id="rightsidebar" class="right-sidebar">
\t\t\t\t<ul class="nav nav-tabs tab-nav-right tab-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 569, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 569, col 51.
        write(u'''" role="tablist">
\t\t\t\t\t<li role="presentation" class="active"><a href="#settings" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 570, col 83
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 570, col 83.
        write(u'''</a></li>
\t\t\t\t\t<li role="presentation"><a href="#skins" data-toggle="tab">SKINS</a></li>
\t\t\t\t</ul>
\t\t\t\t<div class="tab-content">
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade in active in active" id="settings">
\t\t\t\t\t\t<div class="demo-settings">
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 576, col 11
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 576, col 11.
        write(u'''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchextended'] # u"$tstrings['epgsearchextended']" on line 579, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchextended']")) # from line 579, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="myepgbtn0" ''')
        _v = VFFSL(SL,"EPGSearchFull",True) # u'$EPGSearchFull' on line 581, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$EPGSearchFull')) # from line 581, col 56.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 581, col 101
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 581, col 101.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchbouquetsonly'] # u"$tstrings['epgsearchbouquetsonly']" on line 585, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchbouquetsonly']")) # from line 585, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="myepgbtn1" ''')
        _v = VFFSL(SL,"EPGSearchBQonly",True) # u'$EPGSearchBQonly' on line 587, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$EPGSearchBQonly')) # from line 587, col 56.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 587, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 587, col 103.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
<!--\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 591, col 14
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 591, col 14.
        write(u'''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_shortdesc'] # u"$tstrings['inc_shortdesc']" on line 594, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['inc_shortdesc']")) # from line 594, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mymoviesearchbtn0" ''')
        _v = VFFSL(SL,"MovieSearchShort",True) # u'$MovieSearchShort' on line 596, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$MovieSearchShort')) # from line 596, col 64.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 596, col 112
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 596, col 112.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_extdesc'] # u"$tstrings['inc_extdesc']" on line 600, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['inc_extdesc']")) # from line 600, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mymoviesearchbtn1" ''')
        _v = VFFSL(SL,"MovieSearchExtended",True) # u'$MovieSearchExtended' on line 602, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$MovieSearchExtended')) # from line 602, col 64.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 602, col 115
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 602, col 115.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
-->\t\t\t\t\t\t\t
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['common_settings'] # u"$tstrings['common_settings']" on line 607, col 11
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['common_settings']")) # from line 607, col 11.
        write(u'''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['showfullremoteshort'] # u"$tstrings['showfullremoteshort']" on line 610, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['showfullremoteshort']")) # from line 610, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="remotecontrolview" ''')
        _v = VFFSL(SL,"RemoteControlView",True) # u'$RemoteControlView' on line 612, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$RemoteControlView')) # from line 612, col 64.
        write(u''' ><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 612, col 114
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 612, col 114.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_movie_list'] # u"$tstrings['min_movie_list']" on line 616, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_movie_list']")) # from line 616, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="minmovielist" ''')
        _v = VFFSL(SL,"MinMovieList",True) # u'$MinMovieList' on line 618, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$MinMovieList')) # from line 618, col 59.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 618, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 618, col 103.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_timer_list'] # u"$tstrings['min_timer_list']" on line 622, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_timer_list']")) # from line 622, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mintimerlist" ''')
        _v = VFFSL(SL,"MinTimerList",True) # u'$MinTimerList' on line 624, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$MinTimerList')) # from line 624, col 59.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 624, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 624, col 103.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_epg_list'] # u"$tstrings['min_epg_list']" on line 628, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_epg_list']")) # from line 628, col 16.
        write(u'''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="minepglist" ''')
        _v = VFFSL(SL,"MinEPGList",True) # u'$MinEPGList' on line 630, col 57
        if _v is not None: write(_filter(_v, rawExpr=u'$MinEPGList')) # from line 630, col 57.
        write(u''' ><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 630, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 630, col 100.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>Old Design</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="noresposive"><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 636, col 88
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 636, col 88.
        write(u''' vtiwebconfig"></span></label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade" id="skins">
\t\t\t\t\t\t<ul class="demo-choose-skin">
\t\t\t\t\t\t\t<li data-theme="red" class="active">
\t\t\t\t\t\t\t\t<div class="red"></div>
\t\t\t\t\t\t\t\t<span>Red</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="pink">
\t\t\t\t\t\t\t\t<div class="pink"></div>
\t\t\t\t\t\t\t\t<span>Pink</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="purple">
\t\t\t\t\t\t\t\t<div class="purple"></div>
\t\t\t\t\t\t\t\t<span>Purple</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="deep-purple">
\t\t\t\t\t\t\t\t<div class="deep-purple"></div>
\t\t\t\t\t\t\t\t<span>Deep Purple</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="indigo">
\t\t\t\t\t\t\t\t<div class="indigo"></div>
\t\t\t\t\t\t\t\t<span>Indigo</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="blue">
\t\t\t\t\t\t\t\t<div class="blue"></div>
\t\t\t\t\t\t\t\t<span>Blue</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="light-blue">
\t\t\t\t\t\t\t\t<div class="light-blue"></div>
\t\t\t\t\t\t\t\t<span>Light Blue</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="cyan">
\t\t\t\t\t\t\t\t<div class="cyan"></div>
\t\t\t\t\t\t\t\t<span>Cyan</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="teal">
\t\t\t\t\t\t\t\t<div class="teal"></div>
\t\t\t\t\t\t\t\t<span>Teal</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="green">
\t\t\t\t\t\t\t\t<div class="green"></div>
\t\t\t\t\t\t\t\t<span>Green</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="light-green">
\t\t\t\t\t\t\t\t<div class="light-green"></div>
\t\t\t\t\t\t\t\t<span>Light Green</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="lime">
\t\t\t\t\t\t\t\t<div class="lime"></div>
\t\t\t\t\t\t\t\t<span>Lime</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="yellow">
\t\t\t\t\t\t\t\t<div class="yellow"></div>
\t\t\t\t\t\t\t\t<span>Yellow</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="amber">
\t\t\t\t\t\t\t\t<div class="amber"></div>
\t\t\t\t\t\t\t\t<span>Amber</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="orange">
\t\t\t\t\t\t\t\t<div class="orange"></div>
\t\t\t\t\t\t\t\t<span>Orange</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="deep-orange">
\t\t\t\t\t\t\t\t<div class="deep-orange"></div>
\t\t\t\t\t\t\t\t<span>Deep Orange</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="brown">
\t\t\t\t\t\t\t\t<div class="brown"></div>
\t\t\t\t\t\t\t\t<span>Brown</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="grey">
\t\t\t\t\t\t\t\t<div class="grey"></div>
\t\t\t\t\t\t\t\t<span>Grey</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="blue-grey">
\t\t\t\t\t\t\t\t<div class="blue-grey"></div>
\t\t\t\t\t\t\t\t<span>Blue Grey</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t<li data-theme="black">
\t\t\t\t\t\t\t\t<div class="black"></div>
\t\t\t\t\t\t\t\t<span>Black</span>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t</ul>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</aside>
\t\t\t<!-- #END# Right Sidebar -->
\t\t</section>
\t</span>

<section class="content"  id="fullmaincontent">
\t\t<div class="container-fluid">
\t\t\t<div class="row clearfix">
\t\t\t\t<div id="content_container">''')
        _v = VFFSL(SL,"content",True) # u'$content' on line 735, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$content')) # from line 735, col 33.
        write(u'''</div>
\t\t\t</div>
\t\t\t<span id="mainfooter">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="body text-center">
\t\t\t\t\t\t\t\t<div id="footer"><a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 68.
        write(u'''" href="https://github.com/E2OpenPlugins">E2OpenPlugins</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 182
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 182.
        write(u'''" href="https://linuxsat-support.com">Linuxsat-Support</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 277
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 277.
        write(u'''" href="https://digsat.net">Home of Peter Pan</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 387
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 387.
        write(u'''" href="http://newnigma2.to">Newnigma2</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 488
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 488.
        write(u'''" href="https://dream-elite.net">Dream-Elite</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 588
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 1074.
        write(u'''" href="http://dreambox.de">DP Support Board</a> | <b><a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 742, col 1186
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 742, col 1291.
        write(u'''" href="#" onclick="load_maincontent(\'ajax/about\'); return false">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # u"$tstrings['about']" on line 742, col 1367
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['about']")) # from line 742, col 1367.
        write(u'''</a></div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</span>
\t\t</div>
\t</section>

<!---<div id="modaldialog"></div>-->
<div id="responsivespinner"></div>
<div id="TimerConflictModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg-red">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">error</i><span>Timer conflict</span></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timerconflictmodal"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 764, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 764, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="StreamModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 772, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 772, col 49.
        write(u'''">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<span class="modal-title"><i class="material-icons material-icons-centered">wifi_tethering</i>&nbsp;Streams</span>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="streammodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 782, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 782, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="RecModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 790, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 790, col 49.
        write(u'''">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # u"$tstrings['timers']" on line 792, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timers']")) # from line 792, col 94.
        write(u'''</span></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="recmodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 800, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 800, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="editTimerForm" title="''')
        _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 805, col 32
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 805, col 32.
        write(u'''"></div>
<div id="EPGModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">today</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 811, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 811, col 94.
        write(u'''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="epgmodalcontent"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 817, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 817, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="EventModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="eventdescriptionII"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 832, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 832, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="TimerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title" id="timerEditTitle"></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timereditmodal"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 848, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 848, col 85.
        write(u'''</button>
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 849, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 849, col 68.
        write(u'''" data-dismiss="modal" onClick="btn_saveTimer(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # u"$tstrings['save']" on line 849, col 142
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['save']")) # from line 849, col 142.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="PowerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">settings_power</i><span>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")' on line 859, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")')) # from line 859, col 103.
        write(u'''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 865, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 865, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 865, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 865, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 0); return false">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">power_settings_new</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['standby_toggle'] # u"$tstrings['standby_toggle']" on line 868, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['standby_toggle']")) # from line 868, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 876, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 876, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 876, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 876, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 1); return false">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">vertical_align_bottom</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['deep_standby'] # u"$tstrings['deep_standby']" on line 879, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['deep_standby']")) # from line 879, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 887, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 887, col 89.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 2); return false">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">loop</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['reboot_box'] # u"$tstrings['reboot_box']" on line 890, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['reboot_box']")) # from line 890, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 898, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 898, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 898, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 898, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 3); return false">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">settings_backup_restore</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['restart_gui'] # u"$tstrings['restart_gui']" on line 901, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['restart_gui']")) # from line 901, col 15.
        write(u'''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal" onClick="closeMessageModal(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 908, col 130
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 908, col 130.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="SendMessageModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" onClick="closeMessageModal(); return false;" data-dismiss="modal">&times;</button>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">message</i>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 925, col 75
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 925, col 75.
        write(u'''</h2>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['text'] # u"$tstrings['text']" on line 933, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['text']")) # from line 933, col 19.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<textarea class="form-control no-resize auto-growth active" rows="1" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['text'] # u"$tstrings['text']" on line 937, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['text']")) # from line 937, col 94.
        write(u'''" id="messageText"></textarea>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['display_duration_s'] # u"$tstrings['display_duration_s']" on line 943, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['display_duration_s']")) # from line 943, col 19.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" value="30" id="messageTimeout">
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['type'] # u"$tstrings['type']" on line 953, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['type']")) # from line 953, col 19.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<select id="messageType" class="form-control">
\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['info'] # u"$tstrings['info']" on line 957, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['info']")) # from line 957, col 30.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['warning'] # u"$tstrings['warning']" on line 958, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['warning']")) # from line 958, col 30.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['error'] # u"$tstrings['error']" on line 959, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['error']")) # from line 959, col 30.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="0">''')
        _v = VFFSL(SL,"tstrings",True)['yes_no'] # u"$tstrings['yes_no']" on line 960, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['yes_no']")) # from line 960, col 30.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t\t<div id="messageSentResponse"></div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal" onClick="closeMessageModal(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 975, col 130
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 975, col 130.
        write(u'''</button>
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 976, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 976, col 68.
        write(u'''"  onClick="sendModalMessage(); return false;">''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 976, col 125
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 976, col 125.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<form name="portForm" action="web/stream.m3u" method="GET" target="_blank">
\t<input type="hidden" name="ref">
\t<input type="hidden" name="name">
\t<input type="hidden" name="fname">
\t<input type="hidden" name="device">
</form>
<form name="portFormTs" action="web/ts.m3u" method="GET" target="_blank">
\t<input type="hidden" name="file">
\t<input type="hidden" name="device">
</form>

<script type="text/javascript">
\t$(document).ready(function() {
\t\t$("#remote_container").load("static/remotes/''')
        _v = VFFSL(SL,"remote",True) # u'${remote}' on line 995, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'${remote}')) # from line 995, col 48.
        write(u'''.html");
\t\tdirectlink();
\t});
\tSetLSValue(\'TimerListOffset\',0);
</script>
<script src="themes/absb/plugins/bootstrap/js/bootstrap.min.js"></script>
<script src="themes/absb/plugins/bootstrap-select/js/bootstrap-select.min.js"></script>
<script src="themes/absb/plugins/jquery-slimscroll/jquery.slimscroll.js"></script>
<script src="themes/absb/plugins/autosize/autosize.min.js"></script>
<script src="themes/absb/plugins/node-waves/waves.min.js"></script>
<script src="themes/absb/plugins/jquery-countto/jquery.countTo.js"></script>
<script src="themes/absb/plugins/nouislider/nouislider.min.js"></script>
<script src="themes/absb/plugins/sweetalert/sweetalert.min.js"></script>
<script src="themes/absb/plugins/momentjs/moment.js"></script>
<script src="themes/absb/js/vti-bootstrap-date-timepicker.js"></script>
<script src="themes/absb/js/admin.js"></script>
<script src="themes/absb/js/vti-responsive.js"></script>
<script type="text/javascript">initJsTranslationAddon(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 1012, col 55
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 1012, col 55.
        write(u''')</script>

<script type="text/javascript">
\t$(document).ready(function() {
\t\t$(\'#noresposive\').change(function () {
\t\t\t$.ajax({
\t\t\t\turl: "api/setwebconfig?responsivedesign=false",
\t\t\t\tsuccess: function() {
\t\t\t\t\twindow.location.hash = \'\';
\t\t\t\t\twindow.location.reload(true);
\t\t\t\t}
\t\t\t});
\t\t});
\t});
</script>
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_main= 'respond'

## END CLASS DEFINITION

if not hasattr(main, '_initCheetahAttributes'):
    templateAPIClass = getattr(main, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(main)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=main()).run()


